2010-09-07  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* configure.ac, lasso/saml-2.0/profile.c:
	[SAMLv2] when no artifact message is present, still return a success
	status

	It is mandated by the specification.

2010-09-06  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* tests/integration/saml2/__init__.py:
	[Tests integration] fix configuration variable name

2010-09-03  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* lasso/id-ff/provider.c:
	[Core] fix memory leak in lasso_endpoint_free

2010-09-03  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* lasso/id-ff/provider.c, lasso/saml-2.0/provider.c:
	[ID-FFv1.2&SAMLv2] add more warning for failure to load metadata file

	Report detailf of the failure through warning log.

2010-09-03  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* lasso/saml-2.0/profile.c, lasso/xml/strings.h:
	[SAMLv2] when failing to recreate the content for the ArtefactResponse set a lasso specific status code

2010-09-01  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* lasso/saml-2.0/profile.c:
	[SAMLv2] change the way content is stored and loaded for the
	HTTP-Artifact binding

	Previously content was stored as the result of lasso_node_dump method
	then reloaded, and then serialized again as part of the
	ArtifactResponse message. lasso_node_dump was ignoring all hint to
	sign node, but keeping the needed parameters around. That's not what
	must be done, the signature should happen at the generation of the
	artifact and the result must manipulated as is (i.e. XML content) and
	never moved back to the land of LassoNode objects.

	Now the content is:
	- first removed of any signature at the message level, because the
	  ArtifactResponse will take care of this, (any signature under this
	  level (like at the assertion) is kept),
	- serialized using lasso_node_export_to_xml,
	- reloaded using lasso_xml_parse_memory,
	- and put into the ArtifactResponse using a
	  lasso_misc_text_node_new_with_xml_node.

2010-09-01  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* lasso/saml-2.0/profile.c, lasso/saml-2.0/profileprivate.h:
	[SAMLv2] make lasso_saml20_profile_generate_artifact a static function

	It is only used in lasso/saml-2.0/profile.c anyway.

2010-09-01  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* lasso/xml/xml.c:
	[Core] load signature parameters

	Generic signature parameters (attached as qdata to nodes) is now
	reloaded when initializing a node from XML for a node type with a
	signature snippet in its metadatas.

	It fixes the problematic usage of ciphered private keys with the
	HTTP-Artifact binding (which needs to keep a copy of the AuthnResponse
	around and to sign it later).

2010-09-01  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* lasso/xml/xml.c:
	[Core] add private function to read an integer attribute

	This function does integer parsing and range checks, it returns TRUE if
	all goes well.

2010-09-01  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* lasso/xml/tools.c, lasso/xml/xml.h:
	[Core] add LAST enum values to LassoSignatureMethod and
	LassoSignatureType enumerations

	It helps making range checks.

2010-09-01  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* bindings/java/lang.py, bindings/perl/lang.py,
	bindings/php5/wrapper_source.py, bindings/python/lang.py,
	lasso/xml/strings.h:
	[Strings] add string constant for the internal XML attributes used in
	dumps

	Add string constants for signature method, signature type, private key
	(file path or content), private key password and certificate (file
	path or content).

	Add cast for xmlChar constant strings definition in python bindings,
	it assumed all constant strings were char*.

2010-08-31  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* lasso.doap:
	[DOAP] fix typos

	Tags were badly formatted.

2010-08-25  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* lasso/saml-2.0/login.c:
	[SAMLv2] mark Redirect binding as an invalid binding for return AuthnResponse

	This is really not supported by the SAMLv2 protocol.

2010-08-25  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* lasso/saml-2.0/login.c:
	[SAMLv2] fix string in comment

2010-08-25  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* lasso/saml-2.0/login.c:
	[SAMLv2] replace use of lasso_provider_get_default_name_id_format with direct use of lasso_provider_get_metadata_one_for_role

	The first is trying to use provider->role to know which kind of role
	descriptor to lookup, but for the server object this field is 0 and
	when building authn request we know that we want our default
	NameIDFormat for the SP sso descriptor.

2010-08-25  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* lasso/saml-2.0/provider.c:
	[SAMLv2] rebuild specialized LassoProvider methods upon new endpoints storage

	The new way of storing endpoints allows to keep ordering between
	endpoints with respect to the order of the index and isDefault field
	for indexed endpoint type, and to the XML node orders for other
	endpoints.

	It also simplifies the code.

2010-08-25  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* lasso/id-ff/provider.c:
	[Core] add destroy code for new private field endpoints

	The contained string must be disallocated if the object is destroyed.

2010-08-25  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* lasso/id-ff/providerprivate.h:
	[Core] add structure to store endpoints type for metadata files

	This new C structure will allow to filter ID-FFv1.2 and SAMLv2
	endpoints more easily.

2010-08-25  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* lasso/xml/xml.c:
	[XML] use strtol instead of atoi to parse XSchema integers

	This commit also reject negative integers from being parsed (all
	integers in SAMLv2 and ID-FFv1.2 schemas are positive integers).

2010-08-25  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* lasso/saml-2.0/login.c:
	[SAMLv2] when AuthnRequest contains invalid attributes returns
	INVALID_REQUEST not NO_DEFAULT_ENDPOINT

	This is the right status to return.

2010-08-05  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* lasso/id-ff/provider.h:
	[Core] fix change of enumeration value

	This change broke the API, revert it.

2010-07-27  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* website/web/index.xml:
	[Website] update download link on front page

2010-07-27  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* website/templates/base.ezt:
	[Website] fix typos

2010-07-27  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* website/templates/base.ezt, website/web/download/index.xml:
	[Website] fix source and download links

	The source repository is now the git repository on dev.entrouvert.org.
	Latest source release is 2.3.0. And git browser is included in our
	redmine.

2010-07-27  Benjamin Dauvergne <bdauvergne@lupin.entrouvert.com>

	* website/templates/base.ezt:
	[Website] change position of Download block in right bar

2010-07-27  Benjamin Dauvergne <bdauvergne@lupin.entrouvert.com>

	* website/convert-to-static.py:
	[Website] in convert-to-static.py, work around errors in build logs

	If Build() constructor fails, keep going.

2010-07-27  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* website/web/news/15-release-2.3.0.xml:
	[Website] fix wrong structure for the news file about release 2.3.0

2010-07-27  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* website/convert-to-static.py:
	[Website] import convert-to-static.py modification from lupin

2010-07-27  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* website/web/news/15-release-2.3.0.xml:
	[Website] add news file aboute release 2.3.0

2010-07-22  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* website/web/download/index.xml:
	[Website] fix non escaped ampersand

2010-07-21  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* configure.ac:
	[Release] update libtool version

2010-07-21  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* website/web/download/index.xml:
	[Website] update download links

2010-07-21  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* NEWS, configure.ac, lasso.doap, website/web/doap.rdf:
	[Release] Update version number from 2.3 to 2.3.0

2010-07-21  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* NEWS:
	[Release] update release date in NEWS file

2010-07-21  Benjamin Dauvergne <bdauvergne@entrouvert.com>

	* ChangeLog:
	[Release] update ChangeLog

2010-07-21 17:55  bdauvergne

	* NEWS, abi/abi-2.3, configure.ac, lasso.doap, website/templates/base.ezt,
	  website/web/doap.rdf, website/web/download/index.xml: [Release] Lasso 2.3
	  
	  - update the NEWS file
	  - add abi-2.3 file
	  - update DOAP files
	  - update lasso website template
	  - add temporary message to download pages, as there are no download
	  links currently.

2010-07-21 14:54  bdauvergne

	* Makefile.am: [Core] add logos to EXTRA_DIST

2010-07-21 14:54  bdauvergne

	* Makefile.am: [Core] add HACKING to EXTRA_DIST

2010-07-21 14:14  bdauvergne

	* docs/reference/lasso/lasso-sections.txt: [Documentation] add missing declaration
	  to lasso-sections.txt

2010-07-21 14:14  bdauvergne

	* tests/data/Makefile.am: [Tests] change the way tests data is distributed
	  
	  Instead of using a Makefile.am in each data directory, each data
	  directoy has been added to the EXTRA_DIST for the parent directory
	  Makefile.am.

2010-07-21 14:12  bdauvergne

	* .cvsignore, debian/.cvsignore, docs/.cvsignore, docs/lasso-book/.cvsignore,
	  docs/lasso-book/figures/.cvsignore, docs/reference/.cvsignore, lasso/.cvsignore,
	  lasso/id-ff/.cvsignore, lasso/id-wsf/.cvsignore, lasso/saml-2.0/.cvsignore,
	  lasso/xml/.cvsignore, lasso/xml/saml-2.0/.cvsignore, tests/.cvsignore,
	  tests/data/.cvsignore, tests/data/ca1-la/.cvsignore,
	  tests/data/idp1-la/.cvsignore, tests/data/lecp1-la/.cvsignore,
	  tests/data/sp1-la/.cvsignore, win32/.cvsignore, win32/msvc/.cvsignore,
	  win32/msvc/java/.cvsignore, win32/msvc/php/.cvsignore,
	  win32/msvc/python/.cvsignore, win32/nsis/.cvsignore: [Core] remove now useless
	  .cvsignore files

2010-07-21 14:11  bdauvergne

	* ., bindings/perl, bindings/php5/tests, docs/reference/lasso, lasso/xml/soap-1.1,
	  tests: [SVN] update svn:ignore properties

2010-07-21 14:01  bdauvergne

	* bindings/perl/Makefile.am: [Binding perl] move DISCLEANFILES and CLEANFILES
	  outside of the condition clauses

2010-07-21 13:57  bdauvergne

	* tests/data/Makefile.am, tests/data/sourceid-2.0beta,
	  tests/data/sourceid-2.0beta/login-response.xml,
	  tests/sourceid-2.0beta/login-response.xml: [Tests] move sourceid-2.0beta-data to
	  data directory

2010-07-21 13:57  bdauvergne

	* tests/format-suppressions.py, tools/format-suppressions.py: [Core] move
	  format-suppressions.py to tools directory

2010-07-21 13:57  bdauvergne

	* Makefile.am: [Core] add README.JAVA and README.WIN32 files to EXTRA_DIST

2010-07-21 13:57  bdauvergne

	* README.JAVA: [Core] complete README.JAVA about later release of gcj

2010-07-21 13:56  bdauvergne

	* Makefile.am: [Core] add lasso.doap to EXTRA_DIST

2010-07-21 13:56  bdauvergne

	* lasso/Makefile.am: [Core] add errors.c to EXTRA_DIST

2010-07-21 13:56  bdauvergne

	* lasso/build-strerror.pl: [Core] remove unused build-strerror.pl

2010-07-21 13:56  bdauvergne

	* docs/reference/lasso/Makefile.am, docs/reference/lasso/style.css,
	  docs/reference/style.css: [Doc] move style.css to the reference directory, and
	  add it to EXTRA_DIST

2010-07-21 13:56  bdauvergne

	* bindings/java/Makefile.am, bindings/perl/Makefile.am, bindings/php5/Makefile.am,
	  bindings/python/Makefile.am, bindings/python/tests/Makefile.am: [Bindings]
	  improve cleaning and distribution buiding

2010-07-21 13:56  bdauvergne

	* bindings/java/tests/Test.java: [Tests java] remove Test.java
	  
	  Local test file wrongly commited.

2010-07-21 13:56  bdauvergne

	* Makefile.am: [Makefile] add abi to EXTRA_DIST

2010-07-21 13:56  bdauvergne

	* bindings/perl/Makefile.am: [Binding perl] add DISTCLEANFILES for
	  Makefile.perl.old file

2010-07-21 13:56  bdauvergne

	* tests/login_tests_saml2.c: [Tests] remove debugging printf

2010-07-21 13:56  bdauvergne

	* configure.ac, tests/Makefile.am, tests/data/Makefile.am,
	  tests/data/ca1-la/Makefile.am, tests/data/idp1-la/Makefile.am,
	  tests/data/idp5-saml2/Makefile.am, tests/data/idp6-saml2/Makefile.am,
	  tests/data/idp7-saml2/Makefile.am, tests/data/lecp1-la/Makefile.am,
	  tests/data/sp1-la/Makefile.am, tests/data/sp5-saml2/Makefile.am,
	  tests/data/sp6-saml2/Makefile.am, tests/data/sp7-saml2/Makefile.am,
	  tests/metadata/Makefile.am: [Tests] change the way tests data is distributed
	  
	  Instead of using a Makefile.am in each data directory, each data
	  directoy has been added to the EXTRA_DIST for the parent directory
	  Makefile.am.

2010-07-20 15:46  bdauvergne

	* bindings/java/tests/BindingTests.java: [Tests] adapt java unit tests to new
	  semantic for list fields
	  
	  GList fields now return an empty list, not null.

2010-07-20 14:15  bdauvergne

	* lasso/saml-2.0/login.c: [SAMLv2] simplify logic for handling AuthnResponse with
	  binding HTTP-Post
	  
	  The logic is now simpler:
	  - first lasso_saml20_profile_process_any_response check the signature
	  on the message
	  - then lasso_saml20_login_process_response_status_and_assertion
	  traverse all the assertions:
	  - if the message is signed all assertion from the same issuer are
	  automatically accepted,
	  - if the message is not signed, or the signature validation failed,
	  or the assertion has a different issuer than the message, we check
	  the signature directly on the assertion. If any of the assertions
	  fails the signature check, the result will be
	  LASSO_PROFILE_ERROR_CANNOT_VERIFY_SIGNATURE.
	  
	  The public field profile->signature_status will contain only the message
	  level signature status, each assertion signature status is not
	  accessible. That will change when signature and key handling is
	  reworked.

2010-07-20 14:15  bdauvergne

	* bindings/perl/Makefile.am: [Binding perl] fix broken distclean-local target
	  
	  The TOCOPY files need to be cleaned only for out of source directory
	  builds.

2010-07-19 15:56  bdauvergne

	* lasso/xml/saml-2.0/samlp2_logout_request.c: [SAMLv2] comment on SessionIndex
	  support hack

2010-07-19 15:45  bdauvergne

	* lasso/saml-2.0/Makefile.am, lasso/saml-2.0/saml2_assertion_addons.c,
	  lasso/saml-2.0/saml2_assertion_addons.h,
	  lasso/saml-2.0/saml2_conditions_addons.c,
	  lasso/saml-2.0/saml2_conditions_addons.h,
	  lasso/saml-2.0/samlp2_authn_request_addons.c,
	  lasso/saml-2.0/samlp2_authn_request_addons.h: [SAMLv2] remove empty files,
	  wrongly committed

2010-07-19 15:27  bdauvergne

	* lasso/saml-2.0/login.c: [SAMLv2/SSO] when processing AuthnResponse with binding
	  HTTP-Post only the assertion need to be signed
	  
	  If the message is signed, the assertion is also covered, but if only the
	  assertion is signed, there is no error to report. If the caller ask for
	  forcing the validation of message signature, then we report an error.
	  
	  This commit also add checking for the binding used, if it is not
	  HTTP-Post lasso_login_process_authn_response_msg will now report an
	  error.

2010-07-16 19:34  bdauvergne

	* bindings/java/lang.py: [Binding java] return empty list for NULL GList value,
	  not null

2010-07-16 19:34  bdauvergne

	* lasso/xml/lib_logout_response.c,
	  lasso/xml/lib_register_name_identifier_response.c: [ID-FFv1.2] add missing
	  namespace declarations

2010-07-16 19:34  bdauvergne

	* lasso/saml-2.0/login.c, lasso/saml-2.0/profile.c, lasso/saml-2.0/saml2_helper.c:
	  [SAMLv2] add support for encrypted private keys
	  
	  * support private key with new internal API in signature setting
	  methods
	  
	  Plug lasso_node_set_signature into
	  lasso_profile_saml20_setup_message_signature and
	  lasso_server_saml2_assertion_setup_signature.
	  
	  * also use lasso_node_get_signature in has_signature
	  
	  * add forgottent LASSO_PROFILE_SIGNATURE_VERIFY_HINT_FORCE in switch
	  cases
	  
	  For AuthnResponse checking the semantic is now that if HINT_FORCE is
	  used we verify message signature *and* assertion signature. If
	  HINT_MAYBE is used we check the assertion signature if its issuer
	  differs from the message issuer.

2010-07-16 19:34  bdauvergne

	* lasso/id-ff/defederation.c, lasso/id-ff/login.c, lasso/id-ff/logout.c,
	  lasso/id-ff/name_registration.c: [ID-FFv1.2] move all user of
	  lasso_node_export_to_query to lasso_node_export_to_query_with_password

2010-07-16 19:34  bdauvergne

	* lasso/xml/tools.c: [Core] Change lasso_apply_signature to use quark stored
	  annotated signature parameters
	  
	  The node containing signature do not handle the private keys passwords.
	  As the fields for signature parameters are part of the public ABI we
	  cannot add the password field to the public structure for those nodes.
	  Instead we use the new quark annotation accessed through
	  lasso_node_get/set_signature, and if the sign_type parameter is non-NULL
	  we use it instead of the parameters stored in the public structure.
	  This is a gross hack :( but at least it is documented.

2010-07-16 19:34  bdauvergne

	* lasso/xml/private.h, lasso/xml/saml-2.0/saml2_assertion.c, lasso/xml/tools.c:
	  [Core] add password parameter to lasso_sign_node

2010-07-16 19:34  bdauvergne

	* lasso/xml/xml.c, lasso/xml/xml.h: [Code] add a
	  lasso_node_export_to_query_with_password method

2010-07-16 19:34  bdauvergne

	* lasso/saml-2.0/profile.c, lasso/xml/private.h, lasso/xml/tools.c,
	  lasso/xml/xml.c: [Core] add a password parameter to lasso_query_sign
	  
	  We force use of the password through a custom OpenSSL password callback.

2010-07-16 19:34  bdauvergne

	* lasso/xml/xml.c: [Core] dump custom signature parameters in lasso dumps
	  
	  The signature parameters are serialized as global attributes from the
	  http://lasso.entrouvert.org/lasso/namespaces/0.0 named:
	  SignatureType
	  SignatureMethod
	  PrivateKey
	  PrivateKeyPassword
	  Certificate

2010-07-16 19:34  bdauvergne

	* bindings/python/tests/profiles_tests.py, tests/data/idp7-saml2,
	  tests/data/idp7-saml2/Makefile.am, tests/data/idp7-saml2/metadata.xml,
	  tests/data/idp7-saml2/password, tests/data/idp7-saml2/private-key.pem,
	  tests/data/sp7-saml2/password: [Tests/python] add test case for WebSSO with
	  providers using encrypted keys

2010-07-16 19:34  bdauvergne

	* lasso/xml/private.h, lasso/xml/xml.c: [Core] add lasso_node_set_signature and
	  lasso_node_get_signature
	  
	  Those two methods allows to associate signature parameters to any node.
	  They keep it inside the CustomElement quark. Using a private structure
	  may be more performant.

2010-07-12 14:09  bdauvergne

	* lasso/xml/private.h, lasso/xml/saml-2.0/saml2_assertion.c,
	  lasso/xml/saml-2.0/samlp2_request_abstract.c,
	  lasso/xml/saml-2.0/samlp2_status_response.c, lasso/xml/saml_assertion.c,
	  lasso/xml/samlp_request_abstract.c, lasso/xml/samlp_response_abstract.c,
	  lasso/xml/tools.c, lasso/xml/xml.c: [Core] extract signature adding into base
	  class method lasso_node_get_xmlNode
	  
	  In order to permit subclass to modify the base xmlNode created by
	  lasso_node_impl_get_xmlNode we must defer the concrete to the virtual
	  method wrapper, lasso_node_get_xmlNode.
	  
	  To do that it whas needed to make id_attribute another virtual field of
	  LassoNode subclasses (it can be accessed through an offset registered in
	  the class object).
	  
	  This commit solves signature validation error since the patch for
	  managing more than one SessionIndex element in samlp2:LogoutRequest.
	  
	  It also factorize the creation of signatures in one place.

2010-07-12 14:09  bdauvergne

	* lasso/saml-2.0/login.c: [SAMLv2] if service provider supports logout, add a
	  SessionIndex from the assertion ID
	  
	  The standard mandate to provide a SessionIndex to service provider
	  advertaising their support of the logout profile. We follow the
	  convention of using the assertion ID as a SessionIndex.

2010-07-12 14:09  bdauvergne

	* tests/login_tests_saml2.c: [Tests] add a sso then slo soap test

2010-07-12 14:09  bdauvergne

	* lasso/lasso.h: [Core] lasso_check_version does not return a proper error code
	  
	  lasso_check_version returns 0, 1 or -1 and one is not a proper error
	  code, so the original int return type is kept.

2010-07-12 14:09  bdauvergne

	* bindings/utils.py: [Bindings] make is_rc only check for lasso_error_t type

2010-07-12 14:09  bdauvergne

	* bindings/php5/php_code.py: [Bindings php5] simplify is_object in php_code.py

2010-07-12 14:09  bdauvergne

	* lasso/id-ff/defederation.h, lasso/id-ff/lecp.h, lasso/id-ff/login.h,
	  lasso/id-ff/logout.h, lasso/id-ff/name_identifier_mapping.h,
	  lasso/id-ff/name_registration.h, lasso/id-ff/profile.h, lasso/id-ff/provider.h,
	  lasso/id-ff/server.h, lasso/id-ff/session.h, lasso/id-wsf-2.0/data_service.h,
	  lasso/id-wsf-2.0/discovery.h, lasso/id-wsf-2.0/identity.h,
	  lasso/id-wsf-2.0/idwsf2_helper.h, lasso/id-wsf-2.0/profile.h,
	  lasso/id-wsf-2.0/saml2_login.h, lasso/id-wsf-2.0/server.h,
	  lasso/id-wsf-2.0/session.h, lasso/id-wsf/authentication.h,
	  lasso/id-wsf/data_service.h, lasso/id-wsf/discovery.h,
	  lasso/id-wsf/id_ff_extensions.h, lasso/id-wsf/interaction_profile_service.h,
	  lasso/id-wsf/wsf_profile.h, lasso/lasso.h, lasso/registry.h,
	  lasso/saml-2.0/assertion_query.h, lasso/saml-2.0/ecp.h,
	  lasso/saml-2.0/name_id_management.h, lasso/saml-2.0/saml2_helper.h,
	  lasso/xml/saml-2.0/saml2_encrypted_element.h,
	  lasso/xml/ws/wsse_username_token.h, lasso/xml/xml.h: [Core] change return type
	  of all error returning methods
	  
	  The new return type is lasso_error_t, it should allow to pinpoint easily
	  methods returning an error code in bindings.

2010-07-12 14:09  bdauvergne

	* bindings/java/lang.py: [Bindings java] use is_int instead of custom methods or
	  code

2010-07-12 14:09  bdauvergne

	* bindings/perl/lang.py: [Bindings perl] add lasso_errot_t to type to map to T_IV
	  typemap (integer types)

2010-07-12 14:09  bdauvergne

	* bindings/utils.py: [Bindings] add lasso_error_t to return code types

2010-07-12 14:08  bdauvergne

	* bindings/java/lang.py: [Binding java] use is_rc to match error return type

2010-07-12 14:08  bdauvergne

	* bindings/php5/php_code.py: [Binding php5] use is_rc to match error return type

2010-07-12 14:08  bdauvergne

	* bindings/utils.py: [Core] add lasso_error_t to list of integer types

2010-07-12 14:08  bdauvergne

	* lasso/Makefile.am, lasso/ctypes.h, lasso/export.h: [Core] add a lasso_error_t
	  typedef
	  
	  This typedef will serve to mark error returning methods.
	  The ctypes.h header piggyback on export.h to be included in all public
	  headers.

2010-07-05 21:27  bdauvergne

	* lasso/id-ff/provider.c: [Provider] Fix loading of provider without a public key
	  
	  This commit also emit propre warning when loading fails for a provider
	  *with* a public key.

2010-07-05 21:24  bdauvergne

	* bindings/python/lang.py: [Python binding] do not throw lasso.Error for python
	  exceptions

2010-06-29 14:49  bdauvergne

	* bindings/perl/Makefile.am, bindings/perl/glist_handling.c: [Perl binding] make
	  include from $(srcdir) works in Perl binding

2010-06-29 14:15  bdauvergne

	* bindings/Makefile.am, bindings/java/wrapper_top.c,
	  bindings/perl/glist_handling.c, bindings/php5/wrapper_source_top.c,
	  bindings/python/wrapper_top.c, bindings/utils.c: [Bindings] accept simple string
	  in string<->xmlNode converter
	  
	  Some use case ask for passing simple libxml content node (i.e just an
	  UTF-8 string) when a method argument or a field of the xmlNode* type.
	  This commit add a static method in bindings/utils.c named
	  lasso_string_fragment_to_xmlnode which does this transform by trying to
	  parse an XML document then by trying to parse a well balanced XML
	  fragment of only one node (if there is more than one node such as in the
	  string " xxx <tag/> yyy ", we free the node list and return NULL).

2010-06-29 14:15  bdauvergne

	* lasso/utils.h: [Core] add macro to release an xmlNodeList object

2010-06-29 14:15  bdauvergne

	* bindings/python/tests/Makefile.am, bindings/python/tests/idwsf2_tests.py:
	  [ID-WSF2] add idwsf2 test script to test suite
	  
	  Re-activate ID-WSF 2.0 test script. Fix problem with provider issuing
	  assertion role. Need to be fixed more generally in the future.

2010-06-29 14:14  bdauvergne

	* lasso/utils.h: [Core] add macro to release GList of xmlNodeList

2010-06-29 14:14  bdauvergne

	* lasso/utils.h: [Core] add macros to manipulate xmlNodeList and GList of
	  xmlNodeList
	  
	  The method to copy them is xmlCopyNodeList and not xmlCopyNode, so we
	  need another set of macros.

2010-06-29 09:15  bdauvergne

	* lasso/id-ff/provider.c: Merge branch 'issue-101'

2010-06-29 09:15  bdauvergne

	* bindings/python/tests/binding_tests.py, bindings/python/tests/profiles_tests.py,
	  lasso/saml-2.0/login.c, lasso/saml-2.0/profile.c,
	  tests/data/idp5-saml2/metadata.xml, tests/data/sp5-saml2/metadata.xml: Merge
	  branch 'issue-88'

2010-06-29 09:15  bdauvergne

	* bindings/python/tests/profiles_tests.py,
	  docs/reference/lasso/lasso-sections.txt,
	  lasso/xml/saml-2.0/samlp2_logout_request.c,
	  lasso/xml/saml-2.0/samlp2_logout_request.h: Merge branch 'issue-86'

2010-06-18 08:05  bdauvergne

	* tests/integration/valgrind-wrapper.sh: [Tests/integration] add
	  G_DEBUG=gc-friendly env. var to valgrind-wrapper
	  
	  It should improve valgrind ability to trace memory origin.

2010-06-17 11:42  bdauvergne

	* lasso/xml/xml.c: [XML] in lasso_node_export_to_paos_request check return value
	  of lasso_node_get_xmlNode

2010-06-17 11:42  bdauvergne

	* lasso/xml/xml.c: [XML] in _lasso_node_export_to_base64 check return value of
	  lasso_node_export_to_xml

2010-06-17 11:42  bdauvergne

	* lasso/xml/xml.c: [XML] in _lasso_node_export_to_xml check return value of
	  lasso_node_get_xmlNode

2010-06-15 11:33  bdauvergne

	* bindings/java/Makefile.am, bindings/perl/Makefile.am, configure.ac: Comment out
	  custom silent rules if automake < 1.11

2010-06-15 11:33  bdauvergne

	* lasso/xml/xml.c: [Core] do not ignore keep_xmlnode flag inherited from parent
	  classes
	  
	  We only looked to the keep_xmlnode flag in the node data of the top
	  level class, but any parent class can set this flag and in this case we
	  must honor it too.

2010-06-14 21:21  bdauvergne

	* bindings/python/tests/binding_tests.py, tests/data/sp7-saml2,
	  tests/data/sp7-saml2/Makefile.am, tests/data/sp7-saml2/metadata.xml,
	  tests/data/sp7-saml2/password, tests/data/sp7-saml2/private-key.pem: Test: add
	  non regression test for reloading a server dump with encrypted keys

2010-06-14 21:21  bdauvergne

	* lasso/id-ff/server.c: Core: when reloading a dump, use the signing private key
	  password for loading the encryption private key
	  
	  We currently do not store the encryption private key, instead on reload
	  of a dump, we try to use the signing private key as the encryption
	  private key. But we forgot to use the stored private key password.
	  That's now fixed.
	  
	  Next step would be to keep the encryption private key around also.

2010-06-14 21:21  bdauvergne

	* bindings/python/lang.py: Binding python: fix freeing of list return values for
	  methods with the transfer full flag
	  
	  The output 'print' were missing, oups :(

2010-06-12 00:43  bdauvergne

	* bindings/python/wrapper_top.c: Binding python: find a work around for random
	  behaviour of PyImport_ImportModule
	  
	  * it seems that PyImport_ImportModule is not deterministic. Sometimes it
	  returns True for modules which we know are present ('logging').
	  Importing 'sys' first seems to make 'logging' accessible (complete
	  cargo cult programming).

2010-06-12 00:43  bdauvergne

	* bindings/perl/lang.py, lasso/Makefile.am, lasso/id-ff/name_identifier_mapping.c,
	  lasso/lasso.c, lasso/lasso_config.h.in, lasso/logging.c, lasso/logging.h,
	  lasso/utils.h, lasso/xml/private.h, lasso/xml/tools.c: Core: move logging
	  function and macros to their own module, adapt perl binding

2010-06-12 00:43  bdauvergne

	* lasso/errors.h, lasso/xml/xml.h: Core: move lasso_strerror declaration to
	  errors.h

2010-06-12 00:43  bdauvergne

	* .gitignore: add .gitignore file

2010-06-12 00:43  bdauvergne

	* tools/check-makefile.sh: Tools: add check-makefile.sh script to tools

2010-06-12 00:43  bdauvergne

	* abi/abi-2.2.91: add abi file for 2.2.91

2010-06-12 00:43  bdauvergne

	* tests/data/idp6-saml2, tests/data/idp6-saml2/Makefile.am,
	  tests/data/idp6-saml2/metadata.xml, tests/data/idp6-saml2/private-key.pem:
	  Tests: add idp6-saml2 data

2010-06-12 00:43  bdauvergne

	* bindings/python/tests/profiles_tests.py: Test: add python test for attribute
	  requesting
	  
	  * What's tested:
	  - request initialization
	  - adding attribute designators
	  - building the request message
	  - processing the request message
	  - accepting the request
	  - adding assertion with attributes
	  - signing the assertion
	  - building the response
	  - parsing the response

2010-06-12 00:43  bdauvergne

	* docs/reference/lasso/lasso-sections.txt, lasso/saml-2.0/saml2_helper.c,
	  lasso/saml-2.0/saml2_helper.h: SAMLv2: rename
	  lasso_saml2_name_id_build_persistent to
	  lasso_saml2_name_id_new_with_persistent_format
	  
	  * keep the old one for compatibility
	  * new one will be picked by bindings as a constructor

2010-06-12 00:43  bdauvergne

	* lasso/saml-2.0/saml2_helper.c: SAMLv2: when initializing signture on assertion,
	  setup an ID if there is none
	  
	  * without the ID lasso refuse to sign (it's mandatory)

2010-06-12 00:43  bdauvergne

	* lasso/saml-2.0/assertion_query.c: SAMLv2: in
	  lasso_assertion_query_build_request_msg setup nameid
	  
	  * lasso_profile_get_nameIdentifier does not return profile->nameIdentifier
	  ,
	  so we first try to use profile->nameIdentifier and if it is NULL we use
	  lasso_profile_get_nameIdentifier.

2010-06-12 00:42  bdauvergne

	* bindings/python/wrapper_top.c: Binding python: fix bad refcounting in get_logger
	  and lasso_python_log

2010-06-10 21:26  bdauvergne

	* lasso/xml/private.h, lasso/xml/tools.c: Core: update
	  lasso_iso_8601_gmt_to_time_t to support milliseconds
	  
	  * We now support the two possible formats for xsdtime XSchema datatype:
	  - dddd-dd-ddTdd:dd:ddZ
	  - dddd-dd-ddTdd:dd:dd.d*Z
	  
	  Where d denotes a digit, and * is the kleene star.
	  
	  XSD datetime also supports negative years, but as we cannot represent
	  them with time_t, we can reject it at the lexical level.

2010-06-10 21:26  bdauvergne

	* docs/reference/lasso/lasso-sections.txt: Documentation: add new AssertionQuery
	  methods to documentation

2010-06-10 13:38  bdauvergne

	* bindings/python/tests/binding_tests.py: Tests: new python test for
	  setEncryptionPrivateKeyWithPassword

2010-06-10 13:38  bdauvergne

	* lasso/id-ff/server.c: Fix long lines in lasso/id-ff/server.c

2010-06-10 13:38  bdauvergne

	* docs/reference/lasso/lasso-sections.txt, lasso/id-ff/server.c,
	  lasso/id-ff/server.h: Core: add method
	  lasso_server_set_encryption_private_key_with_password
	  
	  * fixes #91.

2010-06-10 13:38  bdauvergne

	* lasso/errors.c, lasso/errors.h, lasso/saml-2.0/assertion_query.c,
	  lasso/saml-2.0/assertion_query.h: SAMLv2: add new methods to class
	  LassoAssertionQuery
	  
	  * lasso_assertion_query_add_attribute_request:
	  helper to setup request attribute for AttributeQuery messages.
	  * lasso_assertion_query_get_request_type:
	  method to find the type of the last received query.
	  * fixes #90

2010-06-10 13:37  bdauvergne

	* lasso/saml-2.0/assertion_query.c: SAMLv2: fix initialization of subject in
	  lasso_assertion_query_build_request_msg

2010-06-10 13:37  bdauvergne

	* lasso/utils.h: Import tools in utils.h

2010-06-10 13:37  bdauvergne

	* lasso/xml/private.h: Fix collision between defined symbols in tools.h and
	  private.h

2010-06-10 07:58  bdauvergne

	* bindings/python/wrapper_top.c: Binding python: if lasso.logger exists use it for
	  logging
	  
	  * There is now two paths to get a logger in the python binding:
	  - first try to get an objet from lasso.logger
	  - if it doesn't exist or is None, the try logging.getLogger('lasso')

2010-06-09 16:54  bdauvergne

	* lasso/id-wsf-2.0/discovery.c, lasso/id-wsf-2.0/idwsf2_helper.c,
	  lasso/id-wsf-2.0/profile.c, lasso/id-wsf-2.0/saml2_login.c,
	  lasso/saml-2.0/login.c, lasso/saml-2.0/saml2_helper.c, lasso/utils.h,
	  lasso/xml/tools.c: Change all logging to use message()

2010-06-09 16:54  bdauvergne

	* lasso/xml/tools.c: Core: in xml error message handler, escape messages to fit on
	  one line

2010-06-09 16:54  bdauvergne

	* lasso/xml/tools.c: Core: remove arrow in log messages

2010-06-09 16:54  bdauvergne

	* bindings/python/lang.py, bindings/python/wrapper_bottom.c: Binding python: call
	  lasso_init() first in init_lasso()

2010-06-09 16:54  bdauvergne

	* bindings/python/wrapper_bottom.c, bindings/python/wrapper_top.c: Binding python:
	  add GLog handler to redirect logs to Python logger named "lasso"
	  
	  * fixes #20

2010-06-09 16:54  bdauvergne

	* lasso/saml-2.0/Makefile.am, lasso/saml-2.0/saml2_assertion_addons.c,
	  lasso/saml-2.0/saml2_assertion_addons.h,
	  lasso/saml-2.0/saml2_conditions_addons.c,
	  lasso/saml-2.0/saml2_conditions_addons.h,
	  lasso/saml-2.0/samlp2_authn_request_addons.c,
	  lasso/saml-2.0/samlp2_authn_request_addons.h, lasso/utils.c, lasso/utils.h:
	  Utils: add function to extract/create node in lists
	  
	  * lasso_extract_gtype_from_list_or_new will help for method with create
	  or extend nodes in lists.

2010-06-09 07:51  fpeters

	* bindings/overrides.xml, docs/reference/lasso/lasso-sections.txt,
	  lasso/xml/tools.c, lasso/xml/tools.h: Add new lasso_log_set_handler and
	  lasso_log_remove_handler functions
	  
	  They are modeled around the g_log... functions of GLib, they just don't
	  have a domain parameter.

2010-06-06 14:03  bdauvergne

	* bindings/perl/t/Lasso.t: Binding perl: fix test so that it does not raise on
	  add_provider

2010-06-06 14:03  bdauvergne

	* bindings/java/lang.py, bindings/python/lang.py, bindings/utils.py: Bindings:
	  keep retro compatibility for member field names
	  
	  * Special kludge price go to PHP:
	  methods name are insensitive so nothing to do here, BUT, if you use
	  getters/setters then your objects fields can be case insensitive too
	  ;-) (DNS, dns, DnS, dNs all maps to get_dns ).

2010-06-06 14:03  bdauvergne

	* bindings/utils.py: Bindings: fix camelcasing of id fields

2010-06-06 14:03  bdauvergne

	* lasso/saml-2.0/provider.c: SAMLv2: make role checking inactive for LassoServer
	  
	  * LassoServer have no role defined, so checking breaks loading of
	  metadata for LassoServer.

2010-06-06 14:03  bdauvergne

	* lasso/id-ff/login.c: ID-FFv1.2: for idp initiated sso accept any nameIdPolicy
	  
	  * IdP initiated SSO can be of any kind, no need to limit it.

2010-06-04 09:32  bdauvergne

	* lasso/saml-2.0/provider.c: SAML 2.0: add checks for proper loading of role
	  descriptors
	  
	  * remove warning for descriptors supporting non SAML 2.0 protocols
	  * checks that at least one descriptor was loaded and that it was for
	  our assigned role.

2010-06-04 09:32  bdauvergne

	* lasso/id-ff/provider.c: SAMLv2: fix error in naming of function in the
	  documentation

2010-05-31 07:13  bdauvergne

	* lasso/saml-2.0/provider.c: SAMLv2: remove HTTP-Redirect as right binding for
	  AssertionConsumer

2010-05-31 07:13  bdauvergne

	* lasso/saml-2.0/provider.c: SAMLv2: fix bug giving UnuspportedProfile for
	  SingleSignOn with HTTP-POST
	  
	  * The string constant in lasso_saml20_provider_accept_http_method was
	  HTTP-Post instead of HTTP-POST.

2010-05-31 07:13  bdauvergne

	* lasso/xml/tools.c: Core: fix extraction of relaystate when URLs contains only
	  one kind of separators

2010-05-31 07:13  bdauvergne

	* tests/integration/saml2/test_02_slo.py,
	  tests/integration/saml2/test_03_defederation.py: Integration test: adapt to new
	  behaviour for federation termination

2010-05-31 07:13  bdauvergne

	* lasso/saml-2.0/provider.c: SAMLv2: simplify
	  lasso_saml20_provider_accept_http_method by only checking for remote provider
	  support
	  
	  * Whatever we do, with asyncrhonous bindings the remote provider can
	  return the response with any asynchronous binding.

2010-05-31 07:13  bdauvergne

	* lasso/saml-2.0/login.c: SAML 2.0: in lasso_login_build_assertion set conditions
	  time limit, no SubjectConfirmationData limits

2010-05-31 07:13  bdauvergne

	* lasso/saml-2.0/login.c: SAML 2.0: in lasso_login_build_assertion do not conflate
	  sessionNotOnOrAfter with assertion condition notOnOrAfter

2010-05-11 12:03  bdauvergne

	* website/templates/base.ezt, website/web/download/index.xml: Website: add
	  quicklinks for download links

2010-05-11 08:54  bdauvergne

	* website/web/download/index.xml: Change VCS viewer link to point toward the
	  redmine browser

2010-05-11 08:54  bdauvergne

	* lasso/saml-2.0/login.c: SAMLv2: conflate Responder and Requester when checking
	  second level status code
	  
	  * lasso/saml-2.0/login.c:
	  I'm not sure that most IdP really make the semantic distinction
	  between those two first level status codes, so just conflate them.

2010-05-11 08:54  bdauvergne

	* lasso/saml-2.0/login.c: SAMLv2: remove warning message for invalid signature on
	  AuthnResponse messages
	  
	  * lasso/saml-2.0/login.c:
	  we already return an error, no need to clutter the output with
	  warning messages.

2010-05-04 16:46  bdauvergne

	* website/web/documentation/index.xml: Website: add a link to a tarball of the
	  documentation extracted from the SVN

2010-05-01 05:40  bdauvergne

	* docs/reference/lasso/lasso-sections.txt, lasso/saml-2.0/saml2_helper.c,
	  lasso/saml-2.0/saml2_helper.h: SAML 2.0 Helper: add
	  lasso_saml2_assertion_set_one_time_use

2010-05-01 05:40  bdauvergne

	* lasso/id-wsf-2.0/discovery.c: Fix bad initialization of an rc field from
	  revision 4837

2010-05-01 05:40  bdauvergne

	* lasso/id-ff/login.c, lasso/id-wsf-2.0/soap_binding.c: Change <p> tags to <para>

2010-05-01 05:40  bdauvergne

	* docs/reference/lasso/lasso-sections.txt, lasso/id-ff/profile.c,
	  lasso/id-ff/profile.h: Add a lasso_profile_get_signature_status method

2010-04-30 09:23  bdauvergne

	* lasso/id-ff/login.c, lasso/id-ff/logout.c,
	  lasso/id-ff/name_identifier_mapping.c, lasso/id-ff/name_registration.c,
	  lasso/id-wsf-2.0/discovery.c, lasso/id-wsf-2.0/saml2_login.c,
	  lasso/id-wsf/authentication.c, lasso/id-wsf/discovery.c,
	  lasso/saml-2.0/assertion_query.c, lasso/saml-2.0/login.c,
	  lasso/saml-2.0/profile.c, lasso/xml/dst_modify.c,
	  lasso/xml/dst_modify_response.c, lasso/xml/dst_query.c,
	  lasso/xml/dst_query_response.c, lasso/xml/misc_text_node.c, lasso/xml/tools.c,
	  lasso/xml/ws/wsse_username_token.c, lasso/xml/xml.c, tests/login_tests.c,
	  tests/login_tests_saml2.c, tests/perfs.c, tests/tests.c: Initialize all
	  uninitialized rc variables

2010-04-30 09:22  bdauvergne

	* tests/basic_tests.c: Test: only test custom namespace if ID-WSF is enabled

2010-04-28 16:52  bdauvergne

	* lasso/id-wsf-2.0/data_service.c: in
	  lasso_idwsf2_data_service_build_response_msg, allows SOAPFault as responses

2010-04-28 16:52  bdauvergne

	* lasso/id-wsf-2.0/discovery.c: Fix uninitialized local variable

2010-04-28 16:52  bdauvergne

	* lasso/id-ff/session.c: in lasso_session_count_assertions, do not emit warning if
	  session is not an object

2010-04-27 22:55  bdauvergne

	* lasso/saml-2.0/logout.c: SAML 2.0: always restart initial request processing in
	  lasso_logout_build_response_msg
	  
	  * Does it also in process_response_msg if no more assertions are
	  present.
	  * Take into account that lasso_saml20_profile_process_any_response
	  already check for the status code, and so specify finer error code in
	  the cleanup code.

2010-04-27 22:55  bdauvergne

	* lasso/saml-2.0/provider.c: SAML 2.0: fix
	  lasso_saml20_provider_get_first_http_method
	  
	  * LassoServer object can have many roles, use the default role of the
	  remote provider to decide on which to assume.

2010-04-27 22:55  bdauvergne

	* lasso/saml-2.0/logout.c: SAML 2.0 Logout: in init_request, remove the assertion
	  anyway
	  
	  * lasso/saml-2.0/logout.c:
	  when initiating a logout, if no problem is found, remove the assertion.
	  you can always continue by changing profile->http_request_method to
	  SOAP for example and redo a build_request_msg.

2010-04-27 22:55  bdauvergne

	* lasso/saml-2.0/profile.c: SAML 2.0:
	  lasso_saml20_profile_process_any_response_msg, change status code checking

2010-04-22 11:19  bdauvergne

	* lasso/saml-2.0/logout.c: SAML 2.0: lasso_logout_build_response_msg, just verify
	  there is saved data from a previous request before switching them
	  
	  * lasso/saml-2.0/logout.c:
	  There is no need to check what the previous remote provider ID was,
	  just that initial_remote_providerID is not NULL in order to switch
	  request, response and remote_providerID.

2010-04-22 11:19  bdauvergne

	* lasso/id-ff/login.c: Fix wrong change g_free -> lasso_release inside example
	  code

2010-04-22 01:12  bdauvergne

	* lasso/id-ff/provider.c: Provider: fix problem when reusing the same lists nodes
	  in Descriptors

2010-04-22 00:45  bdauvergne

	* lasso/id-ff/provider.c, lasso/id-ff/server.c, lasso/id-ff/session.c,
	  lasso/id-wsf-2.0/data_service.c, lasso/registry.c, lasso/utils.h,
	  lasso/xml/xml.c: Improve safety by replacing all g_hash_table_destroy use by
	  lasso_release_ghashtable

2010-04-22 00:44  bdauvergne

	* lasso/id-ff/identity.c, lasso/id-ff/login.c, lasso/id-ff/provider.c,
	  lasso/id-ff/session.c, lasso/id-wsf-2.0/discovery.c, lasso/id-wsf/discovery.c,
	  lasso/saml-2.0/login.c, lasso/saml-2.0/provider.c,
	  lasso/xml/saml-2.0/samlp2_response.c, lasso/xml/xml.c: Improve safety by
	  replacing all g_list_free use by lasso_release_list

2010-04-22 00:44  bdauvergne

	* lasso/id-wsf-2.0/data_service.c, lasso/utils.c, lasso/xml/samlp_status.c,
	  lasso/xml/tools.c, lasso/xml/xml.c: Improve safety by replacing all
	  g_string_free use by lasso_release_gstring

2010-04-22 00:44  bdauvergne

	* lasso/id-ff/defederation.c, lasso/id-ff/federation.c, lasso/id-ff/identity.c,
	  lasso/id-ff/login.c, lasso/id-ff/logout.c, lasso/id-ff/name_registration.c,
	  lasso/id-ff/provider.c, lasso/id-ff/server.c, lasso/id-ff/session.c,
	  lasso/id-wsf-2.0/data_service.c, lasso/id-wsf-2.0/discovery.c,
	  lasso/id-wsf-2.0/profile.c, lasso/id-wsf/authentication.c,
	  lasso/id-wsf/data_service.c, lasso/id-wsf/discovery.c,
	  lasso/id-wsf/wsf_profile.c, lasso/registry.c, lasso/saml-2.0/assertion_query.c,
	  lasso/saml-2.0/ecp.c, lasso/saml-2.0/provider.c, lasso/saml-2.0/server.c,
	  lasso/xml/lib_federation_termination_notification.c,
	  lasso/xml/saml-2.0/samlp2_request_abstract.c,
	  lasso/xml/saml-2.0/samlp2_status_response.c, lasso/xml/saml_assertion.c,
	  lasso/xml/tools.c, lasso/xml/ws/wsse_username_token.c, lasso/xml/xml.c: Improve
	  safety by replacing all g_free use by lasso_release

2010-04-22 00:44  bdauvergne

	* lasso/id-ff/login.c: Start an example listing for an IdP SingleSignOn endpoint

2010-04-22 00:44  bdauvergne

	* tests/random_tests.c: Free xmlSecKey

2010-04-22 00:44  bdauvergne

	* lasso/xml/xml.c: Fix potential SEGFAULT in _lasso_node_free_custom_element

2010-04-22 00:44  bdauvergne

	* lasso/utils.h: Utils: add lasso_assign_list

2010-04-22 00:44  bdauvergne

	* lasso/utils.h: Add lasso_release_gstring

2010-04-22 00:44  bdauvergne

	* lasso/utils.h: Utils: add lasso_release_ghashtable

2010-04-22 00:44  bdauvergne

	* lasso/saml-2.0/profile.c: SAML 2.0 Profile: remove unused must_sign variable

2010-04-22 00:44  bdauvergne

	* lasso/id-ff/logout.c: First try to check that objects are fully functionals
	  before proceeding

2010-04-22 00:44  bdauvergne

	* lasso/saml-2.0/logout.c: Fix potential SEGFAULT of an unknown provider

2010-04-20 09:34  bdauvergne

	* lasso/saml-2.0/login.c: SAML 2.0: in lasso_saml20_process_federation, only
	  handle the case of PERSISTENT format
	  
	  * lasso/saml-2.0/login.c:
	  in lasso_saml20_process_federation:
	  - if no name id format can be found by the request, use the default from
	  the metadata file (first declared NameIDFormat)
	  - instead of checking if format is TRANSIENT, check if it is PERSISTENT,
	  and proceed with the federation, if not just return 0.
	  - return LASSO_PROFILE_ERROR_UNKNOWN_PROVIDER instead of
	  LASSO_SERVER_ERROR_PROVIDER_NOT_FOUND.
	  - in any case, check for consent.

2010-04-20 09:34  bdauvergne

	* lasso/saml-2.0/login.c: SAML 2.0: in lasso_saml20_login_validate_request, do not
	  check signature if not necessary

2010-04-20 09:34  bdauvergne

	* lasso/saml-2.0/login.c: SAML 2.0: find binding when only
	  AssertionConsumerServiceURL is set, do not check signature on request if asked

2010-04-20 09:34  bdauvergne

	* lasso/saml-2.0/provider.c, lasso/saml-2.0/providerprivate.h: SAML 2.0: add
	  internal method to retrieve the binding for an URL

2010-04-20 09:34  bdauvergne

	* lasso/id-ff/profile.h, lasso/saml-2.0/login.c: Login: add internal function
	  _lasso_login_must_verify_*signature

2010-04-19 11:51  bdauvergne

	* lasso/id-ff/login.c: Login: remove symbol markers in example code

2010-04-19 11:30  bdauvergne

	* docs/reference/lasso/lasso-sections.txt, lasso/id-ff/login.c,
	  lasso/id-ff/provider.c, lasso/id-wsf-2.0/profile.c, lasso/saml-2.0/provider.c,
	  lasso/saml-2.0/saml2_helper.c, lasso/xml/xml.c, lasso/xml/xml.h: Fix
	  documentation problems

2010-04-16 15:37  bdauvergne

	* docs/reference/lasso/lasso-sections.txt, lasso/id-ff/profile.c,
	  lasso/id-ff/profile.h, lasso/saml-2.0/login.c, lasso/saml-2.0/profile.c,
	  tests/metadata_tests.c: Ameliorate support for
	  lasso_profile_set_signature_verify_hint
	  
	  * lasso/id-ff/profile.h:
	  - add end symbol for enum LassoProfileSignatureVerifyHint
	  * lasso/id-ff/profile.c:
	  - fix documentation of lasso_profile_set_signature_verify_hint
	  - do not allow to set or return invalid value for the
	  signature_verify_hint attribute.
	  * lasso/saml-2.0/login.c:
	  - handle new enum value
	  * lasso/saml-2.0/profile.c:
	  - handle new enum value
	  - fix missing catch of signature error reporting when
	  signature_verify_hint is IGNORE.
	  * docs/reference/lasso/lasso-sections.txt:
	  - export enums LassoProfileSignatureHint and
	  LassoProfileSignatureVerifyHint
	  * tests/metadata_tests.c:
	  - fix test of all Role enumerations

2010-04-06 15:00  bdauvergne

	* schemas/saml-2.0/saml-schema-assertion-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-auth-telephony-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-ip-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-ippword-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-kerberos-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-mobileonefactor-reg-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-mobileonefactor-unreg-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-mobiletwofactor-reg-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-mobiletwofactor-unreg-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-nomad-telephony-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-personal-telephony-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-pgp-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-ppt-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-pword-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-session-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-smartcard-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-smartcardpki-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-softwarepki-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-spki-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-srp-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-sslcert-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-telephony-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-timesync-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-types-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-x509-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-xmldsig-2.0.xsd,
	  schemas/saml-2.0/saml-schema-dce-2.0.xsd,
	  schemas/saml-2.0/saml-schema-ecp-2.0.xsd,
	  schemas/saml-2.0/saml-schema-metadata-2.0.xsd,
	  schemas/saml-2.0/saml-schema-protocol-2.0.xsd,
	  schemas/saml-2.0/saml-schema-x500-2.0.xsd,
	  schemas/saml-2.0/saml-schema-xacml-2.0.xsd: Revert "Core: add XML schemas for
	  SAML 2.0"
	  
	  This reverts commit 5250c2c89e3983189a3c52cd85ad221ff7b6f64b.

2010-04-06 15:00  bdauvergne

	* lasso/saml-2.0/profile.c: SAML 2.0: add Destination attribute to requests
	  
	  * lasso/saml-2.0/profile.c:
	  this change make Lasso respect paragraphs 3.4.5.2 (HTTP-Redirect
	  binding securit considerations ) and 3.5.5.2 (the same for HTTP-Post)
	  of the saml-bindings-2.0-os.pdf document, and should allow our Authn
	  Requests to be accepted by shiboleth IdP.

2010-04-06 13:11  bdauvergne

	* tools/check-lasso-sections.py: Tools: add usage statement to
	  check-lasso-sections.py

2010-04-06 13:11  bdauvergne

	* docs/reference/lasso/lasso-sections.txt: Docs: add/remove symbols from
	  lasso-sections.txt

2010-04-06 13:11  bdauvergne

	* lasso/id-wsf-2.0/data_service.c: ID-WSF 2.0 DST: make
	  lasso_idwsf2_data_service_set_status_code works event if no response is
	  initialized

2010-04-06 13:11  bdauvergne

	* tests/basic_tests.c: Tests: add tests for custom namespace functions

2010-04-06 13:11  bdauvergne

	* lasso/id-ff/provider.c: ID-FF 1.2 & SAML 2.0: factorize access to role prefix

2010-04-06 13:11  bdauvergne

	* tests/metadata_tests.c: Tests: make role descriptor loading test less verbose
	  
	  * tests/metadata_tests.c:
	  remove printf, add checks

2010-04-06 13:11  bdauvergne

	* tests/tests.h: Tests: show actual value in check_equals test macro

2010-04-06 13:11  bdauvergne

	* lasso/id-wsf-2.0/data_service.c, lasso/xml/private.h, lasso/xml/xml.c: XML: add
	  custom namespace definition handling

2010-04-06 13:11  bdauvergne

	* lasso/saml-2.0/provider.c: SAML 2.0: fix default assertion consumer handling
	  when isDefault is missing
	  
	  * if no default_assertion_consumer value is set after traversing the
	  list of endpoint, try to find the first one without isDefault="false"
	  and finally take the first one.

2010-04-06 13:11  bdauvergne

	* lasso/saml-2.0/provider.c: SAML 2.0: fix default assertion consumer handling
	  
	  * the default one is the first with the attribute isDefault not the
	  last.

2010-04-06 13:11  bdauvergne

	* bindings/python/tests/idwsf1_tests.py: Binding python tests: update idwsf1 to
	  explicitely register PP10 HREF

2010-04-06 13:11  bdauvergne

	* bindings/python/tests/idwsf2_tests.py: Binding python: update idwsf2 test for
	  method change dst.initResponse -> validateRequest

2010-04-06 13:11  bdauvergne

	* lasso/xml/xml.c: XML: do not register any DST namespace by default

2010-04-06 13:11  bdauvergne

	* lasso/xml/id-wsf-2.0/dstref_result_query.c,
	  lasso/xml/id-wsf-2.0/dstref_result_query.h, lasso/xml/xml.c: XML: add a
	  SNIPPET_COLLECT_NAMESPACES snippet to DstRefResultQuery

2010-04-06 13:11  bdauvergne

	* docs/reference/lasso/lasso-sections.txt, lasso/id-wsf-2.0/data_service.c,
	  lasso/id-wsf-2.0/data_service.h: ID-WSF 2.0 Data Service: new accessor, fix use
	  of build_unique_id, change init_response to validate_request

2010-04-06 13:11  bdauvergne

	* lasso/xml/private.h, lasso/xml/xml.c: Core: add a SNIPPET_COLLECT_NAMESPACE
	  snippet type
	  
	  * lasso/xml/private.h lasso/xml/xml.c:
	  add a new primary XmlSnippet type for collecting all namespace
	  declaration, following parent relation on current node or one of the
	  child nodes.

2010-04-06 13:11  bdauvergne

	* bindings/python/lang.py: Binding python: fix use of raise_on_rc, simplift
	  Node.__setstate__

2010-04-06 13:11  bdauvergne

	* lasso/xml/xml.c: Revert "Make lasso_node_get_xmlNode return original_xmlnode if
	  there is one"
	  
	  This reverts commit dfd8f21ab27d2b25a67a52aadd9d4cdce20ebda5.

2010-04-06 13:11  bdauvergne

	* bindings/python/tests/binding_tests.py, bindings/python/wrapper_top.c: Binding
	  python: for empty GList return empty tuples, not None

2010-04-06 13:11  bdauvergne

	* lasso/id-ff/login.c: Docs: remove from documentation comments characters outside
	  ASCII for python bindings

2010-04-06 13:10  bdauvergne

	* lasso/saml-2.0/profile.c: Fix return path in lasso_saml20_process_any_response
	  for signatures checking

2010-04-06 13:10  bdauvergne

	* lasso/xml/xml.c: fix documentation of lasso_node_debug

2010-04-06 13:10  bdauvergne

	* lasso/xml/xml.c: Make lasso_node_get_xmlNode return original_xmlnode if there is
	  one
	  
	  * lasso/xml/xml.c:
	  this change allow session to contain exact copy of received assertion
	  (and not the one lacking signatures) and also to put those assertions
	  directly into message, for example as ID-WSF credentials.
	  But it could have side effect, so for now I will no merge it.

2010-03-27 17:40  bdauvergne

	* lasso/id-ff/login.c: update documentation of
	  lasso_login_build_authn_response_msg

2010-03-27 17:40  bdauvergne

	* lasso/id-ff/login.c: update documentation of lasso_login_build_authn_request_msg

2010-03-27 17:40  bdauvergne

	* lasso/id-ff/login.c: improve documentation of lasso_login_build_artifact_msg

2010-03-27 17:39  bdauvergne

	* lasso/id-ff/login.c: use lasso_release_gobject in lasso_login_destroy

2010-03-27 17:39  bdauvergne

	* lasso/id-ff/login.c: update lasso_login_accept_sso documentation

2010-03-27 17:39  bdauvergne

	* lasso/id-ff/login.c: ID-FF&SAML2: complete documentation of
	  lasso_login_build_assertion

2010-03-27 17:39  bdauvergne

	* lasso/backward_comp.h: Make multiple include loading work in
	  lasso/backward_comp.h
	  
	  * lasso/backward_comp.h
	  add missing BACKWARD_COMP_H define.

2010-03-27 16:52  bdauvergne

	* bindings/perl/t/Lasso.t: Binding python: fix test file

2010-03-27 16:52  bdauvergne

	* docs/reference/lasso/lasso-sections.txt, lasso/id-ff/profile.h,
	  lasso/id-ff/provider.c, lasso/id-ff/provider.h, lasso/id-ff/providerprivate.h,
	  lasso/saml-2.0/assertion_query.c, lasso/saml-2.0/profile.c,
	  lasso/saml-2.0/profileprivate.h, lasso/saml-2.0/provider.c,
	  lasso/saml-2.0/providerprivate.h, lasso/xml/saml-2.0/saml2_strings.h,
	  lasso/xml/saml-2.0/saml2_xsd.h, tests/Makefile.am,
	  tests/assertion_query_saml2.c, tests/metadata_tests.c, tests/tests.c: SAML
	  2.0&ID-FF 1.2: simplify and complete metadata loading for multi-role support

2010-03-27 16:52  bdauvergne

	* schemas, schemas/saml-2.0, schemas/saml-2.0/saml-schema-assertion-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-auth-telephony-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-ip-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-ippword-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-kerberos-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-mobileonefactor-reg-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-mobileonefactor-unreg-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-mobiletwofactor-reg-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-mobiletwofactor-unreg-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-nomad-telephony-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-personal-telephony-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-pgp-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-ppt-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-pword-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-session-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-smartcard-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-smartcardpki-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-softwarepki-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-spki-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-srp-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-sslcert-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-telephony-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-timesync-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-types-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-x509-2.0.xsd,
	  schemas/saml-2.0/saml-schema-authn-context-xmldsig-2.0.xsd,
	  schemas/saml-2.0/saml-schema-dce-2.0.xsd,
	  schemas/saml-2.0/saml-schema-ecp-2.0.xsd,
	  schemas/saml-2.0/saml-schema-metadata-2.0.xsd,
	  schemas/saml-2.0/saml-schema-protocol-2.0.xsd,
	  schemas/saml-2.0/saml-schema-x500-2.0.xsd,
	  schemas/saml-2.0/saml-schema-xacml-2.0.xsd: Core: add XML schemas for SAML 2.0

2010-03-27 16:51  bdauvergne

	* docs/reference/lasso/lasso-sections.txt, lasso/xml/soap_binding.h: Doc: add all
	  missing methods to documentation section file
	  
	  * add missing LASSO_EXPORT too for functions already present in the
	  documentation, but not exported previously.

2010-03-27 16:51  bdauvergne

	* tools/check-lasso-sections.py: Tools: add script to check for missing functions
	  in lasso-sections.txt

2010-03-27 16:51  bdauvergne

	* lasso/xml/xml.c: XML: in lasso_node_build_xmlNode_from_snippets only set child
	  name if SNIPPET is not of ANY type

2010-03-27 16:51  bdauvergne

	* lasso/xml/private.h, lasso/xml/tools.c: Core: add
	  lasso_set_string_from_prop(char**,xmlNode*,..) function

2010-03-27 16:51  bdauvergne

	* lasso/id-ff/profile.c, lasso/id-ff/profile.h: Core: add method to check whether
	  we are IdP or SP of another provider
	  
	  * lasso/id-ff/profile.{c,h}:
	  the method lasso_profile_sso_role_with, evaluate using the current
	  LassoIdentity content if we are in a relation of IdP or SP toward
	  another provider. This is based on the existence of a federation with
	  this provider.

2010-03-27 16:51  bdauvergne

	* lasso/xml/saml-2.0/saml2_strings.h: SAML 2.0: add attribute profiles strings

2010-03-27 16:51  bdauvergne

	* lasso/id-ff/defederation.c, lasso/id-ff/login.c, lasso/id-ff/provider.c,
	  lasso/id-ff/provider.h, lasso/id-ff/providerprivate.h, lasso/id-ff/server.c,
	  lasso/id-ff/serverprivate.h, lasso/saml-2.0/assertion_query.c,
	  lasso/saml-2.0/assertion_query.h, lasso/saml-2.0/ecp.c,
	  lasso/saml-2.0/provider.c: SAML 2.0: add support for attribute, authentication
	  and authorization authorities metadata
	  
	  * server.c,serverprivate.h: add new private method
	  lasso_server_get_firs_providerID_by_role(server, role)w
	  * defederation.c: use new private method
	  lasso_server_get_first_providerID_by_role for find providerID
	  when the argument remote_providerID is null in
	  lasso_defederation_init_notification.
	  * lasso/id-ff/login.c (lasso_login_init_authn_request): use new private
	  method lasso_server_get_first_providerID_by_role.
	  * provider.h: add thre new provider role (authn,pdp,attribute) and
	  four new services (authn,assertionid,attribute,authz) and also
	  a ROLE_ANY value (-1) for catchall purpose and a ROLE_LAST for
	  array sizing.
	  * provider.h: add a LAST member to LassoMdProtocolType enum.
	  * providerprivate.h,provider.c:
	  - removes separate hashtable for descriptors depending on provider role,
	  use only one table named Descriptors.
	  - use the LAST members of enumerations to dimention static string arrays.
	  * provider.h: add a LAST member to the e

2010-03-27 16:51  bdauvergne

	* lasso/xml/xml.c: XML: add support for setting attribute in any namespace using
	  element tree syntax

2010-03-27 16:51  bdauvergne

	* lasso/saml-2.0/login.c, lasso/saml-2.0/profile.c: Support SignatureVerifyHint in
	  SAML 2.0 SSO profile and common message handling

2010-03-27 16:51  bdauvergne

	* docs/reference/lasso/lasso-sections.txt, lasso/id-ff/profile.c,
	  lasso/id-ff/profile.h, lasso/id-ff/profileprivate.h: Add signature_verify_hint
	  accessor methods to LassoProfile
	  
	  * lasso/id-ff/profile.{c,h}:
	  add a LassoProfileSignatureVerifyHint enumeration and two accessor
	  methods:
	  - lasso_profile_get_signature_verify_hint
	  - lasso_profile_set_signature_verify_hint
	  * lasso/id-ff/profileprivate.h:
	  add private field signature_verify_hint.

2010-03-27 16:51  bdauvergne

	* bindings/utils.py: Bindings: fix parsing of camelcased ident (Samlp2IDPList ->
	  samlp2,idp,list)

2010-03-27 16:51  bdauvergne

	* bindings/python/lang.py: Binding python: fix problem of classes without an
	  initializer

2010-03-27 16:51  bdauvergne

	* tests/tests.h: Tests: add macros to test for string equality

2010-03-27 16:51  bdauvergne

	* tests/login_tests_saml2.c: Tests: in SAML 2.0 tests, use more check_ macros

2010-03-27 16:51  bdauvergne

	* tests/tests.h: Tests: add macros check_equals and check_not_equals

2010-03-27 16:51  bdauvergne

	* lasso/xml/xml.c: Core: change GObjectAnnotation of lasso_node_export_to_query to
	  state that private_key_file is optional

2010-03-27 16:51  bdauvergne

	* bindings/bindings.py, lasso/xml/saml-2.0/Makefile.am,
	  lasso/xml/saml-2.0/saml2_xsd.h: SAML 2.0 XML: add header listing strings from
	  XML schema

2010-03-08 13:19  bdauvergne

	* lasso/saml-2.0/login.c: SAML 2.0: fix uninitialized variable

2010-03-08 13:19  bdauvergne

	* lasso/id-wsf/id_wsf.h: ID-WSF 1.0: fix bad header name in all inclusive header
	  lasso/id-wsf/id_wsf.h

2010-03-02 11:58  bdauvergne

	* bindings/php5/tests/binding_tests.php: Binding PHP5 tests: fix assertion dump
	  test

2010-03-02 11:58  bdauvergne

	* lasso/xml/disco_send_single_logout.c,
	  lasso/xml/id-wsf-2.0/sb2_user_interaction_header.c,
	  lasso/xml/id-wsf-2.0/subsref_app_data.c, lasso/xml/lib_assertion.c,
	  lasso/xml/saml-2.0/saml2_condition_abstract.c,
	  lasso/xml/saml-2.0/saml2_encrypted_element.c, lasso/xml/ws/wsa_attributed_uri.c,
	  lasso/xml/ws/wsa_endpoint_reference.c: XML: move registry mapping into the
	  *_get_type() functions
	  
	  * lassoxml/disco_send_single_logout.c:
	  * lassoxml/id-wsf-2.0/sb2_user_interaction_header.c:
	  * lassoxml/id-wsf-2.0/subsref_app_data.c:
	  * lassoxml/lib_assertion.c:
	  * lassoxml/saml-2.0/saml2_condition_abstract.c:
	  * lassoxml/saml-2.0/saml2_encrypted_element.c:
	  * lassoxml/ws/wsa_attributed_uri.c:
	  * lassoxml/ws/wsa_endpoint_reference.c:
	  class_init is only called the first time an object of the given type
	  is created, registry mappings must exist before this time, so I moved
	  the registration code to the _get_type() functions.

2010-03-02 11:58  bdauvergne

	* lasso/xml/xml.c, lasso/xml/xml.h: Core: add a level argument to lasso_node_debug

2010-03-02 11:58  bdauvergne

	* lasso/id-wsf-2.0/soap_binding.c, lasso/id-wsf-2.0/soap_binding.h: ID-WSF 2.0:
	  add lasso_soap_envelope_set_relates_to method

2010-03-02 11:58  bdauvergne

	* lasso/utils.h: Core: add macro to remove gobject from lists

2010-03-02 11:57  bdauvergne

	* lasso/xml/Makefile.am, lasso/xml/tools.c, lasso/xml/tools.h: Core: export
	  lasso_build_unique_id into public API
	  
	  * lasso/xml/tools.h:
	  add new header to export lasso_build_unique_id as a public API.
	  
	  * lasso/xml/Makefile.am:
	  add tools.h to header list
	  
	  * lasso/xml/tools.c:
	  add GObjectIntrospection annotations to exported functions.

2010-03-02 11:57  bdauvergne

	* lasso/saml-2.0/profile.c: SAML 2.0: change error code for empty ArtifactResolve
	  response to LASSO_PROFILE_ERROR_MISSING_RESPONSE

2010-03-02 11:57  bdauvergne

	* bindings/java/Makefile.am: Bindings java: do not mask errors from the code
	  generator

2010-03-02 11:57  bdauvergne

	* lasso/id-ff/profile.c, lasso/id-ff/profile.h, lasso/id-wsf-2.0/data_service.c,
	  lasso/id-wsf-2.0/discovery.c, lasso/id-wsf-2.0/profile.c,
	  lasso/id-wsf-2.0/profile.h: Core: add an helper method to build a SOAP response
	  in a LassoProfile object
	  
	  * lasso/id-ff/profile.{c,h}:
	  add lasso_profile_add_soap_fault_response(char* code, char *string,
	  GList *details).
	  * lasso/id-wsf-2.0/profile.{c,h}:
	  change signature of lasso_idwsf2_profile_init_soap_fault_response.
	  * lasso/id-wsf-2.0/data_service.c:
	  use new function instead of manually intializing soap faults
	  * lasso/id-wsf-2.0/discovery.c:
	  init a soap fault when parsed request is of an unknown type, return
	  proper error.

2010-03-02 11:57  bdauvergne

	* bindings/python/tests/idwsf2_tests.py: ID-WSF 2.0 python tests: finish tests for
	  new ID-WSF 2.0 API
	  
	  * bindings/python/tests/idwsf2_tests.py:
	  all Discovery service request types are tested, and Data Service
	  query is tested as well. Data Service testing and API should more
	  tested, especially failure cases.

2010-03-02 11:57  bdauvergne

	* lasso/id-wsf-2.0/data_service.c: ID-WSF 2.0: add service type to response, parse
	  response before using it

2010-03-02 11:57  bdauvergne

	* lasso/xml/xml.c: Core: in xml_insure_namespace do not segfault if ns is NULL

2010-03-02 11:57  bdauvergne

	* bindings/python/lang.py: Binding python: accept a functio as setter, if it has
	  only two arguments

2010-03-02 11:57  bdauvergne

	* lasso/id-wsf-2.0/profile.c: ID-WSF 2.0: in lasso_idwsf2_get_name_identifier, use
	  lasso_saml2_assertion_decrypt_subject

2010-03-02 11:57  bdauvergne

	* lasso/id-wsf-2.0/profile.c: ID-WSF 2.0: in
	  lasso_idwsf2_profile_check_security_mechanism, add common logic for SAML 2.0
	  secmech, check for presence of a server object,

2010-03-02 11:57  bdauvergne

	* lasso/id-wsf-2.0/discovery.c: ID-WSF 2.0: fix MDAssociationQueryResponse
	  handling
	  
	  * lasso/id-wsf-2.0/discovery.c:
	  - in lasso_idwsf2_discovery_validate_request, use svcmdids to
	  intialize response to MSAssociationQuery requests.
	  - in lasso_idwsf2_discovery_process_response_msg, extract received
	  svcmdids; use lasso_check_good_rc when needed.

2010-03-02 11:57  bdauvergne

	* lasso/id-wsf-2.0/discovery.c: ID-WSF 2.0: change signature of
	  lasso_idwsf2_discovery_add_identity_to_epr
	  
	  * lasso/id-wsf-2.0/discovery.c:
	  - in lasso_idwsf2_discovery_add_identity_to_epr, receive an Epr
	  instead of an EprMetadata node, and use
	  lasso_wsa_endpoint_reference_add_security_token to add the
	  assertion token instead of duplicating this logic.
	  - in lasso_idwsf2_discovery_build_epr change the call site.

2010-03-02 11:57  bdauvergne

	* lasso/id-wsf-2.0/data_service.c: ID-WSF 2.0: fix documentation of
	  lasso_idwsf2_data_service_build_request_msg

2010-03-02 11:57  bdauvergne

	* lasso/saml-2.0/saml2_helper.c: SAML 2.0: in
	  lasso_saml2_assertion_get_issuer_provider, check type of server argument

2010-03-02 11:57  bdauvergne

	* lasso/utils.h: Core: add do/while(0) around block of goto_cleanup_with_rc

2010-03-02 11:57  bdauvergne

	* lasso/errors.c, lasso/errors.h: Core: add PROFILE errors around assertion
	  validation
	  
	  * lasso/errors.c lasso/errors.h:
	  - add errors concerning invalid assertion, assertion with invalid
	  conditions, unknown issuers, or when the issuer is not a provider
	  we marked as an IdP.
	  - add error for missing sender id in an ID-WSF message.

2010-03-02 11:57  bdauvergne

	* docs/reference/lasso/lasso-sections.txt, lasso/xml/private.h, lasso/xml/tools.c,
	  lasso/xml/xml.c, lasso/xml/xml.h: Core: add a level argument to
	  lasso_xmlnode_to_string and _lasso_node_export_to_xml

2010-02-22 15:18  bdauvergne

	* bindings/perl/glist_handling.c, bindings/perl/lang.py: Binding perl: add support
	  for out parameters
	  
	  * bindings/perl/lang.py:
	  support GObject out parameters.

2010-02-22 15:18  bdauvergne

	* lasso/xml/saml-2.0/saml2_condition_abstract.c: SAML 2.0:
	  LassoSaml2ConditionAbstract does not match its element name anymore, add a
	  registry mapping
	  
	  * lasso/xml/saml-2.0/saml2_condition_abstract.c:
	  last commit to this file changed the element name from
	  ConditionAbstract to Condition so the XML parser cannot find the
	  corresponding GObject class anymore.

2010-02-22 13:30  bdauvergne

	* docs/reference/lasso/lasso-sections.txt, lasso/saml-2.0/saml2_helper.c,
	  lasso/saml-2.0/saml2_helper.h: SAML 2.0: add more accessors for Conditions
	  
	  * lasso/saml-2.0/saml2_helper.{c,h}:
	  distribute code from lasso_saml2_assertion_validate_conditions to
	  lasso_saml2_assertion_validate_time_checks and
	  lasso_saml2_assertion_validate_audience.
	  add lasso_saml2_assertion_allows_proxying and
	  lasso_saml2_assertion_allows_proxying_to, to respectively check for
	  proxying of the current assertion, and for proxying to a specific
	  provider (you must call both of them to test completely the proxying
	  status of an assertion).
	  * docs/reference/lasso/lasso-sections.txt:
	  reference new functions into documentation.

2010-02-22 13:30  bdauvergne

	* bindings/python/lang.py: Bindings python: use more accessors from utils.py
	  
	  * binings/python/lang.py: remove direct access to type tuples in favor
	  of using accesors from utils.py.

2010-02-22 13:30  bdauvergne

	* bindings/utils.py: Bindings: make is_int more robust, and fix remove_modifiers

2010-02-22 13:30  bdauvergne

	* bindings/php5/wrapper_source.py: Bindings php5: use accessort from
	  bindings/utils.py
	  
	  * bindings/php5/wrapper_source.py:
	  do not handle 'type/variable' tuple directly, use accessors.

2010-02-22 13:30  bdauvergne

	* bindings/python/lang.py: Binding python: add pickling support to LassoNode
	  
	  * bindings/python/lang.py:
	  support pickling protocol methods __getstate__ and __setstate__
	  leveraging the lasso_node_dump and lasso_node_new_from_dump methods
	  from Lasso.

2010-02-22 13:30  bdauvergne

	* lasso/xml/private.h, lasso/xml/tools.c: Add lasso_string_to_xsd_integer, to
	  parse xsd:integer values

2010-02-22 13:30  bdauvergne

	* lasso/xml/saml-2.0/saml2_condition_abstract.c: SAML 2.0: fix bad name of
	  Condition element, keep xmlNode as it is abstract
	  
	  * lasso/xml/saml-2.0/saml2_condition_abstract.c:
	  saml2:Condition is an element whose type is abstract, it must be used
	  as an extension point helped by the xsi:type field. As the content is
	  unknown before hand we must keep the original xmlNode for later
	  analysis.

2010-02-22 13:30  bdauvergne

	* bindings/python/tests/idwsf2_tests.py: Bindings python tests: update
	  idwsf2_tests.py

2010-02-22 13:30  bdauvergne

	* bindings/utils.py: Bindings: in utils.py, make clean_type handle None value

2010-02-22 13:30  bdauvergne

	* lasso/id-wsf-2.0/data_service.c, lasso/id-wsf-2.0/discovery.c,
	  lasso/id-wsf-2.0/discovery.h, lasso/id-wsf-2.0/idwsf2_helper.c,
	  lasso/id-wsf-2.0/idwsf2_helper.h, lasso/id-wsf-2.0/profile.c,
	  lasso/id-wsf-2.0/saml2_login.c, lasso/id-wsf-2.0/saml2_login.h,
	  lasso/id-wsf-2.0/soap_binding.c, tests/idwsf2_tests.c: ID-WSF 2.0: reorganize
	  EPR minting, add a process_request method to disco service
	  
	  * data_service.c:
	  remove dependency on discovery.h
	  * discovery.{c,h}:
	  - add a lasso_idwsf2_discovery_process_request_msg to extract request
	  data before validate request (SvcMDID, SvcMD or RequestService).
	  - store SvcMDID in a private field, add a setter for it.
	  - SvcMDID is now used for building response to MDAssociationQuery and
	  parsing request for MDQuery, MDDelete, MDAssociationAdd and
	  MDAssociationDelete.
	  * idwsf2_helper.{c,h}:
	  - change security mechanism argument of
	  lasso_wsa_endpoint_reference_add_security_token from a NULL
	  terminated string array to a GList.
	  * saml2_login.{c,h}:
	  - add a lasso_server_create_assertion_as_idwsf2_security_token for
	  minting assertion for ID-WSF 2.0 security, to be used in Discovery
	  bootstap EPR creation and EPR minting for Discovery service Query
	  responses.
	  - add a lasso_saml2_assertion_get_discovery_bootstrap_epr, and
	  rewirte lasso_login_idwsf2_get_discovery_bootstrap_epr to use it.
	  - make lasso_login_idwsf2_add_discovery_bootstrap_epr accept a list
	  of security mechanisms, not just one.
	  * tests/idwsf2_tests.c:
	  - adapt to new argument type of
	  lasso_login_idwsf2_add_discovery_bootstrap_epr.

2010-02-22 13:30  bdauvergne

	* lasso/id-ff/logout.c: Core: add new example to LassoLogout for asynchronous
	  response handling

2010-02-22 13:30  bdauvergne

	* lasso/build_strerror.py, lasso/errors.c: Support multiline error messages in
	  build_strerror.py

2010-02-22 13:30  bdauvergne

	* lasso/saml-2.0/saml2_helper.c, lasso/saml-2.0/saml2_helper.h: SAML 2.0: add
	  lasso_saml2_encrypted_element_server_decrypt and
	  lasso_saml2_assertion_decrypt_subject

2010-02-22 13:30  bdauvergne

	* tests/data/idp5-saml2/metadata.xml: Fix idp5-saml2 metadatas
	  
	  * tests/data/idp5-saml2/metadata.xml:
	  we do not have the private key for the encryption public key, so I
	  copied the signing public key.

2010-02-22 13:30  bdauvergne

	* lasso/utils.c, lasso/utils.h: Fix lasso_extract_gobject_from_list

2010-02-21 12:47  mates

	* lasso/lasso.c:

2010-02-17 16:08  bdauvergne

	* docs/reference/lasso/lasso-sections.txt, lasso/id-ff/logout.c,
	  lasso/id-wsf-2.0/profile.c: Documentation: add example to LassoLogout, fix bad
	  markup in id-wsf-2.0/profile.c

2010-02-17 16:08  bdauvergne

	* lasso/id-wsf-2.0/profile.c: ID-WSF 2.0: also check sender match assertion in
	  lasso_idwsf2_profile_check_security_mechanism
	  
	  * lasso/id-wsf-2.0/profile.c:
	  for BEARER mechanism, also check that the SPNameQualifier of the
	  Subject match the Sender of the request.

2010-02-17 16:08  bdauvergne

	* lasso/id-wsf-2.0/discovery.h: ID-WSF 2.0: add
	  lasso_idwsf2_discovery_get_svcmdids to public API

2010-02-17 10:15  bdauvergne

	* tests/integration/saml2/__init__.py: Tests integration: force C locale
	  
	  * tests/integration/saml2/__init__.py:
	  authentic now use 'system locale' by default, so force C locale to
	  get english IHM string to make twill happy.

2010-02-17 10:15  bdauvergne

	* lasso/xml/saml-2.0/saml2_assertion.c: SAML 2.0: if assertion possess a signed
	  original_xmlnode return it instead of using get_xmlNode
	  
	  * lasso/xml/saml-2.0/saml2_assertion.c:
	  assertion in lasso when read are not usable anymore because the
	  signature is lost, this commit allows to keep assertion unaltered
	  after reading them if they contained a top level signature (a
	  signature contained in the Assertion node).
	  This is useful for reusing assertion kept in a LassoSession object
	  and for using assertion as security token for ID-WSF.

2010-02-17 10:15  bdauvergne

	* lasso/xml/xml.c: Core: use lasso_xmlnode_to_string in LassoNode export functions
	  
	  * lasso/xml/xml.c:
	  remove duplicate codes and use lasso_xmlnode_to_string instead.

2010-02-17 10:15  bdauvergne

	* bindings/python/tests/idwsf2_tests.py: Current state of ID-WSF 2.0 python test

2010-02-17 10:15  bdauvergne

	* bindings/php5/wrapper_source.py: Binding php5: fix generation of list freeing
	  
	  * bindings/php5/wrapper_source.py:
	  free_glist wants a GList** as first argument.

2010-02-17 10:15  bdauvergne

	* lasso/xml/private.h, lasso/xml/tools.c: Core: add a lasso_xmlnode_to_string
	  function
	  
	  * lasso/xml/tools.c lasso/xml/private.h:
	  lots of functions duplicate this code, so we factorized it there.
	  It has two parameters, the xmlnode and boolean deciding whether to
	  format the resulting content (good for reading but bad for
	  signatures).

2010-02-17 10:15  bdauvergne

	* lasso/saml-2.0/profile.c: SAML 2.0: in
	  lasso_saml20_profile_set_session_from_dump_decrypt, really decrypt
	  
	  * lasso/saml-2.0/profile.c:
	  dump for already signed assertion containing an EncryptedID as
	  Subject does not work as before, the decrypted NameID is no more
	  included in it, so instead of trying to plug it in the NameID field
	  we resort to really deciphering the EncryptedID.
	  That could be a performance problem if the session object is stuffed
	  with a lot of assertions.

2010-02-17 10:15  bdauvergne

	* bindings/python/tests/idwsf2_tests.py: Current state of idwsf2 tests

2010-02-17 10:15  bdauvergne

	* lasso/id-wsf-2.0/data_service.c, lasso/id-wsf-2.0/discovery.c,
	  lasso/id-wsf-2.0/profile.c: ID-WSF 2.0: fix loading of LassoIdWsf2Discovery
	  dumps

2010-02-17 10:15  bdauvergne

	* lasso/xml/xml.c: Core: add error exit to lasso_node_new_from_xmlNode
	  
	  * lasso/xml/xml.c:
	  if building of the node fails, we must keep the initialization of
	  custom nodename and namespace.

2010-02-17 10:15  bdauvergne

	* bindings/python/lang.py: Binding python: simplify special constructor, use
	  cptrToPy

2010-02-17 10:15  bdauvergne

	* lasso/id-wsf-2.0/profile.c: ID-WSF 2.0: make
	  lasso_idwsf2_profile_redirect_user_for_interaction add the transactionID to the
	  URL
	  
	  * lasso/id-wsf-2.0/profile.c:
	  simplify use of lasso_idwsf2_profile_redirect_user_for_interaction by
	  directly adding the ID of the SOAP response message to the URL.
	  Report an error if no MessageID can be found.

2010-02-17 10:15  bdauvergne

	* lasso/id-wsf-2.0/soap_binding.c, lasso/id-wsf-2.0/soap_binding.h: ID-WSF 2.0:
	  rewrite and document lasso_soap_envelope_sb2_get_redirect_request_url
	  
	  * lasso/id-wsf-2.0/soap_binding.{c,h}:
	  fix error in conception of
	  lasso_soap_envelope_sb2_get_redirect_request_url, RedirectRequest is
	  part of a SOAP fault not the headers.
	  Explain in the documentation how to use the RedirectRequest URL.
	  Change the return type to a const string.

2010-02-17 10:15  bdauvergne

	* lasso/id-wsf-2.0/soap_binding.c, lasso/id-wsf-2.0/soap_binding.h: ID-WSF 2.0:
	  add a method to retrieve/create a SOAP Fault to SOAP binding module
	  
	  * lasso/id-wsf-2.0/soap_binding.{c,h}:
	  add method lasso_soap_envelope_get_soap_fault which returns/create
	  the first SOAP fault inside the body of the SOAP envelope.

2010-02-17 10:15  bdauvergne

	* bindings/python/tests/binding_tests.py, bindings/python/tests/profiles_tests.py:
	  Binding python tests: adapt test to use TOP_SRCDIR env var

2010-02-17 10:15  bdauvergne

	* bindings/python/lang.py: Binding python: factorize value freeing generation code
	  
	  * lasso/python/lang.py:
	  extract value freeing generation code to method free_value,
	  add proper liberation of values at exit of wrapper functions, remove
	  g_free call from return_value generated code.

2010-02-17 10:14  bdauvergne

	* lasso/id-ff/logout.c, lasso/id-ff/profile.c, lasso/id-ff/profile.h,
	  lasso/id-ff/provider.c, lasso/id-ff/server.c, lasso/id-ff/session.c,
	  lasso/id-wsf-2.0/data_service.c, lasso/id-wsf-2.0/discovery.c,
	  lasso/id-wsf-2.0/profile.c, lasso/id-wsf-2.0/server.c,
	  lasso/id-wsf/data_service.c, lasso/id-wsf/discovery.c,
	  lasso/id-wsf/id_ff_extensions.c, lasso/id-wsf/wsf_profile.c: Core: add missing
	  return value owner semantic annotations to getters
	  
	  * lasso/id-ff/provider.c:
	  fix lasso_provider_get_base64_succinct_id, it returned a libxml
	  string, copy it with g_strdup before releasing it to stay with GLib
	  allocated string in return values.

2010-02-17 10:14  bdauvergne

	* lasso/id-ff/identity.c, lasso/id-ff/profile.c, lasso/id-wsf-2.0/saml2_login.c:
	  Core: add annotation to getter function about return value owner semantic
	  
	  * lasso/id-ff/identity.c lasso/id-ff/profile.c:
	  precise owner semantic of lasso_profile_get_identity,
	  lasso_profile_get_session, lasso_profile_get_server
	  * lasso/id-wsf-2.0/saml2_login.c tests/login_tests_saml2.c:
	  in the same vein add missing release of assertion returned by
	  lasso_login_get_assertion which return a caller owned object.

2010-02-17 10:14  bdauvergne

	* lasso/id-wsf-2.0/profile.c: ID-WSF 2.0: make
	  lasso_idwsf2_profile_redirect_user_for_interaction choke on missing redirect
	  property on UserInteraction header
	  
	  * lasso/id-wsf-2.0/profile.c:
	  if redirect boolean property is false, refuse to return a redirect
	  request.
	  automatically create a SOAP fault to signal to the requester that it
	  needs to support interaction via redirect.

2010-02-17 10:14  bdauvergne

	* lasso/errors.c, lasso/errors.h: ID-WSF 2.0: add error code signaling that the
	  requester does not support redirect request
	  
	  * lasso/errors.c lasso/errors.h:
	  add
	  LASSO_WSF_PROFILE_ERROR_REDIRECT_REQUEST_UNSUPPORTED_BY_REQUESTER.

2010-02-17 10:14  bdauvergne

	* lasso/id-wsf-2.0/soap_binding.c, lasso/id-wsf-2.0/soap_binding.h: ID-WSF 2.0:
	  add a create arg to lasso_soap_envelope_get_sb2_user_interaction_header, add it
	  to public API

2010-02-17 10:14  bdauvergne

	* lasso/id-wsf-2.0/idwsf2_helper.c, lasso/id-wsf-2.0/soap_binding.c,
	  lasso/id-wsf/data_service.c: ID-WSF 2.0: fix lots of bad usage of g_strcmp0
	  
	  * lasso/id-wsf-2.0/idwsf2_helper.c lasso/id-wsf-2.0/soap_binding.c
	  lasso/id-wsf/data_service.:
	  add missing check for the return value of strcmp, maybe we need a
	  macro like lasso_strequal.

2010-02-17 10:14  bdauvergne

	* tests/login_tests_saml2.c: Tests: in login_tests_saml2.c, add test for
	  lasso_saml2_assertion_validate_conditions

2010-02-17 10:14  bdauvergne

	* bindings/python/tests/idwsf2_tests.py: in idwsf2_tests.py, merge test case for
	  metadata registering, add test case for failure

2010-02-17 10:14  bdauvergne

	* bindings/bindings.py: Bindings: parse defines refering to other defines
	  
	  * bindings/bindings.py:
	  Allow to build constants using other constants (prefix string), the
	  constant type is retrieved from the prefix existing record.

2010-02-17 10:14  bdauvergne

	* lasso/xml/tools.c: in tools.c, add defines to permit import of timegm

2010-02-17 10:14  bdauvergne

	* lasso/saml-2.0/saml2_helper.c: SAML 2.0: make
	  lasso_saml2_assertion_validate_conditions really work

2010-02-17 10:14  bdauvergne

	* lasso/xml/tools.c: Core: fix lasso_iso_8601_gmt_to_time_t, use timegm instead of
	  mktime
	  
	  * lasso/xml/tools.c:
	  mktime convert works on local time, we need timegm to work with GMT
	  time.

2010-02-17 10:14  bdauvergne

	* lasso/id-ff/profile.c, lasso/id-wsf-2.0/idwsf2_helper.c,
	  lasso/id-wsf-2.0/saml2_login.c, lasso/xml/id-wsf-2.0/disco_abstract.c,
	  lasso/xml/id-wsf-2.0/disco_endpoint_context.c,
	  lasso/xml/id-wsf-2.0/disco_keys.c, lasso/xml/id-wsf-2.0/disco_options.c,
	  lasso/xml/id-wsf-2.0/disco_provider_id.c, lasso/xml/id-wsf-2.0/disco_query.c,
	  lasso/xml/id-wsf-2.0/disco_query_response.c,
	  lasso/xml/id-wsf-2.0/disco_requested_service.c,
	  lasso/xml/id-wsf-2.0/disco_security_context.c,
	  lasso/xml/id-wsf-2.0/disco_service_context.c,
	  lasso/xml/id-wsf-2.0/disco_service_type.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_association_add.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_association_add_response.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_association_delete.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_association_delete_response.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_association_query.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_association_query_response.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_delete.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_delete_response.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_query.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_query_response.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_register.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_register_response.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_replace.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_replace_response.c,
	  lasso/xml/id-wsf-2.0/disco_svc_metadata.c,
	  lasso/xml/id-wsf-2.0/idwsf2_strings.h, lasso/xml/xml.c: ID-WSF 2.0: add strings
	  for Discovery service Actions

2010-02-17 10:14  bdauvergne

	* lasso/id-wsf-2.0/discovery.c, lasso/id-wsf-2.0/profile.c: ID-WSF 2.0: add
	  serialization code for private properties of LassoIdWsf2Profile

2010-02-17 10:14  bdauvergne

	* lasso/id-wsf-2.0/discovery.c: ID-WSF 2.0: fix missing initialization of request
	  field in lasso_idwsf2_discovery_validate_md_register

2010-02-17 10:14  bdauvergne

	* docs/reference/lasso/lasso-sections.txt: ID-WSF 2.0 Documentation: update
	  lasso-sections.txt with LassoIdWsf2Profile methods

2010-02-17 10:14  bdauvergne

	* lasso/id-wsf-2.0/discovery.c: ID-WSF 2.0: fix
	  lasso_idwsf2_discovery_add_simple_service_metadata
	  
	  * lasso/id-wsf-2.0/discovery.c:
	  options is a string list, and security_mech_ids too, so employ the
	  corresponding macros.

2010-02-17 10:14  bdauvergne

	* lasso/utils.h: Core: in utils.h, use a temporary to store reference to freed
	  list

2010-02-17 10:14  bdauvergne

	* lasso/id-wsf-2.0/discovery.c: ID-WSF 2.0: in lasso_idwsf2_discovery_status2rc,
	  check second level status code too

2010-02-17 10:14  bdauvergne

	* website/web/documentation/index.xml: Website: add a link to the developement
	  version documentation

2010-02-15 10:37  bdauvergne

	* bindings/python/lang.py: Binding python: fix leak in string getters

2010-02-15 10:37  bdauvergne

	* lasso/saml-2.0/saml2_helper.c: SAML 2.0: fix documentation of
	  lasso_saml2_assertion_validate_conditions

2010-02-15 10:37  bdauvergne

	* lasso/id-wsf-2.0/discovery.c: Add signature on EPR secur token

2010-02-15 10:37  bdauvergne

	* bindings/python/tests/idwsf2_tests.py: Bindings python: udpate id-wsf 2.0 test
	  file
	  
	  * bindings/python/tests/idwsf2_tests.py:
	  Disco Service registering is working, it now needs a bootstrap epr in
	  all case (before registering could be done without signatures).

2010-02-15 10:37  bdauvergne

	* lasso/id-wsf-2.0/discovery.c: ID-WSF 2.0: add signature to Disco produced EPR
	  SAML 2.0 security tokens

2010-02-15 10:37  bdauvergne

	* lasso/id-wsf-2.0/profile.c: ID-WSF 2.0: in
	  lasso_idwsf2_profile_build_request_msg, properly handle the security token
	  
	  * lasso/id-wsf-2.0/profile.c:
	  security token is a signed assertion by an IdP or a discovery
	  service, we must keep as is, that is with the signature, in order to
	  do that we extract the original xmlNode from the assertion and embed
	  it in the new message using a LassoMiscTextNode.

2010-02-15 10:37  bdauvergne

	* lasso/id-wsf-2.0/saml2_login.c: ID-WSF 2.0: in
	  lasso_login_idwsf2_get_discovery_bootstrap_epr, better handle attribute content
	  
	  * lasso/id-wsf-2.0/saml2_login.c:
	  LassoSaml2AttributeValue can contain many children, so traverse them
	  all to find the firs LassoWsAddrEndpointReference among them.

2010-02-15 10:37  bdauvergne

	* lasso/id-wsf-2.0/saml2_login.c: ID-WSF 2.0: in
	  lasso_login_idwsf2_add_discovery_bootstrap_epr, initialize ID and Issuer
	  property on bootstrap assertion.
	  
	  * lasso/id-wsf-2.0/saml2_login.c:
	  initialization of ID and Issuer properties was missing.

2010-02-15 10:37  bdauvergne

	* lasso/xml/tools.c: Core: in lasso_verify_signature, fix conditional about single
	  reference
	  
	  * lasso/xml/toosl.c:
	  verify that reference is unique if NO_SINGLE_REFERENCE is disabled.

2010-02-15 10:37  bdauvergne

	* lasso/saml-2.0/saml2_helper.c: SAML 2.0: in saml2_helper.c, better check issuer
	  element and also test the LassoServer object for issuance,
	  lasso_saml2_assertion_get_issuer_provider

2010-02-15 10:37  bdauvergne

	* lasso/id-wsf-2.0/idwsf2_helper.c: ID-WSF 2.0: in
	  lasso_wsa_endpoint_reference_new_for_idwsf2_service, do not forget to add
	  metadata to epr, fill usage property of token
	  
	  * lasso/id-wsf-2.0/idwsf2_helper.c:
	  add missing initialization code.

2010-02-15 10:37  bdauvergne

	* lasso/id-wsf-2.0/idwsf2_helper.c: ID-WSF 2.0: fix bad type checking in
	  lasso_wsa_endpoint_reference_get_idwsf2_security_context_for_security_mechanism
	  
	  * lasso/id-wsf-2.0/idwsf2_helper.c:
	  SecurityMechID is a list of strings not LassoMiscTextNode.

2010-02-15 10:37  bdauvergne

	* lasso/id-wsf-2.0/discovery.c: ID-WSF 2.0: fix bad conditionnal in
	  lasso_idwsf2_discovery_process_metadata_register_response_msg
	  
	  * lasso/id-wsf-2.0/discovery.c:
	  fix check in
	  lasso_idwsf2_discovery_process_metadata_register_response_msg
	  fix duplication of service metadatas inside private list of service
	  metadatas.

2010-02-15 10:37  bdauvergne

	* lasso/id-ff/server.c: in server.c, fix missing loading of public keys in
	  constructors
	  
	  * lasso/id-ff/server.c:
	  constructor for LassoProvider load public keys but they are not
	  called by LassoServer constructors, so we have to explicitely
	  duplicate calls to lasso_provider_load_public_keys.

2010-02-15 10:37  bdauvergne

	* lasso/xml/id-wsf-2.0/Makefile.am, lasso/xml/id-wsf-2.0/idwsf2_strings.h,
	  lasso/xml/idwsf_strings.h: ID-WSF 2.0: moved strings to their own header

2010-02-12 11:04  bdauvergne

	* lasso/xml/saml-2.0/Makefile.am: Add saml2_strings.h to dist

2010-02-12 09:48  bdauvergne

	* bindings/python/lang.py: Bindings python: remove default argument if there is
	  parameters without default argument following

2010-02-12 09:48  bdauvergne

	* lasso/xml/xml.c: Use defined symbols instead of magic constants

2010-02-12 09:48  bdauvergne

	* lasso/xml/saml-2.0/saml2_strings.h: Add LASSO_SAML2_FIELD_ENCODING
	  
	  * lasso/xml/saml-2.0/saml2_strings.h:
	  add another field name from SAML 2.0 specifications.

2010-02-12 09:48  bdauvergne

	* lasso/xml/tools.c: Fix lasso_get_relaystate_from_query, support semi-colon and
	  parameter at beginning
	  
	  * lasso/xml/tools.c:
	  getting first parameter was broken (query_string does not contain '?'
	  at the beginning) and semi-colon support was missing.

2010-02-10 17:07  bdauvergne

	* docs/reference/lasso/lasso-sections.txt, lasso/xml/saml-2.0/saml2_strings.h:
	  Documentation: fix typos in saml2_strings.h documentation, add new string
	  symbols to lasso-sections.txt

2010-02-10 16:00  bdauvergne

	* lasso/xml/saml-2.0/saml2_strings.h, lasso/xml/strings.h: SAML 2.0: move SAML 2.0
	  strings to their own header, add documentation
	  
	  * lasso/xml/strings.h:
	  remove SAML 2.0 strings
	  * lasso/xml/saml-2.0/saml2_strings.h:
	  move them here, document useful ones.

2010-02-10 13:58  bdauvergne

	* lasso/xml/saml-2.0/samlp2_name_id_policy.h: Documentation: document
	  LsasoSamlp2NameIDPolicy

2010-02-10 13:58  bdauvergne

	* lasso/errors.h, lasso/id-wsf/id_ff_extensions.c, lasso/id-wsf/wsf_profile.c,
	  lasso/lasso.c, lasso/saml-2.0/saml2_helper.h,
	  lasso/xml/id-wsf-2.0/disco_abstract.c, lasso/xml/id-wsf-2.0/disco_provider_id.c,
	  lasso/xml/id-wsf-2.0/disco_service_type.c, lasso/xml/lib_assertion.c,
	  lasso/xml/lib_authentication_statement.c,
	  lasso/xml/lib_federation_termination_notification.c,
	  lasso/xml/lib_logout_request.c, lasso/xml/lib_logout_response.c,
	  lasso/xml/lib_name_identifier_mapping_request.c,
	  lasso/xml/lib_name_identifier_mapping_response.c,
	  lasso/xml/lib_register_name_identifier_request.c,
	  lasso/xml/lib_register_name_identifier_response.c, lasso/xml/strings.h,
	  lasso/xml/tools.c, lasso/xml/ws/wsa_attributed_qname.c,
	  lasso/xml/ws/wsa_attributed_uri.c, lasso/xml/ws/wsa_relates_to.c,
	  lasso/xml/ws/wsse_username_token.c: Documentation: complete non finished
	  documentation comments
	  
	  * too much warnings when generating doc, now we can concentrate on
	  undocumented symbols (in
	  lasso/docs/reference/lasso/lasso-undocumented.txt).

2010-02-10 00:59  bdauvergne

	* bindings/perl/glist_handling.c: Bindings perl: prevent unused functio warning
	  for array_to_glist_gobject

2010-02-10 00:59  bdauvergne

	* bindings/perl/t/Lasso.t: Tests perl: raise number of tests

2010-02-10 00:35  bdauvergne

	* docs/reference/lasso/lasso-docs.sgml: Docs: reorder sections in chapter "Lasso
	  Architecture"

2010-02-10 00:34  bdauvergne

	* lasso/saml-2.0/login.c: SAML 2.0: separate
	  lasso_saml20_login_process_response_status_and_assertion into multiple functions
	  
	  * lasso/saml-2.0/login.c:
	  in lasso_saml20_login_process_response_status_and_assertion, extract assertion
	  decryption, and issuer checking into their own function.

2010-02-10 00:34  bdauvergne

	* lasso/xml/tools.c, tests/Makefile.am, tests/random_tests.c: SAML 2.0: when
	  verifying query signature, do not presume order of field and separator
	  
	  * lasso/xml/tools.c:
	  in lasso_saml2_verify_query_signature, extract needed field and order
	  them appropriately before computing digest, expect ';' as well as '&'
	  as separator.
	  * tests/random_test.c:
	  add non-regression tests for query signature validation.
	  * tests/Makefile.am:
	  make tests link agains static version of liblasso, to get access to
	  private functions.

2010-02-10 00:34  bdauvergne

	* lasso/xml/strings.h: SAML 2.0: complete list of field names for SAML 2.0

2010-02-10 00:34  bdauvergne

	* lasso/xml/tools.c: Core: in tools.c, enhance urlencoded_to_string to support
	  semu-colon separator

2010-02-10 00:34  bdauvergne

	* lasso/saml-2.0/saml2_helper.c, lasso/saml-2.0/saml2_helper.h: SAML 2.0: add
	  helper method lasso_saml2_assertion_get_in_response_to
	  
	  * lasso/saml-2.0/saml2_helper.c lasso/saml-2.0/saml2_helper.h:
	  add a method to access easily the InResponseTo attribute.

2010-02-10 00:34  bdauvergne

	* lasso/saml-2.0/login.c: SAML 2.0: in
	  lasso_saml20_login_process_authn_response_msg always report signatures errors
	  
	  * lasso/saml-2.0/login.c:
	  - in lasso_saml20_login_process_authn_response_msg keep around all error
	  codes returned by intermediary steps. At the end report the first one.

2010-02-10 00:34  bdauvergne

	* lasso/saml-2.0/profile.c: SAML 2.0: in lasso_saml20_profile_process_any_response
	  do not stop on missing issuer
	  
	  * lasso/saml-2.0/profile.c:
	  Issuer is not a mandatory element of SAML 2.0 response,
	  but if we do not remember which issuer we sent the request (of if
	  the response is spontaneous) then we will receive a provider not found
	  error when trying to check the message signature.

2010-02-10 00:34  bdauvergne

	* lasso/saml-2.0/profile.c, lasso/xml/saml-2.0/samlp2_request_abstract.c,
	  lasso/xml/saml-2.0/samlp2_status_response.c: Use new SAML2 strings instead of
	  hardcoding query string field names

2010-02-10 00:34  bdauvergne

	* lasso/lasso.c: Add documentation about runtime flags
	  
	  * lasso/lasso.c:
	  add a table to Initialization documentation section about
	  general runtime flags.

2010-02-10 00:34  bdauvergne

	* lasso/lasso.c: Remove follow-idwsf-stupid-semantic flag
	  
	  * lasso/lasso.c:
	  this flag is useless, that's me that is stupid.

2010-02-10 00:34  bdauvergne

	* lasso/id-ff/server.c, lasso/id-ff/serverprivate.h: Add internal methods to
	  LassoServer to get the signature and encryption private keys
	  
	  * lasso/id-ff/server.c lasso/id-ff/serverprivate.h:
	  add methods lasso_server_get_private_key and
	  lasso_server_get_encryption_private_key.

2010-02-10 00:34  bdauvergne

	* lasso/id-ff/login.c: Add complete error code listing for
	  lasso_login_process_response_msg
	  
	  * lasso/id-ff/login.c:
	  list all error codes and their semantic with respect to this call.

2010-02-10 00:34  bdauvergne

	* lasso/id-ff/login.c: Update code example for LassoLogin
	  
	  * lasso/id-ff/login.c:
	  add code for intializaing request for SAML 2.0, shows how to handler errors
	  codes.

2010-02-10 00:34  bdauvergne

	* lasso/Makefile.am, lasso/build_strerror.py, lasso/errors.c, lasso/errors.h: Add
	  error codes, update error codes documentation, reduce changes in errors.c by
	  ordering error codes
	  
	  * lasso/errors.h lasso/errors.c
	  - add to report non schema conforming XML trees, decyrption
	  failure due to missing private keys and invalid signatures on assertions.
	  - update documentation of LASSO_SERVER_ERROR_PROVIDER_NOT_FOUND,
	  LASSO_SERVER_ERROR_ADD_PROVIDER_PROTOCOL_MISMATCH,
	  
	  * lasso/build_strerror.py:
	  before outputting switch cases, order error codes
	  name lexically in order to reduce change lines
	  when adding new error codes.

2010-02-10 00:33  bdauvergne

	* lasso/xml/strings.h: Add strings for SAML2 field names for POST, Redirect and
	  Artifact bindings

2010-02-10 00:33  bdauvergne

	* lasso/registry.c: Update documentation of the registry module

2010-02-10 00:33  bdauvergne

	* lasso/id-ff/provider.c: Adapt LassoProvider methods to care for protocol profile
	  version when verifying signature
	  
	  * lasso/id-ff/provider.c:
	  there is now 2 methods to verify signatures, methods calling the old
	  one must now choose whether to call the liberty one of the SAML 2.0
	  one.

2010-02-10 00:33  bdauvergne

	* lasso/xml/private.h, lasso/xml/tools.c: Add a function to validate query
	  signatures using SAML 2.0 semantic
	  
	  * lasso/xml/tools.c:
	  this new function is a placeholder for the new SAML 2.0 semantic
	  following query signature validation function. It will start with the
	  old code of lasso_query_verify_signature.

2010-02-10 00:33  bdauvergne

	* docs/reference/lasso/lasso-sections.txt, tests/basic_tests.c: Propagate change
	  of name for LASSO_PP_ defines

2010-02-08 09:34  bdauvergne

	* lasso/id-ff/server.c, lasso/id-ff/server.h: Core: in LassoServer constructors,
	  test if private_key is loadable
	  
	  * lasso/id-ff/server.c:
	  mark private_key as not mandatory as regression tests expect it to
	  not be mandatory.
	  test if loading of private key to encryption_private_key private
	  field worked, if not abort the constructor and return NULL.
	  * lasso/id-ff/server.h:
	  fix name of constructors argument to corresponds with comments
	  (binding generator use this correspondance to apply annotation from
	  comments to the model obtained by parsing the headers).

2010-02-08 09:34  bdauvergne

	* lasso/xml/tools.c: in lasso_xmlsec_load_private_key_from_buffer, do not let
	  xmlSecBase64Decode show warnings

2010-02-05 00:44  bdauvergne

	* bindings/bindings.py: fix bad operation in bindings.py

2010-02-04 22:24  bdauvergne

	* bindings/bindings.py, bindings/perl/lang.py, bindings/python/lang.py,
	  bindings/utils.py: Bindings: restore ID-WSF constants, improve python getters,
	  
	  * bindings/bindings.py:
	  parse idwsf_strings.h to get ID-WSF constants.
	  * bindings/utils.py:
	  add an is_rc check function, to check for 'error code' return type.
	  * bindings/perl/lang.py:
	  only raise errors for 'int' or 'gint' return type
	  * bindings/python/lang.py:
	  - always create a normal function binding.
	  - for functions starting with 'get' try to create a corresponding
	  property, but if a corresponding member already exists, fails, and
	  print a warning about getter function/member field clash.
	  - make type dispatching on return_type more explicite.

2010-02-04 22:24  bdauvergne

	* lasso/xml/tools.c, tests/metadata/Makefile.am, tests/metadata/metadata_06.xml,
	  tests/metadata_tests.c: Core: Finish support for all XMLDsig key formats
	  
	  * lasso/xml/tools.c:
	  xmlsec is not able to load a certificate public key without checking
	  it against trusted root certificate, so we must work around and load
	  the key by hand.
	  lasso_xmlsec_load_private_key_from_buffer is made more robust in the
	  same (loading of the key was extracted inside
	  _lasso_xmlsec_load_key_from_buffer) and now can load certificates and
	  keys directly embedded inside KeyValue nodes (in total opposition to
	  the XMLDsig specification but...), with or without PEM headers.
	  * tests/metadata/Makefile.am tests/metadata/metadata_06.xml
	  tests/metadata_tests.c:
	  add test case for RSAKeyValue public keys.

2010-02-04 01:23  bdauvergne

	* bindings/python/lang.py: Binding python: fix getter for non-object fields
	  
	  * bindings/python/lang.py:
	  transition to bindings/utils.py methods broke getters.

2010-02-04 01:23  bdauvergne

	* lasso/xml/tools.c: Core: in lasso_xmlsec_load_key_info add flag to let xmlSec
	  load certificates
	  
	  * lasso/xml/tools.c:
	  adding the flag XMLSEC_KEYINFO_FLAGS_X509DATA_DONT_VERIFY_CERTS make
	  xmlSec able to load certificate, the 'hand made' code to load
	  certificate is then useless.

2010-02-04 00:02  bdauvergne

	* tests/login_tests.c: Tests: add more checking to dump generation code in
	  login_tests.c

2010-02-04 00:02  bdauvergne

	* tests/random_tests.c: Tests: adapt server constructor settings to recent changes

2010-02-04 00:02  bdauvergne

	* lasso/id-ff/profile.c: Core: in lasso_profile_get_request_type_from_soap_msg use
	  lasso_xml_parse_memory_with_error
	  
	  * lasso/id-ff/profile.c: (lasso_profile_get_request_type_from_soap_msg)
	  use lasso_xml_parse_memory_with_error instead of xmlParseMemory, use
	  error code output argument to log error reports.

2010-02-04 00:02  bdauvergne

	* lasso/id-ff/provider.c: Core: in provider.c, make
	  lasso_provider_load_metadata_from_buffer the main metadata loading function
	  
	  * (init_from_xml) fail initialization if we cannot load the metadatas,
	  and log a warning.
	  * extract _lasso_provider_load_metadata_from_buffer from
	  lasso_provider_load_metadata_from_buffer, which accept a length
	  parameter. use it inside lasso_provider_load_metadata, instead of
	  xmlParseFile.
	  * (lasso_provider_load_public_key) use lasso_xmlsec_load_key_info and
	  lasso_xmlsec_load_private_key to load the public keys.

2010-02-04 00:02  bdauvergne

	* lasso/id-ff/server.c: Core: use lasso_xml_parse_file to load affiliation file

2010-02-04 00:02  bdauvergne

	* bindings/java/Makefile.am: Binding java: Makefile.am has multiple target rules,
	  it cannot support parallel builds

2010-02-04 00:02  bdauvergne

	* lasso/xml/private.h, lasso/xml/tools.c: Core: in tools.c, add function to load
	  XML files and KeyInfo nodes
	  
	  * tools.c:
	  add lasso_xml_parse_file, based on g_file_get_contents and
	  lasso_xml_parse_memory.
	  add lasso_xml_parse_memory_with_error which instead of logging
	  errors, can return the xmlError structure.
	  add lasso_xmlsec_load_key_info, which allows to load keys from
	  ds:KeyInfo XML nodes. It also support the "Lasso" bug of using
	  ds:KeyValue directly to store base64 encoded keys and certificates.

2010-02-04 00:02  bdauvergne

	* lasso/saml-2.0/name_id_management.c: SAML 2.0: in name_id_management.c, rework
	  lasso_name_id_management_new_from_dump

2010-02-04 00:02  bdauvergne

	* lasso/utils.h, lasso/xml/xml.c: Core: add more memory tracing, add a tracing
	  macro
	  
	  * lasso/utils.h: add lasso_trace, which as a printf signature.
	  * xml/xml.c: add more trace to node initialization code.

2010-02-04 00:02  bdauvergne

	* tests/valgrind/lasso.supp: Tests: in valgrind suppressions file add more GLib
	  suppressions

2010-02-04 00:02  bdauvergne

	* tests/basic_tests.c: Tests: in basic_tests.c, re-enable parsing of
	  LassoWsuTimestamp objects

2010-02-04 00:02  bdauvergne

	* lasso/id-ff/identity.c, lasso/id-ff/login.c, lasso/id-ff/logout.c,
	  lasso/id-ff/provider.c, lasso/id-ff/server.c, lasso/id-ff/session.c: Core: use
	  lasso_node_new_from_dump to implement _new_from_dump methods
	  
	  * provider.c:
	  add annotation for nullable arguments (necessary for bindings of
	  new_from_buffer).
	  * server.c: add annotations, allow to set encryption_private_key from
	  buffers

2010-02-04 00:02  bdauvergne

	* bindings/perl/lang.py: Binding perl: add cleanup for temporary data of
	  trampoline code
	  
	  * bindings/perl/lang.py:
	  data type not common to Perl and C must be allocated for the duration
	  of the call (mainly GList and xmlNode), but after the call they must
	  be deallocated.

2010-02-04 00:02  bdauvergne

	* lasso/xml/saml-2.0/samlp2_response.c: SAML 2.0: in samlp2_response.c, simplify
	  code path for assertion encryption

2010-02-04 00:02  bdauvergne

	* lasso/id-wsf-2.0/profile.c, lasso/saml-2.0/login.c, lasso/xml/tools.c,
	  lasso/xml/xml.c, tests/basic_tests.c, tests/random_tests.c: Fix leaks
	  
	  * lasso/id-wsf-2.0/profile.c: release private data object.
	  * lasso/saml-2.0/login.c: free NameID content after construction.
	  * lasso/xml/tools.c: free algorithm attribute content in
	  lasso_node_decrypt_xmlnode.
	  * lasso/xml/xml.c: release cutom_element->nodename in destructor.
	  remove useless finalize method.
	  * tests/basic_tests.c: release xmldoc after use.
	  * tests/random_tests.c: free resut of lasso_node_dump.

2010-02-04 00:02  bdauvergne

	* lasso/id-ff/federation.c, lasso/id-ff/federation.h, lasso/id-ff/profile.c,
	  lasso/id-ff/provider.c, lasso/id-ff/provider.h, lasso/saml-2.0/login.c,
	  lasso/xml/xml.c: Fix leaks, change signature of
	  lasso_provider_get_sp_name_qualifier, make it return a const char*

2010-02-04 00:02  bdauvergne

	* lasso/xml/tools.c: in lasso/xml/tools.c, remove leaks of xmlSecKey and xmlNode

2010-02-04 00:02  bdauvergne

	* lasso/xml/tools.c, lasso/xml/xml.c: in lasso_xmlsec_load_private_key, do not
	  leak the file buffer, in lasso_node_encrypt do not leak the keys manager

2010-02-01 19:50  bdauvergne

	* bindings/perl/Makefile.am, bindings/perl/glist_handling.c,
	  bindings/perl/gobject_handling.c, bindings/perl/lang.py,
	  bindings/perl/t/Lasso.t: Binding perl: many improvements
	  
	  * lang.py: use lasso_unref instead of g_object_unref.
	  * lang.py: handle 'optional' annotation for more types, needed by
	  ID-WSF bindings.
	  * lang.py, gobject_handling.c: check object type before making the C
	  call
	  * Makefile.am: improve silent rules, hide all normal output, show
	  errors, and with V=1 shows everything
	  * glist_handling.c, gobject_handling.c: make local functions static
	  * t/Lasso.t: add non regression test for method receiver type checking.
	  * glist_handlind.c; remove unused convertion functions.
	  * lang.py: clear the semi-assigned list and croak if all list elements
	  do not convert to non-NULL values.

2010-02-01 19:50  bdauvergne

	* bindings/overrides.xml, bindings/utils.py: Bindings: re-add binding for
	  lasso_session_get_assertions for perl, special case formatting function for
	  WsAddressing namespace
	  
	  * bindings/utils.py:
	  type have LassoWsAddr prefix but function have the lasso_wsa_ prefix,
	  so we have to adjust generated prefix.

2010-02-01 19:50  bdauvergne

	* bindings/ghashtable.h, bindings/java/wrapper_top.c,
	  bindings/php5/wrapper_source_top.c, bindings/python/wrapper_top.c: Bindings: use
	  lasso_return_xxx macros instead of GLib ones

2010-02-01 19:50  bdauvergne

	* docs/reference/lasso/lasso-sections.txt,
	  lasso/id-wsf/interaction_profile_service.c,
	  lasso/xml/disco_authenticate_requester.c,
	  lasso/xml/disco_authenticate_requester.h,
	  lasso/xml/disco_authenticate_session_context.c,
	  lasso/xml/disco_authenticate_session_context.h,
	  lasso/xml/disco_authorize_requester.c, lasso/xml/disco_authorize_requester.h,
	  lasso/xml/disco_encrypt_resource_id.c, lasso/xml/disco_encrypt_resource_id.h,
	  lasso/xml/disco_generate_bearer_token.c,
	  lasso/xml/disco_generate_bearer_token.h, lasso/xml/disco_modify.c,
	  lasso/xml/disco_modify.h, lasso/xml/disco_modify_response.c,
	  lasso/xml/disco_modify_response.h, lasso/xml/disco_query.c,
	  lasso/xml/disco_query.h, lasso/xml/disco_query_response.c,
	  lasso/xml/disco_query_response.h, lasso/xml/disco_send_single_logout.c,
	  lasso/xml/disco_send_single_logout.h, lasso/xml/is_interaction_request.c,
	  lasso/xml/is_interaction_request.h, lasso/xml/is_interaction_response.c,
	  lasso/xml/is_interaction_response.h, lasso/xml/sa_credentials.c,
	  lasso/xml/sa_credentials.h, lasso/xml/sa_parameter.c, lasso/xml/sa_parameter.h,
	  lasso/xml/sa_password_transforms.c, lasso/xml/sa_password_transforms.h,
	  lasso/xml/sa_sasl_request.c, lasso/xml/sa_sasl_request.h,
	  lasso/xml/sa_sasl_response.c, lasso/xml/sa_sasl_response.h,
	  lasso/xml/sa_transform.c, lasso/xml/sa_transform.h,
	  lasso/xml/soap_binding_consent.c, lasso/xml/soap_binding_consent.h,
	  lasso/xml/soap_binding_correlation.c, lasso/xml/soap_binding_correlation.h,
	  lasso/xml/soap_binding_ext_credential.c,
	  lasso/xml/soap_binding_ext_credential.h,
	  lasso/xml/soap_binding_ext_credentials_context.c,
	  lasso/xml/soap_binding_ext_credentials_context.h,
	  lasso/xml/soap_binding_ext_service_instance_update.c,
	  lasso/xml/soap_binding_ext_service_instance_update.h,
	  lasso/xml/soap_binding_ext_timeout.c, lasso/xml/soap_binding_ext_timeout.h,
	  lasso/xml/soap_binding_processing_context.c,
	  lasso/xml/soap_binding_processing_context.h, lasso/xml/soap_binding_provider.c,
	  lasso/xml/soap_binding_provider.h, lasso/xml/soap_binding_usage_directive.c,
	  lasso/xml/soap_binding_usage_directive.h: ID-WSF: remove useless
	  new_from_message methods

2010-02-01 19:50  bdauvergne

	* lasso/utils.h: Core: in utils.h, add macros to replace verbose
	  g_return_val_if_fail

2010-02-01 19:50  bdauvergne

	* lasso/id-ff/login.c: Core: document return values of
	  lasso_login_validate_request_msg

2010-02-01 19:50  bdauvergne

	* lasso/utils.c, lasso/utils.h: Utils: lasso_unref, a safe g_object_unref, and add
	  some document about existing family of macros

2010-02-01 19:49  bdauvergne

	* lasso/lasso.c: Core: do not emit messages inside lasso_check_version

2010-02-01 01:18  bdauvergne

	* bindings/bindings.py: Bindings: os.path.relpath is only present since python
	  2.6, add a local implementation for older python versions

2010-02-01 01:06  bdauvergne

	* Makefile.am: Add a dist-hook to remove .svn directories before taring the dist

2010-02-01 00:16  bdauvergne

	* bindings/java/Makefile.am, bindings/perl/Makefile.am, bindings/php5/Makefile.am,
	  bindings/python/Makefile.am: Bindings: make binding generation more silent
	  
	  * bindings/java/Makefile.am bindings/perl/Makefile.am
	  bindings/php5/Makefile.am bindings/python/Makefile.am:
	  use AM_V_GEN, or similar variable for all steps of binding
	  generation, normal output can be activated with the V=1 argument to
	  the 'make' command.

2010-02-01 00:16  bdauvergne

	* bindings/java/Makefile.am: Binding java: use eager evalutation to get list of
	  sources files
	  
	  * bindings/java/Makefile.am:
	  use := to provoke eager evaluation so that java-list mode is not
	  called many times.

2010-01-29 16:42  bdauvergne

	* bindings/bindings.py: Bindings: use 'absolute' header paths to produces bindings
	  
	  * bindings/bindings.py:
	  if files from bindings are using absolute instead of relatives header
	  paths they can be independant of the lasso source.

2010-01-29 16:42  bdauvergne

	* bindings/perl/Makefile.PL, bindings/perl/Makefile.am: Bindings perl: simplify
	  Makefile.PL
	  
	  * bindings/perl/Makefile.PL:
	  remove as much special casing as possible so that it could eventually
	  become a CPAN module.
	  use pkg-config to find lasso libs if no explicit LIBS command line
	  argument is used.
	  * bindings/perl/Makefile.am:
	  pass parameters using command line argument instead of environment
	  variable, which needed a special Makefile.PL.

2010-01-29 16:42  bdauvergne

	* bindings/perl/lang.py, bindings/perl/t/Lasso.t: Binding perl: special case for
	  lasso_check_version
	  
	  * bindings/perl/lang.py:
	  special case lasso_check_version for not raising an error when it
	  returns 1.
	  * bindings/perl/t/Lasso.t:
	  add a non regression test.

2010-01-29 16:42  bdauvergne

	* bindings/perl/gobject_handling.c: Binding perl: remove warning when passing Null
	  to croak
	  
	  * bindings/perl/gobject_handling.c:
	  croak is aliased to Perl_croak_nocontext which has a gcc attribute
	  'notnull'. We use Perl_croak and an explicit perl context object, to
	  work around this warning.

2010-01-29 16:42  bdauvergne

	* bindings/bindings.py: in bindings.py, change header paths

2010-01-29 16:42  bdauvergne

	* NEWS, configure.ac, lasso.doap, website/web/doap.rdf: Update files for a 2.2.91
	  release

2010-01-29 16:04  bdauvergne

	* ChangeLog: update changelog

2010-01-29 00:58  bdauvergne

	* bindings/python/lang.py: Binding python: make a better use of
	  default value annotation for creating method declarations

2010-01-29 00:43  bdauvergne

	* bindings/perl/Makefile.PL, bindings/perl/Makefile.am,
	  bindings/perl/ghashtable_handling.c,
	  bindings/perl/gobject_handling.c, bindings/perl/lang.py,
	  bindings/perl/t/Lasso.t, bindings/perl/test.sh,
	  bindings/perl/typemap-in, bindings/perl/typemap-out: Binding
	  perl: many improvements
	  
	  * handle GHashTable of strings and objects.
	  * report errors with 'croak' as a Lasso::Error object.
	  * add more basic tests.
	  * for string arguments, convert undef to NULL, and croak if
	  function
	  does not accept NULL.
	  * fix library paths in Makefile.PL.

2010-01-29 00:43  bdauvergne

	* bindings/bindings.py: Bindings: in bindings.py, fix regexp and
	  annotation parsing for optional arguments and their default
	  values

2010-01-29 00:43  bdauvergne

	* lasso/id-ff/login.c, lasso/saml-2.0/login.c,
	  lasso/saml-2.0/logout.c, lasso/saml-2.0/name_id_management.c,
	  lasso/saml-2.0/profile.c, lasso/saml-2.0/profileprivate.h,
	  lasso/saml-2.0/saml2_helper.c: SAML 2.0: fix annotations,
	  documentation and signatures

2010-01-28 15:32  bdauvergne

	* bindings/python/tests/idwsf1_tests.py: Bindings python ID-WSF 1.0
	  tests: update PP HREF symbol

2010-01-28 15:32  bdauvergne

	* bindings/php5/wrapper_source_top.c: Bindings php5: string
	  hashtable methods are only used by ID-WSF bindings, mark them
	  unused by default
	  
	  * bindings/php5/wrapper_source_top.c:
	  only id-wsf has field of type GHashtTable<char*,char*> so when
	  compiling without --enable-wsf, it give 'unused symbols' errors.
	  Lets mark de the concerned functions as unused.

2010-01-28 15:32  bdauvergne

	* lasso/id-ff/server.h: ID-WSF 1.0: make LassoServer.services
	  private with respect to the bindings

2010-01-28 15:32  bdauvergne

	* bindings/java/lang.py, bindings/java/wrapper_top.c: Bindings
	  java: use utils.py methods, make set_hash_of_objects more robust

2010-01-28 15:32  bdauvergne

	* tests/data/Makefile.am: Tests: export sp2-la do dist file for
	  dist with id-wsf enabled

2010-01-28 15:31  bdauvergne

	* bindings/utils.py: Bindings: add time_t to integer types, add
	  unpointerize method

2010-01-28 15:31  bdauvergne

	* bindings/python/tests/idwsf2_tests.py: Binding python ID-WSF 2.0
	  tests: update some tests

2010-01-28 15:31  bdauvergne

	* bindings/python/tests/Makefile.am: Binding Python ID-WSF 2.0:
	  comment out test

2010-01-28 15:31  bdauvergne

	* lasso/id-wsf/data_service.c, lasso/id-wsf/discovery.c,
	  lasso/id-wsf/personal_profile_service.c,
	  lasso/xml/idwsf_strings.h, lasso/xml/xml.c: ID-WSF: change name
	  of Personal Profile namespace symbols, add symbols for ID-SIS PP
	  1.1

2010-01-28 15:31  bdauvergne

	* bindings/java/lang.py, bindings/php5/php_code.py,
	  bindings/php5/wrapper_source.py,
	  bindings/php5/wrapper_source_top.c, bindings/python/lang.py,
	  bindings/python/tests/idwsf2_tests.py,
	  bindings/python/wrapper_top.c: Bindings: java, php5, python
	  simplify logic in binding generator
	  
	  * use utils.h macros to manipulate fields.
	  * use utils.py function to filter variables, argument and return
	  types.
	  * finish support of hashtables of strings for php5 and python.

2010-01-28 15:31  bdauvergne

	* bindings/bindings.py, bindings/overrides.xml: Bindings: better
	  parse oftype annotation for hashtable, allow to skip structures
	  
	  * bindings/bindings.py:
	  add possibility to skip generating bindings for structures to
	  overrides.xml.
	  parse element-type annotation /* of XXX */ for hashtable objects.
	  output to stderr warning about skipped objects.
	  parse idwsf_strings.h
	  * bindings/overrides.xml:
	  skip more ID-WSF 1.0 functions in java and perl.
	  skip structure LassoAuthentication.

2010-01-28 15:31  bdauvergne

	* lasso/id-ff/provider.c, lasso/id-wsf-2.0/discovery.c,
	  lasso/id-wsf-2.0/identity.c, lasso/id-wsf-2.0/server.c,
	  lasso/id-wsf-2.0/soap_binding.c, lasso/id-wsf/discovery.c,
	  lasso/id-wsf/id_ff_extensions.c: Core: fix gtk-doc annotations

2010-01-28 15:31  bdauvergne

	* lasso/utils.h: Core: add new macros to lasso/utils.h, fix
	  lasso_assign_new_list_of_gobjects
	  
	  * lasso/utils.h:
	  add:
	  - lasso_assign_new_xml_node
	  - lasso_assign_new_list_of_strings
	  - lasso_assign_new_list_of_xml_node
	  fix lasso_assign_new_list_of_gobjects, bad naming of release
	  macro.

2010-01-28 15:31  bdauvergne

	* lasso/xml/dst_data.h, lasso/xml/sa_sasl_request.h,
	  lasso/xml/soap-1.1/soap_fault.h,
	  lasso/xml/soap_binding_ext_credential.h,
	  lasso/xml/soap_binding_usage_directive.h: XML: add missing
	  element-type annotations

2010-01-28 15:31  bdauvergne

	* bindings/utils.py: Bindings: in bindings/utils.py, augment
	  robustness of matching functions to work with type alone or
	  triples

2010-01-28 15:31  bdauvergne

	* bindings/perl/Makefile.am, bindings/perl/lang.py,
	  bindings/perl/typemap-in, bindings/perl/typemap-out,
	  bindings/perl/typemap.in, bindings/perl/typemap.out: Binding
	  perl: update to binding
	  
	  * change extension of typemap files because if conflicts with
	  existing
	  * support constant list of strings and gobjects, add input rule
	  for
	  list of gobjects
	  * fix setter for GList fields

2010-01-26 20:59  bdauvergne

	* docs/reference/lasso/lasso-sections.txt,
	  lasso/id-wsf-2.0/profile.c, lasso/id-wsf-2.0/saml2_login.c,
	  lasso/id-wsf-2.0/soap_binding.c, lasso/id-wsf-2.0/soap_binding.h,
	  lasso/id-wsf/authentication.c, lasso/id-wsf/data_service.c,
	  lasso/id-wsf/discovery.c, lasso/id-wsf/wsf_profile.c,
	  lasso/xml/disco_description.c, lasso/xml/idwsf_strings.h: ID-WSF
	  1.0 & 2.0: complete lasso-sections.txt, add internal API to
	  access SOAP headers, complete WS-Addressing support
	  
	  * docs/reference/lasso/lasso-sections.txt: complete documentation
	  of
	  LassoSoapEnvelope and LassoSoapFault with ID-WSF additions.
	  
	  * lasso/id-wsf-2.0/profile.c lasso/id-wsf-2.0/soap_binding.c
	  lasso/id-wsf-2.0/soap_binding.h:
	  add internal function _get_node and _get_header to simplify
	  implementation of accessors for headers.
	  change signature of lasso_soap_envelope_get_message_id and add
	  new
	  function lasso_soap_envelope_get_relates_to.
	  update call points.
	  add a message id when building a SOAP message.
	  
	  * lasso/xml/idwsf_strings.h:
	  add element name for MessageID and RelatesTo WS-Addressing
	  elements.
	  
	  * lasso/id-wsf/authentication.c lasso/id-wsf/data_service.c
	  lasso/id-wsf/discovery.c lasso/id-wsf/wsf_profile.c
	  lasso/id-wsf-2.0/saml2_login.c lasso/xml/disco_description.c:
	  fix path name of header lasso/id-wsf/wsf_utils.h. make all
	  internal
	  include path relatives.

2010-01-26 20:59  bdauvergne

	* lasso/xml/xml.c, lasso/xml/xml.h: Core XML: make
	  lasso_node_set_custom_namespace/nodename take const string
	  
	  * lasso/xml/xml.c lasso/xml/xml.h:
	  mark argument of lasso_node_set_custom_namespace and
	  lasso_node_set_custom_nodename as const char* strings.

2010-01-26 20:59  bdauvergne

	* lasso/xml/xml.c, lasso/xml/xml.h: Core XML: add function to get
	  the namespace of a LassoNode
	  
	  * lasso/xml/xml.c lasso/xml/xml.h:
	  if a custome namespace is set, return it, otherwise return the
	  class
	  namespace (klass->node_data->ns->href).

2010-01-26 13:51  bdauvergne

	* bindings/perl/Makefile.PL, bindings/perl/Makefile.am: Binding
	  perl: fix include paths in the makefile, again

2010-01-26 13:51  bdauvergne

	* bindings/perl/Makefile.PL: in bindings/perl/Makefile.PL, add
	  include path for normal builds

2010-01-26 10:39  bdauvergne

	* configure.ac: in configure.ac, activate the Perl binding in
	  normal builds

2010-01-26 10:39  bdauvergne

	* configure.ac: Core: in configure.ac, activate warning when
	  debugging, not in normal build
	  
	  * configure.ac:
	  remove -Wxxx flag from AM_CFLAGS, add them if --enable-debugging
	  is used.

2010-01-26 10:39  bdauvergne

	* lasso/saml-2.0/logout.c: in lasso/saml-2.0/logout.c, fix missing
	  declaration

2010-01-26 10:39  bdauvergne

	* lasso/errors.c: Core: update errors.c file

2010-01-26 10:39  bdauvergne

	* bindings/perl/Makefile.am: in bindings/perl/Makefile.am, change
	  permission to make distcheck works

2010-01-26 10:39  bdauvergne

	* bindings/perl/Makefile.am: in bindings/perl/Makefile.am, add
	  files to EXTRA_DIST

2010-01-25 23:47  bdauvergne

	* bindings/Makefile.am, bindings/bindings.py,
	  bindings/overrides.xml, bindings/perl,
	  bindings/perl/LassoNode.xs, bindings/perl/Makefile.PL,
	  bindings/perl/Makefile.am, bindings/perl/__init__.py,
	  bindings/perl/glist_handling.c, bindings/perl/gobject_handling.c,
	  bindings/perl/lang.py, bindings/perl/t, bindings/perl/t/Lasso.t,
	  bindings/perl/test.pl, bindings/perl/test.sh,
	  bindings/perl/typemap.in, bindings/perl/typemap.out,
	  configure.ac: Bindings: add a new perl binding using the new
	  binding infrastructure
	  
	  * XS files is autogenerated using bindings/binding.py model of
	  the
	  Lasso API. All constants are in the Lasso::Constants package, the
	  LASSO_ prefix is removed.
	  All classes are now Lasso::ClassName, field accessor also serves
	  as
	  setters, i.e you can do this:
	  $name_id = Lasso::Saml2NameID::new();
	  $name_id->content('coin');
	  print $name_id->content;
	  
	  Is still missing:
	  - a lot of test files,
	  - support for hashtables,
	  - and throwing exceptions when return code is non-zero.

2010-01-25 23:47  bdauvergne

	* bindings/utils.py: Bindings: in utils.py, fix is_glist and
	  is_hashtable, make arg_type accept simple string as input instead
	  of triples

2010-01-25 23:47  bdauvergne

	* lasso/xml/saml_attribute_value.h: in
	  lasso/xml/saml_attribute_value.h, fix typo in content type
	  annotation

2010-01-25 23:47  bdauvergne

	* lasso/xml/sa_sasl_response.h: in lasso/xml/sa_sasl_response.h,
	  add GList content type annotation to field 'any'

2010-01-25 23:47  bdauvergne

	* bindings/php5/wrapper_source.py: Bindings PHP5: use is_cstring to
	  match string types

2010-01-25 23:47  bdauvergne

	* Makefile.am, configure.ac, java/.cvsignore, java/Makefile.am,
	  java/coldfusion/.cvsignore, java/coldfusion/Makefile,
	  java/coldfusion/src/CFLassoSingleLogout.java,
	  java/coldfusion/src/CFLassoSingleSignOn.java,
	  java/coldfusion/web/assertionConsumer.cfm,
	  java/coldfusion/web/singleLogout.cfm,
	  java/coldfusion/web/singleSignOn.cfm,
	  java/doc/ImplantationMapping.rst, java/doc/JNIForDummy.rst,
	  java/tests/.cvsignore, java/tests/BindingTests.java,
	  java/tests/LoginTest.java, perl/.cvsignore, perl/Makefile.PL,
	  perl/Makefile.am, perl/tests/binding_tests.pl, php/.cvsignore,
	  php/Makefile.am, php/patch_swig_output.py, php/tests/.cvsignore,
	  php/tests/binding_tests.php, php/tests/perfs.php,
	  swig/.cvsignore, swig/Lasso-saml2.i, swig/Lasso-wsf-disco.i,
	  swig/Lasso-wsf-dst.i, swig/Lasso-wsf-is.i, swig/Lasso-wsf-sa.i,
	  swig/Lasso-wsf-soap.i, swig/Lasso-wsf.i, swig/Lasso-wsf2.i,
	  swig/Lasso.i, swig/Makefile.am, swig/id-wsf-2.0/Makefile.am,
	  swig/id-wsf-2.0/disco_abstract.i,
	  swig/id-wsf-2.0/disco_endpoint_context.i,
	  swig/id-wsf-2.0/disco_keys.i, swig/id-wsf-2.0/disco_options.i,
	  swig/id-wsf-2.0/disco_provider_id.i,
	  swig/id-wsf-2.0/disco_query.i,
	  swig/id-wsf-2.0/disco_query_response.i,
	  swig/id-wsf-2.0/disco_requested_service.i,
	  swig/id-wsf-2.0/disco_security_context.i,
	  swig/id-wsf-2.0/disco_service_context.i,
	  swig/id-wsf-2.0/disco_service_type.i,
	  swig/id-wsf-2.0/disco_svc_md_association_add.i,
	  swig/id-wsf-2.0/disco_svc_md_association_add_response.i,
	  swig/id-wsf-2.0/disco_svc_md_association_delete.i,
	  swig/id-wsf-2.0/disco_svc_md_association_delete_response.i,
	  swig/id-wsf-2.0/disco_svc_md_association_query.i,
	  swig/id-wsf-2.0/disco_svc_md_association_query_response.i,
	  swig/id-wsf-2.0/disco_svc_md_delete.i,
	  swig/id-wsf-2.0/disco_svc_md_delete_response.i,
	  swig/id-wsf-2.0/disco_svc_md_query.i,
	  swig/id-wsf-2.0/disco_svc_md_query_response.i,
	  swig/id-wsf-2.0/disco_svc_md_register.i,
	  swig/id-wsf-2.0/disco_svc_md_register_response.i,
	  swig/id-wsf-2.0/disco_svc_md_replace.i,
	  swig/id-wsf-2.0/disco_svc_md_replace_response.i,
	  swig/id-wsf-2.0/disco_svc_metadata.i,
	  swig/id-wsf-2.0/dst_data_response_base.i,
	  swig/id-wsf-2.0/dst_delete_item_base.i,
	  swig/id-wsf-2.0/dst_delete_response.i,
	  swig/id-wsf-2.0/dst_request.i,
	  swig/id-wsf-2.0/dst_result_query_base.i,
	  swig/id-wsf-2.0/dst_test_item_base.i,
	  swig/id-wsf-2.0/dstref_app_data.i,
	  swig/id-wsf-2.0/dstref_create.i,
	  swig/id-wsf-2.0/dstref_create_item.i,
	  swig/id-wsf-2.0/dstref_create_response.i,
	  swig/id-wsf-2.0/dstref_data.i,
	  swig/id-wsf-2.0/dstref_data_response.i,
	  swig/id-wsf-2.0/dstref_delete.i,
	  swig/id-wsf-2.0/dstref_delete_item.i,
	  swig/id-wsf-2.0/dstref_delete_response.i,
	  swig/id-wsf-2.0/dstref_item_data.i,
	  swig/id-wsf-2.0/dstref_modify.i,
	  swig/id-wsf-2.0/dstref_modify_item.i,
	  swig/id-wsf-2.0/dstref_modify_response.i,
	  swig/id-wsf-2.0/dstref_query.i,
	  swig/id-wsf-2.0/dstref_query_item.i,
	  swig/id-wsf-2.0/dstref_query_response.i,
	  swig/id-wsf-2.0/dstref_result_query.i,
	  swig/id-wsf-2.0/dstref_test_item.i,
	  swig/id-wsf-2.0/ims_identity_mapping_request.i,
	  swig/id-wsf-2.0/ims_identity_mapping_response.i,
	  swig/id-wsf-2.0/ims_mapping_input.i,
	  swig/id-wsf-2.0/ims_mapping_output.i,
	  swig/id-wsf-2.0/inheritance.h, swig/id-wsf-2.0/is_help.i,
	  swig/id-wsf-2.0/is_inquiry.i,
	  swig/id-wsf-2.0/is_inquiry_element.i,
	  swig/id-wsf-2.0/is_interaction_request.i,
	  swig/id-wsf-2.0/is_interaction_response.i,
	  swig/id-wsf-2.0/is_interaction_statement.i,
	  swig/id-wsf-2.0/is_item.i, swig/id-wsf-2.0/is_parameter.i,
	  swig/id-wsf-2.0/is_select.i, swig/id-wsf-2.0/is_text.i,
	  swig/id-wsf-2.0/main.h,
	  swig/id-wsf-2.0/ps_add_collection_request.i,
	  swig/id-wsf-2.0/ps_add_collection_response.i,
	  swig/id-wsf-2.0/ps_add_entity_request.i,
	  swig/id-wsf-2.0/ps_add_entity_response.i,
	  swig/id-wsf-2.0/ps_add_known_entity_request.i,
	  swig/id-wsf-2.0/ps_add_known_entity_response.i,
	  swig/id-wsf-2.0/ps_add_to_collection_request.i,
	  swig/id-wsf-2.0/ps_get_object_info_request.i,
	  swig/id-wsf-2.0/ps_get_object_info_response.i,
	  swig/id-wsf-2.0/ps_item_data.i,
	  swig/id-wsf-2.0/ps_list_members_request.i,
	  swig/id-wsf-2.0/ps_list_members_response.i,
	  swig/id-wsf-2.0/ps_notification.i, swig/id-wsf-2.0/ps_notify.i,
	  swig/id-wsf-2.0/ps_object.i,
	  swig/id-wsf-2.0/ps_query_objects_request.i,
	  swig/id-wsf-2.0/ps_query_objects_response.i,
	  swig/id-wsf-2.0/ps_remove_collection_request.i,
	  swig/id-wsf-2.0/ps_remove_entity_request.i,
	  swig/id-wsf-2.0/ps_remove_from_collection_request.i,
	  swig/id-wsf-2.0/ps_request_abstract.i,
	  swig/id-wsf-2.0/ps_resolve_identifier_request.i,
	  swig/id-wsf-2.0/ps_resolve_identifier_response.i,
	  swig/id-wsf-2.0/ps_resolve_input.i,
	  swig/id-wsf-2.0/ps_response_abstract.i,
	  swig/id-wsf-2.0/ps_set_object_info_request.i,
	  swig/id-wsf-2.0/ps_test_membership_request.i,
	  swig/id-wsf-2.0/ps_test_membership_response.i,
	  swig/id-wsf-2.0/sb2_consent.i,
	  swig/id-wsf-2.0/sb2_credentials_context.i,
	  swig/id-wsf-2.0/sb2_endpoint_update.i,
	  swig/id-wsf-2.0/sb2_redirect_request.i,
	  swig/id-wsf-2.0/sb2_sender.i,
	  swig/id-wsf-2.0/sb2_target_identity.i,
	  swig/id-wsf-2.0/sb2_timeout.i,
	  swig/id-wsf-2.0/sb2_usage_directive.i,
	  swig/id-wsf-2.0/sb2_user_interaction_header.i,
	  swig/id-wsf-2.0/sbf_framework.i, swig/id-wsf-2.0/sec_token.i,
	  swig/id-wsf-2.0/sec_token_policy.i,
	  swig/id-wsf-2.0/sec_transited_provider_path.i,
	  swig/id-wsf-2.0/subs_notification.i,
	  swig/id-wsf-2.0/subs_notify_response.i,
	  swig/id-wsf-2.0/subs_ref_item.i,
	  swig/id-wsf-2.0/subs_subscription.i,
	  swig/id-wsf-2.0/subsref_app_data.i,
	  swig/id-wsf-2.0/subsref_create.i,
	  swig/id-wsf-2.0/subsref_create_item.i,
	  swig/id-wsf-2.0/subsref_create_response.i,
	  swig/id-wsf-2.0/subsref_data.i,
	  swig/id-wsf-2.0/subsref_data_response.i,
	  swig/id-wsf-2.0/subsref_delete.i,
	  swig/id-wsf-2.0/subsref_delete_item.i,
	  swig/id-wsf-2.0/subsref_delete_response.i,
	  swig/id-wsf-2.0/subsref_item_data.i,
	  swig/id-wsf-2.0/subsref_modify.i,
	  swig/id-wsf-2.0/subsref_modify_item.i,
	  swig/id-wsf-2.0/subsref_modify_response.i,
	  swig/id-wsf-2.0/subsref_notification.i,
	  swig/id-wsf-2.0/subsref_notify.i,
	  swig/id-wsf-2.0/subsref_notify_response.i,
	  swig/id-wsf-2.0/subsref_query.i,
	  swig/id-wsf-2.0/subsref_query_item.i,
	  swig/id-wsf-2.0/subsref_query_response.i,
	  swig/id-wsf-2.0/subsref_result_query.i,
	  swig/id-wsf-2.0/subsref_subscription.i,
	  swig/id-wsf-2.0/subsref_test_item.i,
	  swig/id-wsf-2.0/util_empty.i, swig/id-wsf-2.0/util_extension.i,
	  swig/id-wsf-2.0/util_response.i, swig/id-wsf-2.0/util_status.i,
	  swig/inheritance.h, swig/saml-2.0/.cvsignore,
	  swig/saml-2.0/Makefile.am, swig/saml-2.0/inheritance.h,
	  swig/saml-2.0/main.h, swig/saml-2.0/saml2_action.i,
	  swig/saml-2.0/saml2_advice.i, swig/saml-2.0/saml2_assertion.i,
	  swig/saml-2.0/saml2_attribute.i,
	  swig/saml-2.0/saml2_attribute_statement.i,
	  swig/saml-2.0/saml2_attribute_value.i,
	  swig/saml-2.0/saml2_audience_restriction.i,
	  swig/saml-2.0/saml2_authn_context.i,
	  swig/saml-2.0/saml2_authn_statement.i,
	  swig/saml-2.0/saml2_authz_decision_statement.i,
	  swig/saml-2.0/saml2_base_idabstract.i,
	  swig/saml-2.0/saml2_condition_abstract.i,
	  swig/saml-2.0/saml2_conditions.i,
	  swig/saml-2.0/saml2_encrypted_element.i,
	  swig/saml-2.0/saml2_evidence.i,
	  swig/saml-2.0/saml2_key_info_confirmation_data.i,
	  swig/saml-2.0/saml2_name_id.i,
	  swig/saml-2.0/saml2_one_time_use.i,
	  swig/saml-2.0/saml2_proxy_restriction.i,
	  swig/saml-2.0/saml2_statement_abstract.i,
	  swig/saml-2.0/saml2_subject.i,
	  swig/saml-2.0/saml2_subject_confirmation.i,
	  swig/saml-2.0/saml2_subject_confirmation_data.i,
	  swig/saml-2.0/saml2_subject_locality.i,
	  swig/saml-2.0/samlp2_artifact_resolve.i,
	  swig/saml-2.0/samlp2_artifact_response.i,
	  swig/saml-2.0/samlp2_assertion_id_request.i,
	  swig/saml-2.0/samlp2_attribute_query.i,
	  swig/saml-2.0/samlp2_authn_query.i,
	  swig/saml-2.0/samlp2_authn_request.i,
	  swig/saml-2.0/samlp2_authz_decision_query.i,
	  swig/saml-2.0/samlp2_extensions.i,
	  swig/saml-2.0/samlp2_idp_entry.i,
	  swig/saml-2.0/samlp2_idp_list.i,
	  swig/saml-2.0/samlp2_logout_request.i,
	  swig/saml-2.0/samlp2_manage_name_id_request.i,
	  swig/saml-2.0/samlp2_name_id_mapping_request.i,
	  swig/saml-2.0/samlp2_name_id_mapping_response.i,
	  swig/saml-2.0/samlp2_name_id_policy.i,
	  swig/saml-2.0/samlp2_request_abstract.i,
	  swig/saml-2.0/samlp2_requested_authn_context.i,
	  swig/saml-2.0/samlp2_response.i, swig/saml-2.0/samlp2_scoping.i,
	  swig/saml-2.0/samlp2_status.i,
	  swig/saml-2.0/samlp2_status_code.i,
	  swig/saml-2.0/samlp2_status_detail.i,
	  swig/saml-2.0/samlp2_status_response.i,
	  swig/saml-2.0/samlp2_subject_query_abstract.i,
	  swig/saml-2.0/samlp2_terminate.i, swig/ws/Makefile.am,
	  swig/ws/inheritance.h, swig/ws/main.h,
	  swig/ws/wsa_attributed_any.i, swig/ws/wsa_attributed_qname.i,
	  swig/ws/wsa_attributed_unsigned_long.i,
	  swig/ws/wsa_attributed_uri.i, swig/ws/wsa_endpoint_reference.i,
	  swig/ws/wsa_metadata.i, swig/ws/wsa_problem_action.i,
	  swig/ws/wsa_reference_parameters.i, swig/ws/wsa_relates_to.i,
	  swig/ws/wsse_embedded.i, swig/ws/wsse_reference.i,
	  swig/ws/wsse_security_header.i,
	  swig/ws/wsse_security_token_reference.i,
	  swig/ws/wsse_transformation_parameters.i,
	  swig/ws/wsse_username_token.i, swig/ws/wsu_timestamp.i,
	  swig/wsf-support.i.in, swig/wsf2-support.i: Bindings: remove all
	  SWIG bindings and SWIG related files

2010-01-25 23:47  bdauvergne

	* lasso/utils.h, lasso/xml/xml.c: Add new macro
	  lasso_list_add_new_xml_node
	  
	  * lasso/utils.h:
	  fix lasso_list_add_xml_node, it must copy the node before
	  assigning
	  it.
	  add lasso_list_add_new_xml_node for keeping the old behaviour.
	  * lasso/xml/xml.c:
	  fix use of lasso_list_add_xml_node, because copying the node
	  before
	  assigning it is a leak now.

2010-01-25 12:47  bdauvergne

	* bindings/ghashtable.h: in bindings/ghashtable.h, Add missing
	  unused argument hints

2010-01-25 12:47  bdauvergne

	* lasso/saml-2.0/logout.c: SAML 2.0 Logout: when in an SP initiated
	  logout, lasso_logout_build_response_msg is the finishing call
	  
	  * lasso/saml-2.0/logout.c:
	  when calling lasso_logout_build_response_msg(), if we known that
	  we
	  are in the middle of an SP initiated logout, i.e. if
	  initial_remote_providerID is not NULL, then we can restore the
	  intial
	  response.

2010-01-25 12:46  bdauvergne

	* lasso/errors.c, lasso/errors.h,
	  lasso/xml/ws/wsse_username_token.c: Fix name of
	  LASSO_WSSEC_BAD_PASSWORD
	  
	  * lasso/errors.c lasso/errors.h:
	  LASSO_WSSE_BAD_PASSWORD -> LASSO_WSSEC_ERROR_BAD_PASSWORD
	  * lasso/xml/ws/wsse_username_token.c:
	  update client code.

2010-01-25 12:46  bdauvergne

	* bindings/java/lang.py: Bindings java: cast return value of
	  special constructors
	  
	  * bindings/java/lang.py:
	  in the JAVA API special constructors are made to return their
	  real
	  type, but usual GObject constructors return their base type (here
	  LassoNode) so we have to cast it.

2010-01-25 12:46  bdauvergne

	* docs/reference/lasso/lasso-sections.txt, lasso/id-ff/session.c,
	  lasso/id-ff/session.h, lasso/id-ff/sessionprivate.h: Export more
	  assertion access API for LassoSession
	  
	  * lasso/id-ff/session.c lasso/id-ff/session.h
	  lasso/id-ff/sessionprivate.h:
	  export lasso_session_get_assertion(),
	  lasso_session_add_assertion()
	  and lasso_session_remove_assertion().
	  remove them from private header.
	  * docs/reference/lasso/lasso-sections.txt:
	  update documentation

2010-01-21 17:54  bdauvergne

	* bindings/overrides.xml: Bindings: remove useless overrides
	  
	  * bindings/overrides.xml:
	  It is no more needed to force return type of constructors to
	  their
	  real types, the bindings check the type dynamically anyway.

2010-01-21 17:54  bdauvergne

	* bindings/ghashtable.h: Fix GHashTable backward compatibility
	  header
	  
	  * lasso/ghashtable.h:
	  g_hash_table_remove_all_nodes is not a public function, use
	  g_hash_table_foreach_remove instead.

2010-01-20 13:33  bdauvergne

	* lasso/xml/saml-2.0/saml2_name_id.c: in saml2_name_id.c, include
	  utils.h to benefit from replacement for g_strcmp0

2010-01-20 13:33  bdauvergne

	* lasso/errors.h, lasso/xml/ws/wsse_username_token.c: Fix
	  LASSO_WSSEC_BAD_PASSWORD error, reformat wsse_username_token.c
	  
	  * lasso/errors.h:
	  change error id and error name for LASSO_WSSEC_BAD_PASSWORD
	  * lasso/xml/ws/wsse_username_token.c:
	  update reference to LASSO_WSSEC_BAD_PASSWORD.
	  reformat line longer than 100 characters.

2010-01-19 15:03  bdauvergne

	* lasso/id-wsf-2.0/server.c, lasso/id-wsf-2.0/session.c: ID-WSF
	  2.0: add some annotations

2010-01-19 12:44  bdauvergne

	* lasso/backward_comp.h: Core: in backward_comp.h, include string.h
	  if g_strcmp0 is used
	  
	  * lasso/backward_comp.h:
	  implementation of g_strcmp0 depends upon string.h.

2010-01-19 11:01  bdauvergne

	* lasso/xml/idwsf_strings.h: WS-Security: fix typo in name of
	  string symbols
	  
	  * lasso/xml/idwsf_strings.h:
	  uppercase define for WS-Securities SOAP faults.

2010-01-19 11:01  bdauvergne

	* docs/reference/lasso/lasso-sections.txt, lasso/errors.c,
	  lasso/errors.h, lasso/xml/idwsf_strings.h,
	  lasso/xml/ws/wsse_username_token.c,
	  lasso/xml/ws/wsse_username_token.h: WS: complete support for
	  wsse:UsernameToken
	  
	  * docs/reference/lasso/lasso-sections.txt:
	  add new functions and change type name in documentation.
	  * lasso/errors.h lasso/errors.c:
	  add an error to report password verification failure
	  * lasso/xml/ws/wsse_username_token.h
	  lasso/xml/ws/wsse_username_token.c:
	  update support for wsse:UsernameToken up to version 1.1,
	  implement
	  digest and derived keys computations.
	  * lasso/xml/idwsf_strings.h:
	  add strings for Username WS-Security Token profile

2010-01-19 10:44  bdauvergne

	* lasso/xml/saml-2.0/saml2_authn_context.c: XML SAML-2.0:
	  AuthnContext content is a xdf:choice so make content optional
	  
	  - lasso/xml/saml-2.0/saml2_authn_context.c:
	  <AuthnContext/> can contain at least one node among:
	  - <AuthnContextClassRef/>
	  - <AuthnContextDeclRef/>
	  - <AuthnContextDecl/>
	  to approximate this possibility, we need to make any of them
	  optional.
	  <AuthenticatingAuthority/> should be a list but we cannot change
	  it
	  without breaking the ABI, so we will wait for this.

2010-01-19 09:48  bdauvergne

	* website/web/doap.rdf: make an explicit copy of lasso.doap to
	  website/web/doap.rdf

2010-01-19 09:44  bdauvergne

	* website/web/news/14-release-2.2.90.xml: Reduce news message to
	  fit the news column

2010-01-18 15:08  bdauvergne

	* website/web/download/index.xml: updat download link

2010-01-18 14:41  bdauvergne

	* lasso/id-wsf-2.0/Makefile.am: ID-WSF 2.0: Add saml2_login.h to
	  list of headers

2010-01-18 14:08  bdauvergne

	* docs/reference/lasso/lasso-docs.sgml: Documentation:
	  wsse_security.xml is now wsse_security_header.xml

2010-01-18 14:08  bdauvergne

	* autogen.sh: By default make autogen.sh to enable gtk doc

2010-01-18 13:50  bdauvergne

	* bindings/php5/Makefile.am, bindings/php5/tests/Makefile.am,
	  bindings/php5/tests/binding_tests.php,
	  bindings/php5/tests/binding_tests.sh,
	  bindings/php5/tests/profile_tests.php,
	  bindings/php5/tests/profile_tests.sh, configure.ac: Bindings
	  PHP5: rewire php5 tests to the makefiles, make them pass
	  distcheck

2010-01-18 11:16  bdauvergne

	* autogen.sh: in autogen.sh, move libtoolize and gtkdocize before
	  aclocal

2010-01-18 11:15  bdauvergne

	* tests/Makefile.am: fix typo

2010-01-18 11:04  bdauvergne

	* tests/Makefile.am: Merge EXTRA_DIST declarations in
	  tests/Makefile.am

2010-01-18 10:49  bdauvergne

	* lasso.doap: fix bad commit

2010-01-18 10:47  bdauvergne

	* lasso.doap: tag release 2.2.90

2010-01-18 10:40  bdauvergne

	* ChangeLog: Update changelog
2010-01-18 10:04  bdauvergne

	* NEWS, lasso.doap, website/web/news/14-release-2.2.90.xml: Change
	  again date of release 2.2.90

2010-01-18 10:03  bdauvergne

	* tests/Makefile.am: Add tests/valgrind to dist tarballs

2010-01-18 10:03  bdauvergne

	* Makefile.am: Add autogen.sh and tools to EXTRA_DIST in top
	  Makefile.am

2010-01-18 10:03  bdauvergne

	* docs/lasso-book/Makefile.am,
	  docs/reference/lasso/lasso-sections.txt, lasso/backward_comp.h,
	  lasso/id-wsf/wsf_profile.c, lasso/lasso.c,
	  lasso/saml-2.0/assertion_query.h, lasso/saml-2.0/profile.c,
	  lasso/utils.h, lasso/xml/misc_text_node.c,
	  lasso/xml/saml-2.0/saml2_name_id.c,
	  lasso/xml/saml-2.0/samlp2_authn_request.h,
	  lasso/xml/saml-2.0/samlp2_logout_request.h,
	  lasso/xml/saml-2.0/samlp2_logout_response.h, lasso/xml/xml.c,
	  lasso/xml/xml.h: Documentation: distribute stylesheet, fix
	  documentation comments, compelte lasso-sections.txt

2010-01-18 10:03  bdauvergne

	* docs/reference/lasso/lasso-overrides.txt: Documentation: add
	  empty lasso-overrides.txt, it seems to be necessary

2010-01-18 10:03  bdauvergne

	* lasso/id-wsf/wsf_utils.c: ID-WSF: mark API as Private not
	  Internal

2010-01-18 10:03  bdauvergne

	* lasso/id-ff/session.h: Core: complete documentation on
	  LassoSession

2010-01-18 10:03  bdauvergne

	* lasso/id-ff/profile.h: Core: complete documentation on
	  LassoProfile

2010-01-18 10:03  bdauvergne

	* lasso/id-ff/login.h: Core: complete documentation on LassoLogin

2010-01-18 10:03  bdauvergne

	* lasso/id-ff/server.c, lasso/id-wsf-2.0/soap_binding.c: fix typo
	  (transfer-none) -> (transfer none)

2010-01-18 10:03  bdauvergne

	* lasso/id-wsf/Makefile.am, lasso/id-wsf/utils.c,
	  lasso/id-wsf/utils.h, lasso/id-wsf/wsf_utils.c,
	  lasso/id-wsf/wsf_utils.h: ID-WSF 1.0: change name of utils.{c,h}
	  file for documentation parsing
	  
	  * utils.h:
	  this header has the same name as an other header which is not
	  parsed
	  by the documentation (lasso/utils.h) and the documentation
	  process
	  just match by filename, so we rename it.

2010-01-18 10:03  bdauvergne

	* website/web/news/14-release-2.2.90.xml: Website: add news about
	  2.2.90

2010-01-16 15:55  bdauvergne

	* bindings/python/Makefile.am: Add bindings/python/examples to dist
	  file

2010-01-16 15:14  bdauvergne

	* bindings/php4: remove empty directory

2010-01-16 15:13  bdauvergne

	* bindings/lang_php5_helpers: remove empty directory

2010-01-15 09:11  bdauvergne

	* docs/reference/lasso/lasso-sections.txt: Documentation: update
	  lasso-sections.txt

2010-01-15 08:33  bdauvergne

	* lasso.doap, website/web/doap.rdf: Update doap file

2010-01-15 08:26  bdauvergne

	* lasso/id-ff/session.c, lasso/xml/saml_advice.c,
	  lasso/xml/saml_advice.h: FIX ABI breakage between 2.2.1 and 2.2.2
	  in LassoSamlAdvice
	  
	  * lasso/xml/saml_advice.c lasso/xml/saml_advice.h:
	  restore fields AssertionIDReference and Assertion, remove field
	  any
	  to restore state from 2.2.1
	  * lasso/id-ff/session.c:
	  use xmlNode stored inside LassoSamlAssertion objects instead of
	  accessing the 'any' list of xmlNode that was inserted in
	  LassoSamlAdvice.

2010-01-14 16:18  bdauvergne

	* lasso/xml/saml-2.0/saml2_attribute_value.c,
	  lasso/xml/saml-2.0/saml2_attribute_value.h: FIX ABI breakage when
	  addning new field to struct LassoSaml2AttributeValue

2010-01-14 16:18  bdauvergne

	* lasso/build_strerror.py, lasso/errors.h: Fix ABI breakage due to
	  change of constant name from LASSO_SOAP_FAULT_REDIRECT_REQUEST to
	  LASSO_SOAP_ERROR_REDIRECT_REQUEST_FAULT

2010-01-14 16:18  bdauvergne

	* lasso/errors.c, lasso/errors.h: Fix ABI breakage with respect to
	  2.2.1

2010-01-14 16:18  bdauvergne

	* docs/reference/lasso/lasso-sections.txt: Documentation: add
	  lasso_profile_set/get_signature_hint to lasso-sections.txt

2010-01-14 16:18  bdauvergne

	* abi, abi/abi-2.1.1, abi/abi-2.2.1, abi/abi-2.2.2, abi/abi-2.2.90:
	  Add files listings the ABI of Lasso

2010-01-14 16:18  bdauvergne

	* bindings/bindings.py, tools/api.py: Tools: add script to generate
	  a listing of Lasso ABI
	  
	  * tools/api.py:
	  use parser from the binding generator to output a list of symbols
	  * bindings/bindings.py;
	  add private flags to not clobber 'private' fields of structures
	  or
	  methods not exported in bindings like _get_type.

2010-01-14 16:18  bdauvergne

	* lasso/xml/Makefile.am, lasso/xml/idwsf_strings.h,
	  lasso/xml/strings.h: ID-WSF: separate ID-WSF strings into their
	  own header

2010-01-14 16:18  bdauvergne

	* NEWS: start NEWS file for 2.2.90

2010-01-14 16:18  bdauvergne

	* tests/integration/saml2/test_02_slo.py,
	  tests/integration/saml2/test_03_defederation.py: Tests
	  integration: remove save_html hooks, after fed termination logout
	  button should still be there

2010-01-14 16:18  bdauvergne

	* bindings/python/lang.py: Bindings python: use is_cstring for
	  matching GList element type

2010-01-14 16:18  bdauvergne

	* lasso/saml-2.0/logout.c: SAML 2.0 Logout: undo some change to
	  when the assertion is removed
	  
	  * lasso/saml-2.0/logout.c:
	  - do not remove the assertion in init_request, as before only if
	  all
	  fails (event REDIRECT is unsupported).
	  - in process_response_msg remove the assertion if we are the IdP
	  or
	  if there is no error.
	  - in validate_request, remove the assertion if there is no error.
	  
	  I think that there will be more updates to this in the future.

2010-01-14 16:18  bdauvergne

	* bindings/utils.py: Bindings: make is_cstring usable with tuple
	  and with direct type

2010-01-14 16:18  bdauvergne

	* lasso/id-ff/session.c: Core: remove warning emiting macros from
	  lasso_session_remove_assertion
	  
	  * lasso/id-ff/session.c:
	  we already return error code, no need to log more warnings.

2010-01-14 16:18  bdauvergne

	* lasso/saml-2.0/profile.c: SAML 2.0: report missing request when
	  creating artifact resolve response, fix typo in
	  lasso_saml20_profile_build_post_response_msg

2010-01-14 16:18  bdauvergne

	* lasso/saml-2.0/login.c: SAML 2.0: Fix typo in
	  lasso_saml20_login_build_authn_response_msg

2010-01-14 16:18  bdauvergne

	* lasso/id-ff/provider.c, lasso/saml-2.0/provider.c: ID-FF&SAML2:
	  if use is not defined on a key descriptor use the key for any use
	  
	  * lasso/id-ff/provider.c lasso/saml-2.0/provider.c: if the "use"
	  attribute is not set on a KeyDescriptor, use the key for signing
	  and
	  encryption.

2010-01-12 15:40  bdauvergne

	* tests/login_tests_saml2.c: Tests SAML2: use & test encryption

2010-01-12 15:40  bdauvergne

	* lasso/saml-2.0/Makefile.am: SAML 2.0: add saml2_helper.h to
	  include files to install

2010-01-12 15:40  bdauvergne

	* tests/Makefile.am: Tests: fix inclusion of id-wsf 2.0 tests

2010-01-12 15:40  bdauvergne

	* lasso/lasso.h: Core: add new SAML 2.0 public header to top level
	  header lasso.h

2010-01-12 15:40  bdauvergne

	* lasso/id-wsf-2.0/Makefile.am: ID-WSF 2.0: remote
	  saml2_login_private.h from Makefile.am

2010-01-12 15:40  bdauvergne

	* bindings/java/lang.py, bindings/php5/wrapper_source.py,
	  bindings/python/lang.py, bindings/utils.py: Bindings: add support
	  for time_t to bindings, add support for 'string' type for list in
	  java binding

2010-01-12 15:40  bdauvergne

	* lasso/saml-2.0/saml2_helper.c, lasso/saml-2.0/saml2_helper.h: in
	  saml2_helper.{c,h}, remote const modifier from time_t type

2010-01-12 15:40  bdauvergne

	* lasso/saml-2.0/name_id_management.c: in
	  saml-2.0/name_id_management.c: handle NewEncryptedID, only
	  encrypt if needed

2010-01-12 15:40  bdauvergne

	* lasso/saml-2.0/logout.c: in saml-2.0/logout.c: remove commented
	  code, only encrypt if needed, intialize local variables

2010-01-12 15:40  bdauvergne

	* lasso/saml-2.0/login.c: in
	  lasso_saml20_login_init_idp_initiated_auhtn_request, do not use
	  init_authn_request, manually create the request.

2010-01-12 15:40  bdauvergne

	* lasso/saml-2.0/login.c: in lasso_saml20_login_init_authn_request,
	  use saml-2.0/profile.c functions to reduce code size

2010-01-12 15:40  bdauvergne

	* lasso/saml-2.0/profile.c: in saml-2.0/profile.c, in
	  lasso_saml20_build_response_msg, when no url is given, only stop
	  for bindings needing one

2010-01-12 15:40  bdauvergne

	* lasso/saml-2.0/profile.c: in saml-2.0/profile.c, in
	  lasso_saml20_profile_init_response make direct access

2010-01-12 15:40  bdauvergne

	* lasso/saml-2.0/profile.c: in saml-2.0/profile.c, in
	  lasso_saml20_init_request better check for supported bindings, do
	  not check for identity or session, report SESSION_NOT_FOUND only
	  if first_in_session is used, do not stop on missing name_id.

2010-01-12 15:40  bdauvergne

	* lasso/saml-2.0/saml2_helper.c: in saml2_helper.c, remove dead
	  code

2010-01-12 15:40  bdauvergne

	* lasso/saml-2.0/provider.c: SAML 2.0: in
	  lasso_saml20_provider_accept_http_method, add HTTP-Artifact-POST
	  case, better check for bad inputs, and handle special
	  SingleSignOn case

2010-01-12 15:40  bdauvergne

	* lasso/id-ff/profile.c: Core Profile: remove need for identity in
	  lasso_profile_get_nameIdentifier

2010-01-12 15:40  bdauvergne

	* lasso/id-ff/server.c: Core Server: make default to load signing
	  private key also as encryption private key

2010-01-12 15:40  bdauvergne

	* lasso/xml/xml.c: Commit to delete

2010-01-12 15:40  bdauvergne

	* lasso/xml/saml-2.0/samlp2_response.c, lasso/xml/tools.c: Core:
	  rewrite lasso_assertion_encrypt using lasso_xmlsect_load_key and
	  add recipient argument

2010-01-12 15:39  bdauvergne

	* lasso/xml/private.h, lasso/xml/tools.c: Core: add simple function
	  to load key from any format

2010-01-12 15:39  bdauvergne

	* lasso/id-ff/login.c, lasso/saml-2.0/login.c,
	  lasso/saml-2.0/profile.c, lasso/saml-2.0/provider.c,
	  lasso/xml/private.h, lasso/xml/tools.c, lasso/xml/xml.c: Core
	  Node: add args to lasso_node_encrypt to set recipient of an
	  encrypted element

2010-01-12 15:39  bdauvergne

	* bindings/python/lang.py: Binding python: provide old binding name
	  for set_encryptionMode

2010-01-12 15:39  bdauvergne

	* lasso/errors.c, lasso/errors.h, lasso/id-ff/login.c,
	  lasso/id-ff/logout.c, lasso/id-ff/profile.c,
	  lasso/id-ff/provider.c, lasso/id-ff/provider.h,
	  lasso/saml-2.0/assertion_query.c, lasso/saml-2.0/ecp.c,
	  lasso/saml-2.0/login.c, lasso/saml-2.0/loginprivate.h,
	  lasso/saml-2.0/logout.c, lasso/saml-2.0/logoutprivate.h,
	  lasso/saml-2.0/name_id_management.c, lasso/saml-2.0/profile.c,
	  lasso/saml-2.0/profileprivate.h, lasso/saml-2.0/provider.c,
	  lasso/saml-2.0/saml2_helper.c, lasso/saml-2.0/saml2_helper.h,
	  lasso/xml/saml-2.0/samlp2_request_abstract.c,
	  lasso/xml/saml-2.0/samlp2_status_response.c: SAML 2.0: overhaul
	  for ubuquitous binding support, still need work for HTTP-Artefact

2010-01-12 15:39  bdauvergne

	* lasso/id-ff/profile.c, lasso/id-ff/profile.h,
	  lasso/id-ff/profileprivate.h: Core: in profile.c, profile.h,
	  profileprivate.h, add a new attribute to express signature needs

2010-01-12 15:39  bdauvergne

	* lasso/id-ff/identity.c: Core: in identity.c, do not emit trace
	  when lasso_identity_get_federation fails

2010-01-12 15:39  bdauvergne

	* lasso/xml/private.h, lasso/xml/xml.c: XML Core: in xml.c,
	  private.h, add a lasso_node_remove_signature function

2010-01-12 15:39  bdauvergne

	* lasso/xml/id-wsf-2.0/is_interaction_statement.c,
	  lasso/xml/saml-2.0/saml2_assertion.c,
	  lasso/xml/saml-2.0/samlp2_request_abstract.c,
	  lasso/xml/saml-2.0/samlp2_status_response.c,
	  lasso/xml/saml_assertion.c, lasso/xml/samlp_request_abstract.c,
	  lasso/xml/samlp_response_abstract.c: XML: fill
	  node_data->{certificate,private_key}_file_offset for nodes with
	  signatures

2010-01-12 15:39  bdauvergne

	* lasso/xml/private.h: Core: in xml/private.h, add new field to
	  LassoNodeClassData for private_key and certificate handling

2010-01-12 15:39  bdauvergne

	* lasso/id-ff/provider.h: Core: in provider.h, add
	  LASSO_PROVIDER_ROLE_BOTH

2010-01-12 15:39  bdauvergne

	* lasso/saml-2.0/profile.c: Core: in profile.c, make
	  lasso_profile_get_nameIdentifier work for transient federations
	  
	  * lasso/id-ff/profile.c:
	  if no LassoIdentity is accessible try to get a name identifier
	  through the assertion in the LassoSession object. This allows the
	  logout profile to work without an identity object (which is
	  normal
	  since logout does not modify the federation status).

2010-01-12 15:39  bdauvergne

	* lasso/id-ff/provider.h: Core: in provider.h, add new SAML 2.0
	  HTTP-Method, PAOS

2010-01-12 15:39  bdauvergne

	* lasso/saml-2.0/profile.c, lasso/saml-2.0/profileprivate.h: SAML
	  2.0: add new function to factorize adding signature to a message

2010-01-12 15:39  bdauvergne

	* lasso/saml-2.0/login.c, lasso/saml-2.0/provider.c,
	  lasso/saml-2.0/providerprivate.h: Fix mitm attack using the
	  AssertionConsumerURL property on requests
	  
	  * lasso/saml-2.0/login.c: check that the URL is know before using
	  it
	  * lasso/saml-2.0/provider.c lasso/saml-2.0/providerprivate.h:
	  add a function to check that an URL corresponds to a know
	  AssertionConsumer of the given provider.

2010-01-12 15:39  bdauvergne

	* lasso/id-wsf-2.0/profile.c: ID-WSF 2.0: fix in documentation

2010-01-04 09:16  bdauvergne

	* bindings/bindings.py, bindings/java/lang.py,
	  bindings/php5/php_code.py, bindings/php5/wrapper_source.py,
	  bindings/python/lang.py, bindings/utils.py: Bindings: simplify
	  GList handling

2010-01-04 09:15  bdauvergne

	* lasso/xml/disco_description.h,
	  lasso/xml/disco_encrypted_resource_id.h,
	  lasso/xml/disco_insert_entry.h, lasso/xml/disco_modify.h,
	  lasso/xml/disco_options.h, lasso/xml/disco_query.h,
	  lasso/xml/disco_query_response.h,
	  lasso/xml/disco_service_instance.h, lasso/xml/dst_modify.h,
	  lasso/xml/dst_query.h, lasso/xml/dst_query_response.h,
	  lasso/xml/id-wsf-2.0/disco_endpoint_context.h,
	  lasso/xml/id-wsf-2.0/disco_keys.h,
	  lasso/xml/id-wsf-2.0/disco_options.h,
	  lasso/xml/id-wsf-2.0/disco_requested_service.h,
	  lasso/xml/id-wsf-2.0/disco_security_context.h,
	  lasso/xml/id-wsf-2.0/disco_service_context.h,
	  lasso/xml/id-wsf-2.0/disco_svc_md_association_add.h,
	  lasso/xml/id-wsf-2.0/disco_svc_md_association_delete.h,
	  lasso/xml/id-wsf-2.0/disco_svc_md_association_query.h,
	  lasso/xml/id-wsf-2.0/disco_svc_md_association_query_response.h,
	  lasso/xml/id-wsf-2.0/disco_svc_md_delete.h,
	  lasso/xml/id-wsf-2.0/disco_svc_md_query.h,
	  lasso/xml/id-wsf-2.0/disco_svc_md_register_response.h,
	  lasso/xml/id-wsf-2.0/dstref_query_response.h,
	  lasso/xml/id-wsf-2.0/ims_identity_mapping_request.h,
	  lasso/xml/id-wsf-2.0/ims_identity_mapping_response.h,
	  lasso/xml/id-wsf-2.0/is_inquiry.h,
	  lasso/xml/id-wsf-2.0/is_interaction_request.h,
	  lasso/xml/id-wsf-2.0/is_interaction_response.h,
	  lasso/xml/id-wsf-2.0/is_interaction_statement.h,
	  lasso/xml/id-wsf-2.0/is_select.h,
	  lasso/xml/id-wsf-2.0/ps_add_to_collection_request.h,
	  lasso/xml/id-wsf-2.0/ps_list_members_response.h,
	  lasso/xml/id-wsf-2.0/ps_notification.h,
	  lasso/xml/id-wsf-2.0/ps_notify.h,
	  lasso/xml/id-wsf-2.0/ps_object.h,
	  lasso/xml/id-wsf-2.0/ps_query_objects_response.h,
	  lasso/xml/id-wsf-2.0/ps_remove_collection_request.h,
	  lasso/xml/id-wsf-2.0/ps_remove_entity_request.h,
	  lasso/xml/id-wsf-2.0/ps_remove_from_collection_request.h,
	  lasso/xml/id-wsf-2.0/ps_resolve_identifier_request.h,
	  lasso/xml/id-wsf-2.0/ps_resolve_identifier_response.h,
	  lasso/xml/id-wsf-2.0/ps_set_object_info_request.h,
	  lasso/xml/id-wsf-2.0/sb2_credentials_context.h,
	  lasso/xml/id-wsf-2.0/sb2_target_identity.h,
	  lasso/xml/id-wsf-2.0/sb2_user_interaction_header.h,
	  lasso/xml/id-wsf-2.0/sec_transited_provider_path.h,
	  lasso/xml/id-wsf-2.0/subs_notification.h,
	  lasso/xml/id-wsf-2.0/subs_subscription.h,
	  lasso/xml/id-wsf-2.0/subsref_app_data.h,
	  lasso/xml/id-wsf-2.0/subsref_create.h,
	  lasso/xml/id-wsf-2.0/subsref_data_response.h,
	  lasso/xml/id-wsf-2.0/subsref_delete.h,
	  lasso/xml/id-wsf-2.0/subsref_modify.h,
	  lasso/xml/id-wsf-2.0/subsref_notification.h,
	  lasso/xml/id-wsf-2.0/subsref_notify.h,
	  lasso/xml/id-wsf-2.0/subsref_query.h,
	  lasso/xml/id-wsf-2.0/subsref_query_response.h,
	  lasso/xml/id-wsf-2.0/subsref_subscription.h,
	  lasso/xml/is_inquiry.h, lasso/xml/is_interaction_request.h,
	  lasso/xml/is_interaction_response.h, lasso/xml/is_select.h,
	  lasso/xml/is_user_interaction.h, lasso/xml/sa_credentials.h,
	  lasso/xml/sa_password_transforms.h, lasso/xml/sa_sasl_request.h,
	  lasso/xml/sa_sasl_response.h, lasso/xml/sa_transform.h,
	  lasso/xml/saml-2.0/saml2_advice.h,
	  lasso/xml/saml-2.0/saml2_attribute.h,
	  lasso/xml/saml-2.0/saml2_attribute_value.h,
	  lasso/xml/saml-2.0/saml2_evidence.h, lasso/xml/saml_attribute.h,
	  lasso/xml/saml_attribute_statement.h,
	  lasso/xml/saml_attribute_value.h,
	  lasso/xml/saml_audience_restriction_condition.h,
	  lasso/xml/saml_authentication_statement.h,
	  lasso/xml/saml_conditions.h,
	  lasso/xml/saml_subject_confirmation.h,
	  lasso/xml/soap-1.1/soap_body.h, lasso/xml/soap-1.1/soap_detail.h,
	  lasso/xml/soap-1.1/soap_header.h: XML: add element type
	  annotation to all GList fields

2010-01-04 09:15  bdauvergne

	* bindings/python/Makefile.am: Bindings: in
	  bindings/python/Makefile.am, precise generated files dependencies

2010-01-04 09:15  bdauvergne

	* configure.ac, lasso/Makefile.am, lasso/id-ff/profileprivate.h,
	  lasso/id-wsf-2.0/data_service.c, lasso/id-wsf-2.0/discovery.c,
	  lasso/id-wsf-2.0/profile.c, lasso/id-wsf-2.0/profile.h,
	  lasso/id-wsf-2.0/soap_binding.h, lasso/id-wsf/data_service.c,
	  lasso/id-wsf/interaction_profile_service.c,
	  lasso/id-wsf/wsf_profile.c, lasso/id-wsf/wsf_profile.h,
	  lasso/id-wsf/wsf_profile_private.h, lasso/xml/Makefile.am,
	  lasso/xml/soap-1.1, lasso/xml/soap-1.1/Makefile.am,
	  lasso/xml/soap-1.1/soap_body.c, lasso/xml/soap-1.1/soap_body.h,
	  lasso/xml/soap-1.1/soap_detail.c,
	  lasso/xml/soap-1.1/soap_detail.h,
	  lasso/xml/soap-1.1/soap_envelope.c,
	  lasso/xml/soap-1.1/soap_envelope.h,
	  lasso/xml/soap-1.1/soap_fault.c, lasso/xml/soap-1.1/soap_fault.h,
	  lasso/xml/soap-1.1/soap_header.c,
	  lasso/xml/soap-1.1/soap_header.h,
	  lasso/xml/soap-1.1/xml_soap11.h, lasso/xml/soap_binding.h,
	  lasso/xml/soap_body.c, lasso/xml/soap_body.h,
	  lasso/xml/soap_detail.c, lasso/xml/soap_detail.h,
	  lasso/xml/soap_envelope.c, lasso/xml/soap_envelope.h,
	  lasso/xml/soap_fault.c, lasso/xml/soap_fault.h,
	  lasso/xml/soap_header.c, lasso/xml/soap_header.h,
	  lasso/xml/xml_idff.h, lasso/xml/xml_idwsf.h: XML: move SOAP API
	  to its own sub directory

2010-01-04 09:15  bdauvergne

	* bindings/overrides.xml: Bindings: in overrides.xml, remove noew
	  useless directives

2010-01-04 09:15  bdauvergne

	* bindings/python/tests/idwsf1_tests.py,
	  bindings/python/tests/idwsf2_tests.py: Python binding: update
	  test scripts to new ID-WSF API

2010-01-04 09:15  bdauvergne

	* bindings/overrides.xml: Binding ID-WSF 2.0: do not bind
	  lasso_wsa_endpoint_reference_get_*_token methods

2010-01-04 09:15  bdauvergne

	* tests/Makefile.am, tests/basic_tests.c, tests/idwsf2_tests.c,
	  tests/tests.c: Tests: add idwsf2_tests.c, call from tests.c,
	  update Makefile.am

2010-01-04 09:15  bdauvergne

	* docs/reference/lasso/lasso-sections.txt,
	  lasso/id-wsf-2.0/data_service.c, lasso/id-wsf-2.0/data_service.h,
	  lasso/id-wsf-2.0/discovery.c, lasso/id-wsf-2.0/discovery.h,
	  lasso/id-wsf-2.0/profile.c, lasso/id-wsf-2.0/profile.h: ID-WSF
	  2.0: in profile.{c,h}, discovery.{c,h}, data_service.{c,h},
	  overhaul all profiles.
	  
	  * lasso/id-wsf-2.0/profile.c lasso/id-wsf-2.0/profile.h:
	  - lasso_idwsf2_profile_get_name_identifier returns the NameID
	  found
	  in an assertion used as a WS-Security token when security
	  mechanism
	  Bearer or SAML are used.
	  - complete the function lasso_id_wsf2_profile_build_soap_envelope
	  with construction of the Sender element which is used to transmit
	  the providerID of the message sender by the SOAP binding ID-WSF
	  2.0
	  specification.
	  - remove useless instance_init function in profile object
	  - reset some profile fields in process_soap_request_msg
	  (response,
	  body, nameIdentifier). use
	  lasso_saml20_profile_name_identifier_decryption for handling
	  NameID
	  from WS-Security mechanism assertion.
	  - add private_data
	  - change signature of lasso_idwsf2_profile_init_soap_request to
	  use
	  and EPR and a security mechanism specifier when building the SOAP
	  request.
	  - change signature of lasso_idwsf2_profile_process_soap_request
	  to
	  verify security_mech_id of received messages.
	  * docs/reference/lasso/lasso-sections.txt:
	  add the function to the documentation.
	  
	  * lasso/id-wsf-2.0/discovery.{c,h}:
	  - use utils.h macros instead of g_return_val_if_fail because it
	  removes useless warning, since it returns an error code. release
	  acquired resources.
	  - in lasso_idwsf2_discovery_metadata_register_self, return error
	  code
	  instead of identifier string for the new service, use an out
	  parmeter to return the identifier, use utils.h macros.
	  - in lasso_idwsf2_discovery_init_metadata_register, use utils.h
	  macros, check return code of
	  lasso_idwsf2_profile_init_soap_request.
	  - change signature of
	  lasso_idwsf2_discovery_init_metadata_register
	  to support security_mech_id, try to get URL from an existing
	  Discovery service EPR (from Session object).
	  - change signature of
	  lasso_idwsf2_discovery_process_metadata_register_msg,
	  lasso_idwsf2_discovery_init_metadata_association_add,
	  lasso_idwsf2_discovery_process_metadata_association_add_msg,
	  lasso_idwsf2_discovery_init_query,
	  lasso_idwsf2_discovery_process_query_msg, to support security
	  mechanism.
	  - improve lasso_idwsf2_discovery_build_query_response_eprs.
	  - add lasso_idwsf2_discovery_get_nth_data_service to acces
	  returned
	  services.
	  * lasso/id-wsf-2.0/data_service.{c,h}:
	  - redo all the API

2010-01-04 09:15  bdauvergne

	* lasso/id-wsf-2.0/session.c: ID-WSF 2.0: in session.c, fix memory
	  handling errors

2010-01-04 09:15  bdauvergne

	* docs/reference/lasso/lasso-sections.txt, lasso/errors.c,
	  lasso/errors.h, lasso/id-wsf-2.0/data_service.c,
	  lasso/id-wsf/wsf_profile.c: ID-WSF 2.0&ID-WSF: in profile.c,
	  wsf_profile.c, errors.c, errors.h, and in lasso-sections.txt
	  change LASSO_SOAP_FAULT_REDIRECT_REQUEST to
	  LASSO_SOAP_ERROR_REDIRECT_REQUEST_FAULT

2010-01-04 09:15  bdauvergne

	* lasso/errors.c, lasso/errors.h: ID-WSF 2.0 Errors: in
	  errors.{c,h}, add new errors code for ID-WSF 2.0
	  
	  - add LASSO_DST_ERROR_EMPTY_REQUEST
	  - add LASSO_WSF_PROFILE_ERROR_SECURITY_MECHANISM_CHECK_FAILED
	  - add new errors codes for generic profiles and disco service

2010-01-04 09:15  bdauvergne

	* lasso/xml/strings.h: ID-WSF 2.0 XML: in strings.h, add
	  identifiers from ID-WSF 2.0
	  standards
	  
	  - add status code for ID-WSF 2.0 DST
	  - add token usage identifiers
	  - conform security mechanism identifiers to ID-WSF 2.0 Liberty
	  Sech
	  Mech specification
	  - add Discovery Service status codes
	  - add Soap Binding status codes
	  - add disco result type and user interaction hint strings

2010-01-04 09:15  bdauvergne

	* lasso/xml/id-wsf-2.0/sec_token.c: ID-WSF 2.0 XML: in sec_token.c,
	  remove extra SNIPPET_ANY

2010-01-04 09:15  bdauvergne

	* lasso/xml/id-wsf-2.0/util_response.c,
	  lasso/xml/id-wsf-2.0/util_response.h: ID-WSF 2.0 XML: in
	  util_response.{c,h}, add helper functions to idwsf2_util_status

2010-01-04 09:15  bdauvergne

	* lasso/id-wsf-2.0/server.c: ID-WSF 2.0: in server.c, change
	  annotation of lasso_server_get_svc_metadatas_with_id_and_type.

2010-01-04 09:15  bdauvergne

	* docs/reference/lasso/lasso-docs.sgml,
	  docs/reference/lasso/lasso-sections.txt,
	  lasso/id-wsf-2.0/saml2_login.c, lasso/id-wsf-2.0/saml2_login.h,
	  lasso/id-wsf-2.0/saml2_login_private.h: ID-WSF 2.0: in
	  saml2_login.c, change API
	  
	  * lasso/id-wsf-2.0/saml2_login.c:
	  - change private lasso_saml20_login_assertion_add_discovery to
	  public
	  lasso_login_idwsf2_add_discovery_bootstrap_epr.
	  - remove lasso_saml20_login_copy_assertion_epr, add
	  lasso_login_idwsf2_get_discovery_bootstrap_epr.
	  * docs/reference/lasso/lasso-docs.sgml:
	  - add sections id_wsf_2_0_login
	  * docs/reference/lasso/lasso-sections.txt:
	  - add new functions to section id_wsf_2_0_login

2010-01-04 09:15  bdauvergne

	* lasso/id-wsf-2.0/idwsf2_helper.c,
	  lasso/id-wsf-2.0/idwsf2_helper.h: ID-WSF 2.0: in idwsf2_helper.c,
	  add new functions, fix old things
	  
	  - add lasso_wsa_endpoint_reference_get_service,
	  lasso_wsa_endpoint_reference_associate_service_type_uri,

2010-01-04 09:14  bdauvergne

	* lasso/id-wsf-2.0/Makefile.am, lasso/id-wsf-2.0/idwsf2_helper.c,
	  lasso/id-wsf-2.0/idwsf2_helper.h: ID-WSF 2.0: create
	  idwsf2_helper.{c,h}, new module for manipulating EPR elements
	  
	  * lasso/id-wsf-2.0/idwsf2_helper.c
	  lasso/id-wsf-2.0/idwsf2_helper.h:
	  add new functions
	  lasso_wsa_endpoint_reference_get_idwsf2_service_type,
	  lasso_wsa_endpoint_reference_get_idwsf2_provider_id,
	  lasso_wsa_endpoint_reference_get_idwsf2_security_context_for_security_mechanism,
	  lasso_wsa_endpoint_reference_get_token_by_usage,
	  lasso_wsa_endpoint_reference_get_security_token,lasso_wsa_endpoint_reference_get_target_identity_token,
	  lasso_wsa_endpoint_reference_new_for_idwsf2_service,
	  and lasso_wsa_endpoint_reference_add_security_token.
	  * lasso/id-wsf-2.0/idwsf2_helper.h:
	  declare new functions.
	  * lasso/id-wsf-2.0/Makefile.am:
	  add new files to source list

2010-01-04 09:14  bdauvergne

	* lasso/id-wsf-2.0/soap_binding.c, lasso/id-wsf-2.0/soap_binding.h:
	  ID-WSF 2.0: in soap_binding.{c,h}, add new functions

2010-01-04 09:14  bdauvergne

	* docs/reference/lasso/lasso-docs.sgml,
	  docs/reference/lasso/lasso-sections.txt,
	  lasso/id-wsf-2.0/Makefile.am, lasso/id-wsf-2.0/soap_binding.c,
	  lasso/id-wsf-2.0/soap_binding.h: ID-WSF 2.0: add files
	  soap_binding.c, soap_binding.h
	  
	  * lasso/id-wsf-2.0/Makefile.am
	  - reference new source files in Makefile.am
	  * lasso/id-wsf-2.0/soap_binding.c
	  * lasso/id-wsf-2.0/soap_binding.h:
	  - add extraction functions
	  lasso_soap_envelope_sb2_get_provider_id,
	  lasso_soap_envelope_sb2_get_redirect_request_url,
	  lasso_soap_envelope_sb2_get_target_identity_header,
	  lasso_soap_envelope_add_action and
	  lasso_soap_envelope_get_action.
	  - add SOAP security headers accessors
	  - add lasso_soap_envelope_get_saml2_security_token which simplify
	  retrieving a SAML 2.0 assertion used as a WS-Security token.
	  complete documentation of other functions.
	  * docs/reference/lasso/lasso-sections.txt:
	  - reference the new functions in a new section soap_binding2
	  * docs/reference/lasso/lasso-docs.sgml:
	  - add new section soap_binding2
	  
	  ID-WSF 2.0: in soap_binding.{c,h}: add function

2010-01-04 09:14  bdauvergne

	* lasso/id-wsf/id_ff_extensions.c: ID-WSF: in id_ff_extensions.c,
	  add SECTION gtk-doc declaration

2010-01-04 09:14  bdauvergne

	* lasso/id-wsf/interaction_profile_service.c,
	  lasso/id-wsf/interaction_profile_service.h: ID-WSF: in
	  interaction_profile_service.{c,h}, make initialization of a
	  redirect request, part of LassoWsfProfile methods.

2010-01-04 09:14  bdauvergne

	* lasso/id-wsf/discovery.c: ID-WSF: in
	  discovery.c:lasso_discovery_init_resource_offering, add doc
	  annotations, use assignment macros to set output argument

2010-01-04 09:14  bdauvergne

	* lasso/id-wsf/discovery.c: ID-WSF: in discovery.c, update
	  documentation annotations
	  
	  * lasso/id-wsf/discovery.c:
	  - add annotations to lasso_discovery_init_query,
	  lasso_discovery_init_modify, lasso_discovery_process_request_msg.
	  - initialize response in lasso_discovery_process_query_mesg and
	  lasso_discovery_process_modify_msg, so that modifications of the
	  response can be done between _process_ and _build_ calls.

2010-01-04 09:14  bdauvergne

	* docs/reference/lasso/lasso-sections.txt,
	  lasso/id-wsf/data_service.c, lasso/id-wsf/data_service.h: ID-WSF:
	  in data_service.c:lasso_data_service_init_query check absent
	  resource offering, support security_mech_id argument
	  
	  * lasso/id-wsf/data_service.c lasso/id-wsf/data_service.h:
	  - in lasso_data_service_apply_modifications, dst_modification
	  initialization is missing.
	  - remove lasso_data_service_get_redirect_request_url
	  - change LASSO_DATA_SERVICE_CANNOT_ADD_ITEM to
	  LASSO_DATA_SERVICE_ERROR_CANNOT_ADD_ITEM
	  - in lasso_data_service_init_query, complete documentation, fix
	  mem
	  leak
	  - factorize code between
	  lasso_data_service_build_modify_response_msg
	  and lasso_data_service_build_query_response_msg, create
	  lasso_data_service_build_response_msg
	  - in lasso_data_service_get_answer, add out annotation to output
	  parameter
	  - simplify API, simplify code path for query and modification
	  processing
	  - add lasso_data_service_process_request_msg,
	  lasso_data_service_build_modify_response_msg,
	  lasso_data_service_validate_request.
	  - remove lasso_data_service_process_query_msg and
	  lasso_data_service_process_modify_msg from public API.
	  - in lasso_data_service_process_query_msg and
	  lasso_data_service_process_modify_msg add arg checks, make them
	  static and move preprocessing of the request in
	  lasso_data_service_process_request_msg.
	  - in lasso_data_service_get_answer, fix request/response
	  mismatch.
	  - add accessors lasso_data_service_set_resource_data and
	  lasso_data_service_get_resource_data.
	  - add securit_mech_id arg to data_service_init_modify, export
	  resource_data accessor methods
	  - remove lasso_data_service_get_redirect_request_url
	  - fix missing intializations and leaks

2010-01-04 09:14  bdauvergne

	* lasso/id-wsf/wsf_profile.c: ID-WSF: in wsf_profile.c, fix mem
	  leaks

2010-01-04 09:14  bdauvergne

	* lasso/xml/dst_modification.c: ID-WSF XML: in dst_modification.c,
	  add SNIPPET_BOOLEAN to overrideAllowed attribute snippet

2010-01-04 09:14  bdauvergne

	* lasso/xml/dst_modify.c, lasso/xml/dst_modify.h: ID-WSF XML: in
	  dst_modify.{c,h}, remove extra argument to the constructor of
	  LassoDstModify
	  
	  * lasso/xml/dst_modify.c:
	  * lasso/xml/dst_modify.h:
	  remove parameters of the default constructor.

2010-01-04 09:14  bdauvergne

	* tests/login_tests.c: Tests: in tests/login_tests.c, change path
	  of header utils.h

2010-01-04 09:14  bdauvergne

	* tests/basic_tests.c: Tests: in basic_tests.c, fix, do not
	  overwrite known elements mappings
	  
	  * tests/basic_tests.c:
	  when testing functionality of lasso registries which map
	  namespace
	  elements to lasso objects, do not use liberty namespace because
	  it
	  interacts with other tests -- deserialization of lib:Assertion
	  node
	  was broken by this test -- when running them in CK_FORK=no mode.
	  Changed namespace LASSO_LIB_HREF, for "coin" which is less
	  dangerous.

2010-01-04 09:14  bdauvergne

	* lasso/xml/ws/wsa_attributed_uri.c,
	  lasso/xml/ws/wsa_attributed_uri.h,
	  lasso/xml/ws/wsa_endpoint_reference.c: WS XML: change signature
	  of lasso_wsa_attributed_uri_new_with_string, add mappings
	  
	  * wsa_attributed_uri.c:
	  - constify first argument of
	  lasso_wsa_attributed_uri_new_with_string.
	  - add add direct mappings from wsa:Action,wsa:To to
	  LassoWsAddrAttributedURI and from
	  wsa:From,wsa:ReplyTo,wsa:FaultTo
	  to LassoWsAddrEndpointReference

2010-01-04 09:14  bdauvergne

	* lasso/saml-2.0/login.c: SAML 2.0: in login.c, use
	  lasso_server_saml2_assertion_setup_signature

2010-01-04 09:14  bdauvergne

	* lasso/xml/private.h: XML: in private.h, remove duplicate
	  declaration of lasso_xml_parse_memory

2010-01-04 09:14  bdauvergne

	* lasso/xml/lib_assertion.c: ID-FF XML: in lib_assertion.c, add
	  registry mapping for lib:AssertionType
	  
	  * xml/lib_assertion.c:
	  this object is really a container for lib:AssertionType, so
	  register
	  it.

2010-01-04 09:14  bdauvergne

	* lasso/id-ff/provider.c, lasso/id-ff/provider.h: Core: in
	  provider.c, add lasso_provider_verify_single_node_signature
	  
	  * lasso/id-ff/provider.c lasso/id-ff/provider.h:
	  add a new function to check an enclosed single signature on a
	  LassoNode, given that the LassoNode retained its original xml
	  node
	  content.

2010-01-04 09:14  bdauvergne

	* lasso/saml-2.0/login.c: SAML 2.0: in login.c, fix memleaks
	  
	  * lasso/saml-2.0/login.c:
	  return value from lasso_provider_get_sp_name_qualifier must be
	  freed.

2010-01-04 09:14  bdauvergne

	* lasso/saml-2.0/login.c: SAML 2.0: in login.c, remove discovery
	  bootstrap handling

2010-01-04 09:14  bdauvergne

	* docs/reference/lasso/lasso-sections.txt, lasso/id-ff/login.c,
	  lasso/id-ff/login.h, lasso/saml-2.0/login.c: Core Login: in
	  login.c, add assertion accessor
	  
	  * docs/reference/lasso/lasso-sections.txt:
	  declare new function
	  * lasso/id-ff/login.c lasso/id-ff/login.h:
	  add new function lasso_login_get_assertion.
	  * lasso/saml-2.0/login.c:
	  store created assertions
	  * lasso/id-ff/login.h:
	  make assertion field private for bindings.

2010-01-04 09:14  bdauvergne

	* docs/reference/lasso/lasso-sections.txt,
	  lasso/saml-2.0/Makefile.am, lasso/saml-2.0/saml2_helper.c,
	  lasso/saml-2.0/saml2_helper.h: SAML 2.0: in saml2_helper.c, add
	  new methods to manipulate SAML2 assertions
	  
	  * lasso/saml-2.0/saml2_helper.c lasso/saml-2.0/saml2_helper.h:
	  - add lasso_server_saml2_assertion_setup_signature, to help in
	  defining signature upon saml2:Assertion nodes.
	  - add new symbols LASSO_DURATION_MINUTE, LASSO_DURATION_HOUR,
	  LASSO_DURATION_DAY, LASSO_DURATION_WEEK.
	  - add method lasso_saml2_assertion_add_attribute_with_node
	  
	  * docs/reference/lasso/lasso-sections.txt:
	  declare new functions in saml2_helper section.

2010-01-04 09:14  bdauvergne

	* tests/basic_tests.c: Tests: in basic_tests.c, check
	  LassoSaml2EncryptedElement handling

2010-01-04 09:14  bdauvergne

	* lasso/xml/saml-2.0/saml2_encrypted_element.c: SAML 2.0 XML: map
	  EncryptedID, EncryptedAssertion, EncryptedAttribute and
	  NewEncryptedID element to saml2:EncryptedElement
	  
	  * lasso/xml/saml-2.0/saml2_encrypted_element.c:
	  add registry mapping from EncryptedID, EncryptedAssertion,
	  EncryptedAttribute and NewEncryptedID element to
	  saml2:EncryptedElement

2010-01-04 09:14  bdauvergne

	* lasso/xml/strings.h: SAML 2.0 XML: in strings.h, add the
	  identifier for the holder of key subject confirmation method

2010-01-04 09:14  bdauvergne

	* docs/reference/lasso/lasso-sections.txt,
	  lasso/saml-2.0/Makefile.am, lasso/saml-2.0/provider.c,
	  lasso/saml-2.0/provider.h: SAML 2.0: in provider.c, add node
	  encryption function and reference it in doc
	  
	  * lasso/saml-2.0/Makefile.am:
	  add new header provider.h
	  * lasso/saml-2.0/provider.c lasso/saml-2.0/provider.h:
	  add new function lasso_provider_saml2_node_encrypt to encrypt
	  nodes
	  and encapslutate the XML Enc datas in a
	  LassoSaml2EncryptedElement
	  node.
	  * docs/reference/lasso/lasso-sections.txt:
	  add function to saml2_utils section

2010-01-04 09:14  bdauvergne

	* lasso/xml/ws/wsa_attributed_uri.c,
	  lasso/xml/ws/wsa_endpoint_reference.c: WS XML: add forgotten
	  include file to wsa_attributed_uri.c and wsa_endpoint_reference.c

2010-01-04 09:14  bdauvergne

	* lasso/errors.c, lasso/errors.h: WS Errors: in errors.h errors.c,
	  add new error section for WS-Security handling

2010-01-04 09:14  bdauvergne

	* lasso/id-ff/server.c, lasso/id-ff/server.h: Core: in server.c,
	  change signature of lasso_server_get_provider, add anottations on
	  return value
	  
	  * lasso/id-ff/server.h lasso/id-ff/server.c:
	  - constify first argument of lasso_server_get_provider
	  - add annotation about caller owned return value

2010-01-04 09:14  bdauvergne

	* lasso/xml/tools.c: Core: in tools.c, complete documentation of
	  lasso_verify_signature

2010-01-04 09:14  bdauvergne

	* lasso/id-ff/provider.c, lasso/id-ff/providerprivate.h: Core: in
	  provider.c, add accessors for encryption informations
	  
	  * lasso/id-ff/provider.c:
	  add getters for encryption_sym_key_type and
	  encryption_public_key.
	  * lasso/id-ff/providerprivate.h:
	  declare new accessors.

2010-01-04 09:13  bdauvergne

	* lasso/xml/xml.c, lasso/xml/xml.h: Core XML: in xml.{c,h}, add new
	  function lasso_node_get_name to get the element name for an
	  object

2010-01-04 09:13  bdauvergne

	* lasso/xml/misc_text_node.c, lasso/xml/misc_text_node.h: Core XML:
	  make first argument of lasso_misc_text_node_new_with_string const
	  
	  * lasso/xml/misc_text_node.h lasso/xml/misc_text_node.c:
	  change signature of lasso_misc_text_node_new_with_string, string
	  argument is const.

2010-01-04 09:13  bdauvergne

	* lasso/xml/private.h, lasso/xml/tools.c: Core XML: in xml/tools.c,
	  add conversion method from iso8601 to time_t
	  
	  * lasso/xml/tools.c:
	  add function lasso_iso_8601_gmt_to_time_t
	  * lasso/xml/private.h:
	  declare new function.

2010-01-04 09:13  bdauvergne

	* lasso/xml/xml.c, lasso/xml/xml.h: Core XML: in xml.c, keep
	  original node names, handle xsi:type attribute better
	  
	  * lasso/xml/xml.c lasso/xml/xml.h:
	  - fix signature of lasso_node_set_original_xmlnode, fix signature
	  in
	  documentation of lasso_node_set_original_xmlnode;
	  - add a new API lasso_node_set_custom_nodename to specify the
	  exact
	  element name to use when serializing a LassoNode to XML.
	  - rename internal structure _CustomNamespace to _CustomElement,
	  add a
	  nodename field to it.
	  - rework internal functions around _CustomElement to be aware of
	  an
	  existing attached _CustomElement and re-use if needed.
	  - move application of _CustomElement hints after the
	  serialization of
	  the node, so that the normal behaviour of the serialization is
	  kept
	  -- i.e. do not play with the list of parent classes.
	  
	  - use the full xsi:type content to find a LassoNode subclass when
	  de-serializaing XML content, factorize QName->GObject class
	  mapping
	  for the three executions paths inside
	  _type_name_from_href_and_nodename:
	  - element QName,
	  - xsi:type QName,
	  - element name with xsi:type namespace
	  - add a long comment expliciting the way the mapping is done.
	  - remove direct mapping of EncryptedAssertion element, the
	  registry
	  declaration on the class LassoSaml2EncryptedElement shoud be
	  enough.

2010-01-04 09:13  bdauvergne

	* lasso/xml/xml.c: Core XML: in xml.c, parse attributes with
	  namespace checking
	  
	  * lasso/xml/xml.c:
	  - use snippet->ns_uri and snippet->ns_name to parse attributes
	  outside of the parent node namespace.

2010-01-04 09:13  bdauvergne

	* lasso/xml/tools.c: Core XML: in xml/tools.c, improve
	  lasso_eval_xpath_expression, do not fail when nodeset is empty
	  
	  * lasso/xml/tools.c:
	  only check that the query returned a nodeset object, do not check
	  its
	  content size.

2010-01-04 09:13  bdauvergne

	* lasso/utils.c, lasso/utils.h: Core: in utils.h, add a macros, fix
	  existing
	  
	  * lasso/utils.h:
	  - add macro lasso_ref(object), if object is not null, call
	  g_object_ref on it, and return the value, otherwise do nothing
	  and
	  return NULL.
	  - make a better reporting of bad object release
	  - change format type for __LINE__ and dest arguments in
	  lasso_release_gobject warning display.
	  - add a lasso_check_non_empty_string macro
	  - add new macro to extract a specific node type from a list of
	  GObject objects.
	  - use xmlStrdup not g_strdup for lasso_assign_xml_string
	  - add lasso_list_add_gstrv and lasso_check_good_rc
	  - add macro lasso_list_get_first_child
	  - add inline function to test empty string
	  - change macro lasso_check_non_empty_string to use the new inline
	  function and go to cleanup
	  - fix lasso_check_non_empty_string macro
	  * lasso/utils.c:
	  - add lasso_gobject_is_of_type returns 0 if first parameters is a
	  gobject whose GType is equal to the second parameter, and 1
	  otherwise.

2010-01-04 09:13  bdauvergne

	* lasso/errors.c, lasso/errors.h: Core: add new errors
	  LASSO_PROFILE_ERROR_INVALID_RESPONSE,
	  LASSO_PROFILE_ERROR_INVALID_REQUEST.

2010-01-04 09:13  bdauvergne

	* bindings/bindings.py, bindings/java/lang.py,
	  bindings/php5/wrapper_source.py, bindings/utils.py: Bindings: in
	  bindings.py, parse '(in)' gobject-introspection annotation, in
	  utils.py, use it to reverse default annotation for pointer of
	  pointers
	  
	  Bindings: in bindings.py, improve regular expression for
	  declarations
	  
	  Bindings: parse gobject-introspection annotation in return value
	  documentation, add cast to C calls when parameter type is const
	  in java
	  binding, problem arise with const char ** arrays

2010-01-04 09:13  bdauvergne

	* bindings/bindings.py: Bindings: do not stop on failing to parse a
	  declaration, but skip the function and print a warning

2010-01-04 09:13  bdauvergne

	* bindings/python/wrapper_top.c: Python binding: add a
	  pyobject->time_t conversion function

2010-01-04 09:13  bdauvergne

	* bindings/python/wrapper_top.c: Bindings python: in wrapper_top.c,
	  mark internal function as potentially unused

2010-01-04 09:13  bdauvergne

	* bindings/bindings.py, bindings/java/lang.py,
	  bindings/overrides.xml, bindings/php5/php_code.py,
	  bindings/php5/wrapper_source.py, bindings/python/lang.py,
	  bindings/python/tests/Makefile.am,
	  bindings/python/tests/idwsf1_tests.py,
	  bindings/python/tests/idwsf2_tests.py, bindings/utils.py:
	  Bindings: make the binding infrastructure understand
	  GObject-introspections annotations
	  
	  * bindings/bindings.py
	  * bindings/utils.py:
	  add convenience function to treat arguments tuple:
	  (type,name,{annotations}).
	  introduce new argument options, fix that arguments are 3-tuple of
	  the
	  form (type,name,annotations), where annotations is a dictionary.
	  Key of this dictionnary can be:
	  - optional, wheter the argument is necessary, it means it has a
	  default value.
	  - out, means that the pointer is a pointer of pointer, for
	  bindings
	  that can return exceptions, it will be returned instead of the
	  integer error code, the only way to access error codes will be
	  exceptions.
	  - element-type, contained type of a list or an array,
	  - key-type, value-type, type of respectively the key and value of
	  a
	  GHashTable.
	  - transfer, wheter a the callee(for arguments)/caller(for return
	  values) owns the values passed, it can be none,container(if the
	  callee/caller only owns the container not the contained value) or
	  full.
	  doc.parameters is now a 3-tuple of (attribute-name,
	  attribute-description, attribute-annotations) where
	  attribute-annotations is a string of the form '(option1)(option2
	  option-arguments) etc.'.
	  - add predicates for xml, list and time_t values. improve
	  predicates
	  for cstring and const modifier.
	  
	  * bindings/overrides.xml:
	  'out' arguments are not well supported for java, so skip
	  functions
	  using them.
	  
	  * bindings/java/lang.py bindings/php5/php_code.py
	  bindings/php5/wrapper_source.py bindings/python/lang.py:
	  - update language specifig binding generators for handling new
	  annotations.
	  - improve python method declaration, handle optional arguments
	  with
	  default values, factorize this chode in two methods,
	  get_python_arg_decl and defval_to_python_value.
	  
	  * bindings/python/tests/Makefile.am
	  bindings/python/tests/idwsf1_tests.py
	  bindings/python/tests/idwsf2_tests.py:
	  make test work with out of source build dir.

2010-01-04 09:13  bdauvergne

	* docs/reference/lasso/lasso-docs.sgml: Documentation: in
	  lasso-docs.sgml, add glossary to the index, add book part
	  delimitations
	  
	  * docs/reference/lasso/lasso-docs.sgml:
	  add the glossary to the index.

2010-01-04 09:13  bdauvergne

	* lasso/registry.c: Core: in registry.c, change type cast to
	  compile on amd64 platform
	  
	  * registry.c:
	  use ptrdiff_t to cast to integer big enough to receive a pointer,
	  then apply integer operations, then cast to the pointer type
	  expected
	  by g_direct_hash.

2009-12-16 09:28  bdauvergne

	* lasso/utils.h: Core: in utils.h, change __STRING(x) for #x
	  
	  * lasso/utils.h:
	  __STRING(x) does not seem more portable than #x so change,
	  problem
	  with AIX.

2009-12-09 06:51  bdauvergne

	* configure.ac: Downgrade version 2.2.90 to make a pre-release

2009-12-08 10:15  bdauvergne

	* tests/tests.h: in tests/tests.h, Add checks for true and false
	  conditions

2009-12-08 10:14  bdauvergne

	* bindings/bindings.py, bindings/php4/Makefile.am,
	  bindings/php4/__init__.py, bindings/php4/_lasso.h,
	  bindings/php4/lang.py, bindings/php4/lasso_php4_helper.c: Remove
	  beginning of a PHP4 binding

2009-12-08 09:19  bdauvergne

	* configure.ac: Upgrade version number

2009-12-08 09:19  bdauvergne

	* lasso/xml/id-wsf-2.0/Makefile.am, lasso/xml/ws/Makefile.am: Add
	  missing headers to makefile, to pass make distcheck
	  
	  * lasso/xml/id-wsf-2.0/Makefile.am:
	  make xml_idwsf2.h appear in the distribution file
	  * lasso/xml/ws/Makefile.am:
	  make xml_ws.h appear in the distribution file

2009-12-04 09:05  bdauvergne

	* lasso/saml-2.0/profile.c: in
	  lasso_saml20_profile_export_to_query, checks return values
	  
	  * lasso/saml-2.0/profile.c:
	  in lasso_saml20_profile_export_to_query, check return value of of
	  lasso_node_build_query and lasso_query_sign.

2009-12-01 02:06  bdauvergne

	* tests/Makefile.am, tests/login_tests_saml2.c, tests/tests.h: Add
	  SP initiated logout test to SAML 2.0 regression tests
	  
	  * tests/login_tests_saml2.c:
	  add logout to first SAML 2.0 login regression test.
	  * tests/tests.h:
	  add macros to simplify checking of return value with check macros
	  (encapsulate fail_unless macro to check for NULL/non-NULL values
	  and
	  good rc value (0) or expected bad value).

2009-11-30 22:58  bdauvergne

	* lasso/id-ff/profile.c: Restore ancient semantic of
	  lasso_profile_is_session_dirty
	  
	  * lasso/id-ff/profile.c:
	  lasso_is_session_dirty must return FALSE if session is NULL.

2009-11-30 22:58  bdauvergne

	* lasso/id-ff/login.c: Fix double g_object_unref
	  
	  * lasso/id-ff/login.c:
	  status is already freed by lasso_assign_gobject, do not free it
	  first
	  with lasso_node_destroy.

2009-11-30 15:16  bdauvergne

	* autogen.sh: Restore call to autoheader in autogen.sh
	  
	  * autogen.sh:
	  call to autoheader was removed during simplification of the
	  autogen.sh script.

2009-11-30 15:16  bdauvergne

	* lasso/saml-2.0/profile.c: Remove message level signature on
	  redirect messages
	  
	  * lasso/saml-2.0/profile.c:
	  remove message level signatures before building query strings.

2009-11-30 15:16  bdauvergne

	* lasso/saml-2.0/profile.c: Add more check to remove_signature
	  
	  * lasso/saml-2.0/profile.c:
	  check for NULL when accessing klass datas.

2009-11-02 15:18  bdauvergne

	* lasso/xml/tools.c: Augment query string limit for relaystate
	  extraction to 8192 bytes
	  
	  * lasso/xml/tools.c:
	  some application transfer relaystate longer thant the
	  specification
	  advised 80 bytes, try to cater for their needs.

2009-11-02 15:18  bdauvergne

	* lasso/xml/tools.c: Add documentation for
	  lasso_get_relaystate_from_query
	  
	  * lasso/xml/tools.c:
	  add documentation on the internal function
	  lasso_get_relaystate_from_query

2009-10-30 15:04  bdauvergne

	* lasso/xml/strings.h: Add C defines for SAML 2 'unspecified'
	  authncontext class
	  
	  * lasso/xml/strings.h:
	  add C defines for AuhtnContextClassRef,
	  urn:oasis:names:tc:SAML:2.0:ac:classes:unspecified.

2009-10-30 14:55  bdauvergne

	* lasso/saml-2.0/name_id_management.c: Fix bad macro choice,
	  precise error for bad formatted NIDM request
	  
	  * saml-2.0/name_id_management.c:
	  use specialized lasso_saml20_profile_set_response_status
	  set 'MissingNameID' second level error with requester first level
	  error code when request is missing a name id.

2009-10-30 14:47  bdauvergne

	* lasso/xml/xml.c: Fix reporting of error in message parsing
	  
	  * lasso/xml/xml.c:
	  do not mix the return code from xmlSecBase64Decode and the return
	  code for lasso_node_init_from_message_with_format.
	  It fixes a segmentation fault in
	  lasso_login_process_authn_request_msg.

2009-10-30 14:47  bdauvergne

	* lasso/id-ff/profile.c, lasso/id-ff/provider.c,
	  lasso/id-ff/provider.h, lasso/saml-2.0/login.c: Core: factorize
	  code to obtain a SPNameQualifier
	  
	  * lasso/id-ff/provider.c lasso/id-ff/provider.h:
	  add a method giving the SPNameQualifier for a provider (its
	  entity id
	  or its affiliation id).
	  
	  * lasso/id-ff/profile.c:
	  * lasso/saml-2.0/login.c:
	  update use sites.

2009-10-30 14:47  bdauvergne

	* configure.ac: Make php4 and perl binding disabled by default
	  
	  * configure.ac:
	  make default for --enable-perl and --enable-php4 to "no". Those
	  binding will not be maintained in the future.

2009-10-30 14:47  bdauvergne

	* lasso/saml-2.0/logout.c: SAML2 Logout: initialize SessionIndex
	  from the assertion
	  
	  * lasso/saml-2.0/logout.c:
	  when creating a logout request message initialize the
	  SessionIndex
	  element with the correponding content in the stored assertion for
	  this session.

2009-10-30 14:47  bdauvergne

	* tests/integration/saml2/__init__.py: Tests: fix __FILE__ ->
	  __file__
	  
	  * tests/integration/saml2/__init__.py:
	  path to the current python file is __file__ not __FILE__.

2009-10-30 14:47  bdauvergne

	* lasso/saml-2.0/assertion_query.c, lasso/saml-2.0/login.c,
	  lasso/saml-2.0/logout.c, lasso/saml-2.0/name_id_management.c,
	  lasso/saml-2.0/profile.c, lasso/saml-2.0/profileprivate.h: SAML2:
	  change lasso_saml20_profile_set_response_status signature
	  
	  * lasso/saml-2.0/profile.c:
	  * lasso/saml-2.0/profileprivate.h:
	  make lasso_saml20_profile_set_response_status2 the new
	  implementation
	  of lasso_saml20_profile_set_response_status.
	  add helper macros to set success, responder and requester first
	  level
	  status code.
	  * saml-2.0/assertion_query.c:
	  * saml-2.0/login.c:
	  * saml-2.0/logout.c:
	  * saml-2.0/name_id_management.c:
	  adapt consumers to the new signature.

2009-10-30 14:47  bdauvergne

	* lasso/id-ff/logout.c, lasso/id-ff/logoutprivate.h: ID-FF: add a
	  partial_logout flag to LassoLogout private_data
	  
	  * lasso/id-ff/logout.c:
	  * lasso/id-ff/logout.h:
	  add a flag to store the status of a partial logout

2009-10-30 14:47  bdauvergne

	* lasso/xml/saml-2.0/saml2_name_id.c,
	  lasso/xml/saml-2.0/saml2_name_id.h: SAML2: add an equals operator
	  to the NameID class
	  
	  * lasso/xml/saml-2.0/saml2_name_id.c:
	  * lasso/xml/saml-2.0/saml2_name_id.h:
	  add a lasso_saml2_name_id_equals method which return TRUE if two
	  NameId are equal.

2009-10-30 14:47  bdauvergne

	* lasso/saml-2.0/profile.c: SAML2: use the static get_provider
	  helper method in generic profile methods
	  
	  * lasso/saml-2.0/profile.c:
	  instead of accessing directly profile->server use the helper
	  method
	  get_provider.

2009-10-30 14:47  bdauvergne

	* lasso/saml-2.0/logout.c: SAML2: in logout_build_response_msg do
	  not fail on missing remote_providerID
	  
	  * lasso/saml-2.0/logout.c:
	  remote_providerId is verified in build_redirect_simple and is not
	  necessary for SOAP response with a failure and profile->response
	  cannot be null (we just created a response if it was missing).
	  So this error case is now unnecessary.

2009-10-30 14:47  bdauvergne

	* lasso/errors.h, lasso/id-ff/defederation.c, lasso/id-ff/lecp.c,
	  lasso/id-ff/login.c, lasso/id-ff/logout.c,
	  lasso/id-ff/name_identifier_mapping.c,
	  lasso/id-ff/name_registration.c, lasso/id-wsf/wsf_profile.c,
	  lasso/saml-2.0/assertion_query.c, lasso/saml-2.0/ecp.c,
	  lasso/saml-2.0/login.c, lasso/saml-2.0/logout.c,
	  lasso/saml-2.0/profile.c: ID-FF1.2 and SAML2: remove direct
	  access to profile->server->providers
	  
	  * client of LassoServer should use lasso_server_get_provider.
	  * LASSO_PROFILE_ERRROR_UNKNOWN_PROVIDER was a mistake, it is
	  superfluous, use LASSO_SERVER_ERROR_PROVIDER_NOT_FOUND.

2009-10-30 14:47  bdauvergne

	* lasso/id-ff/profile.c: Core: in profile, use
	  lasso_server_get_provider
	  
	  - lasso/id-ff/profile.c:
	  replace direct access to server->provider by
	  lasso_server_get_provider.

2009-09-29 13:20  bdauvergne

	* tests/basic_tests.c, tests/data/sp5-saml2/metadata.xml: Tests:
	  add a test of NameIDFormat extraction
	  
	  - tests/basic_test.c:
	  add test11_get_default_name_id_format which parse a metadata file
	  and
	  try to extract the default name id format.
	  - tests/data/sp5-saml2/metadata.xml:
	  add NameIDFormat node for testing.

2009-09-29 13:20  bdauvergne

	* lasso/id-ff/logout.c, lasso/id-ff/provider.c,
	  lasso/id-ff/provider.h, lasso/saml-2.0/logout.c,
	  lasso/saml-2.0/provider.c: Core: add const modifier to return
	  value of lasso_provider_get_metadata_list
	  
	  - lasso/id-ff/provider.c lasso/id-ff/provider.h:
	  change return type of lasso_provider_get_metadata_list from
	  GList* to
	  const GList*.
	  - lasso/id-ff/logout.c lasso/saml-2.0/logout.c
	  lasso/saml-2.0/provider.c:
	  change consumers of the API

2009-09-29 13:20  bdauvergne

	* lasso/id-ff/provider.c, lasso/id-ff/provider.h,
	  lasso/saml-2.0/provider.c, lasso/saml-2.0/providerprivate.h:
	  Core: Add const modifiers to LassoProvider methods
	  
	  * lasso/id-ff/provider.c lasso/id-ff/provider.h
	  lasso/saml-2.0/provider.c lasso/saml-2.0/provider.h:
	  add const modifier where they could be added.

2009-09-29 13:20  bdauvergne

	* lasso/id-ff/federation.c, lasso/id-ff/logout.c,
	  lasso/id-ff/profile.c, lasso/id-ff/provider.c,
	  lasso/id-ff/server.c, lasso/id-ff/session.c,
	  lasso/id-wsf/authentication.c, lasso/saml-2.0/ecp.c,
	  lasso/xml/xml.c: Do not use g_new, use g_new0
	  
	  * lasso/id-ff/federation.c:
	  * lasso/id-ff/logout.c:
	  * lasso/id-ff/profile.c:
	  * lasso/id-ff/provider.c:
	  * lasso/id-ff/server.c:
	  * lasso/id-ff/session.c:
	  * lasso/id-wsf/authentication.c:
	  * lasso/saml-2.0/ecp.c:
	  * lasso/xml/xml.c:
	  even for private datas, use g_new0, it is safer.

2009-09-29 13:20  bdauvergne

	* lasso/id-ff/login.c, lasso/saml-2.0/login.c: Change setting of
	  default NameIDFormat for SAML 2.0 login
	  
	  * saml-2.0/login.c:
	  in lasso_saml20_login_init_authn_request,
	  lasso_saml20_login_init_idp_initiated_authn_request, if the
	  service
	  provider provided a list of supported name id formats, use the
	  first
	  one as default for new AuthnRequest.
	  * id-ff/login.c:
	  modify documentation to report the new way of choosing a default.

2009-09-29 13:20  bdauvergne

	* lasso/id-ff/provider.c, lasso/id-ff/provider.h: Add method to
	  Provider to retrieve default NameIDFormat
	  
	  * lasso/id-ff/provider.c lasso/id-ff/provider.h:
	  add lasso_provider_get_default_name_id_format, which returns the
	  firs
	  listed NameIDFormat from the SAML 2.0 metadatas of the provider.

2009-09-29 13:12  bdauvergne

	* lasso/id-ff/login.c: Complete documentation of
	  lasso_login_init_authn_request concerning the NameIDFormat
	  
	  * lasso/id-ff/login.c:
	  in lasso_login_init_authn_request, add docbook formatting, add
	  remarks about the different NameIDFormat for ID-FF 1.2 and SAML
	  2.0.

2009-09-17 15:05  bdauvergne

	* lasso/id-ff/provider.c, lasso/id-wsf-2.0/data_service.c,
	  lasso/saml-2.0/login.c, lasso/saml-2.0/name_id_management.c,
	  lasso/xml/saml-2.0/saml2_assertion.c, lasso/xml/tools.c,
	  lasso/xml/xml.c: Fix bugs found via coverity (thanks to Bhaskar
	  Jain)
	  
	  * lasso/id-wsf-2.0/data_service.c: fix uninitialized res variable
	  in
	  lasso_idwsf2_data_service_process_query_response_soap_fault_msg.
	  * lasso/xml/saml-2.0/saml2_assertion.c: fix uninitialized rc
	  variable
	  in get_xmlNode.
	  * lasso/saml-2.0/login.c:
	  in lasso_saml20_login_accept_sso check for ni and ni->Format
	  null-ness before dereferencing, remove idp_ni which is not used
	  anymore.
	  remote all use of federation->remote_nameIdentifier, SAML 2.0
	  only
	  need one NameID, and it will be local_nameIdentifier.
	  * lasso/xml/xml.c:
	  in lasso_node_traversal, check null-ness of node before
	  dereferencing
	  it, add check for class null-ness also.
	  * lasso/id-ff/provider.c:
	  in lasso_provider_get_first_http_method, remove useless check for
	  t2
	  null-ness -- if found is TRUE, t1 and t2 cannot be null.
	  * lasso/xml/tools.c:
	  in lasso_sign_node, add documentation, check for private_key_file
	  and
	  xmlnode null-ness.
	  in lasso_get_public_key_from_private_key_file, add a cleanup
	  phase,
	  check for cert variabl null-ness befor appending, count the
	  number of
	  certificates added.
	  in lasso_query_verify_signature, check that URL unescaping and
	  base64
	  decoding are succesfull before using the decoded strings.
	  * lasso/saml-2.0/name_id_management.c:
	  in lasso_name_id_management_validate_request, fix mis-handling of
	  federation, if federation does not match request name_id, return
	  UNKNOWN_PRINCIPAL.

2009-09-17 09:38  bdauvergne

	* lasso/id-wsf-2.0/session.c: ID-WSF: finish unsealing field «
	  is_dirty » of LassoSession
	  
	  * lasso/id-wsf-2.0/session.c:
	  remove direct acces to LassoSession private field.

2009-09-11 15:51  bdauvergne

	* lasso/id-ff/session.c, lasso/id-ff/session.h,
	  lasso/id-ff/sessionprivate.h: Core: unseal LassoSession public
	  field
	  
	  * lasso/id-ff/session.c:
	  * lasso/id-ff/session.h:
	  * lasso/id-ff/sessionprivate.h:
	  unseal session->is_dirty and session->assertions, remove the
	  mirror
	  version in the private data structure, and restore direct acces
	  by
	  methods.
	  move the "private" comment before those two fields to hide them
	  in
	  the gtk-doc reference manual, normal access should be done by
	  get_assertion and is_dirty methods.

2009-09-11 15:51  bdauvergne

	* lasso/xml/disco_send_single_logout.c,
	  lasso/xml/id-wsf-2.0/sb2_user_interaction_header.c,
	  lasso/xml/id-wsf-2.0/subsref_app_data.c, lasso/xml/xml.c: XML
	  ID-WSF: Fix parsing of most ID-WSF elements
	  
	  * lasso/xml/disco_send_single_logout.c:
	  * lasso/xml/id-wsf-2.0/sb2_user_interaction_header.c:
	  * lasso/xml/id-wsf-2.0/subsref_app_data.c:
	  * lasso/xml/xml.c:
	  lots of ID-WSF 1.0/2.0 classes were not passing the new
	  non-regression test on serialization/deserialization.
	  The main reason was the absence of mapping for their namespace in
	  the
	  prefix_from_href_and_nodename function. The other reason is that
	  some
	  class name does not correspond 1-to-1 to the element name
	  (SendSingleLogOut vs. SendSingleLogout, notice the capitalised
	  'O').
	  
	  The last problem was that mapping from nodes to GObject classes
	  was
	  done after default mapping ("Lasso<prefix><node_name>"), now it's
	  done before, to reflect the fact that it is a more specialized
	  mapping.

2009-09-11 15:51  bdauvergne

	* lasso/registry.c: Core: remove warning when
	  lasso_registry_get_direct_mapping fails
	  
	  * lasso/registry.c (lasso_registry_get_direct_mapping):
	  g_return_val_if_fail output a warning when condition fails, use a
	  simple if instead.

2009-09-11 15:51  bdauvergne

	* tests/random_tests.c: Tests: add more assertion to random test
	  
	  * tests/random_tests.c:
	  add more assertion testing for various return values or field
	  values.

2009-09-11 15:51  bdauvergne

	* lasso/xml/xml.c, tests/basic_tests.c: XML: Fix seg-fault bug
	  introduced in commit 4108
	  
	  * lasso/xml/xml.c:
	  lasso_node_get_xmlnode_for_any_type is broken, if no
	  original_xmlnode
	  is present, return just cur. Also add all missing cases for the
	  state
	  of the pair (cur, orignal_xmlnode).
	  * tests/basic_tests.c:
	  add a non-regression test, testing all dump/restore functions.

2009-09-11 15:51  bdauvergne

	* lasso/utils.h: Core: add new macros to traverse lists
	  
	  * lasso/utils.h:
	  lasso_foreach_full_begin(_type, _data, _iter, _list)
	  traverse GList* _list, using _iter as iteration variable
	  extract data field to variable _data of type _type.

2009-09-11 15:51  bdauvergne

	* tests/Makefile.am: Test: fix Makefile.am to work with 'out of
	  source' build directory
	  
	  * tests/Makefile.am:
	  rpath must refer to the build directory, not the source
	  directory.

2009-09-11 15:51  bdauvergne

	* lasso/extract_symbols.py: Core: fix extract_symbols regular
	  expression
	  
	  * lasso/extract_symbols.py:
	  the regular expression was not matching declaration over multiple
	  lines,
	  and would catch argument starting with lasso_. Fixed.

2009-09-11 15:51  bdauvergne

	* lasso/xml/id-wsf-2.0/xml_idwsf2.h, lasso/xml/ws/xml_ws.h,
	  lasso/xml/xml_idwsf.h: XML: add all inclusive header files for
	  id-wsf2, ws, id-wsf XML elements
	  
	  * lasso/xml/wsf/xml_ws.h:
	  * lasso/xml/id-wsf-2.0/xml_idwsf2.h:
	  * lasso/xml/xml_idwsf.h:
	  new files.

2009-09-11 15:51  bdauvergne

	* lasso/id-wsf-2.0/profile.c, lasso/id-wsf-2.0/profile.h: ID-WSF
	  2.0: add set_request/set_response method to Profile object
	  
	  * lasso/id-wsf-2.0/profile.c:
	  * lasso/id-wsf-2.0/profile.h:
	  add two methods that set the response object and replace the
	  content
	  of the SOAP message with this object.

2009-09-11 15:51  bdauvergne

	* lasso/xml/soap_fault.c, lasso/xml/soap_fault.h: XML SOAP: add new
	  soap fault constructor
	  
	  * lasso/xml/soap_fault.c:
	  * lasso/xml/soap_fault.h:
	  add a full constructor allowing to set faultcode and faultstring
	  in
	  one call.

2009-09-11 15:51  bdauvergne

	* lasso/xml/misc_text_node.c: XML ID-WSF 2.0: make non simple
	  constructor of MiscTextNode return real type
	  
	  * lasso/xml/misc_text_node.c:
	  non simple constructor must return the real object type because
	  Java
	  binding does not work without it.

2009-09-11 15:51  bdauvergne

	* lasso/xml/samlp_request.c: XML SAML 1.1: fix schema figure for
	  samlp:Request

2009-09-11 15:51  bdauvergne

	* docs/reference/lasso-sections.txt.in: Docs: remove old
	  lasso-sections.txt file

2009-09-11 15:51  bdauvergne

	* lasso/id-wsf-2.0/profile.c, lasso/id-wsf-2.0/profile.h: ID-WSF
	  2.0: add accessor for field of LassoIdWsf2Profile
	  
	  * lasso/id-wsf-2.0/profile.c lasso/id-wsf-2.0/profile.c:
	  add two accessor to get to soap_response and soap_request object,
	  next step is to make those two fields really private.

2009-09-11 15:51  bdauvergne

	* lasso/xml/strings.h: ID-WSF: fix duplication of namespace string
	  declaration, add fault codes for WS-Security
	  
	  * lasso/xml/strings.h:
	  namespace of WS-Security 1.0 was duplicated,
	  add specified fault code linked to WS-Security.

2009-09-11 15:51  bdauvergne

	* lasso/xml/Makefile.am, lasso/xml/wsse_security.c,
	  lasso/xml/wsse_security.h, lasso/xml/xml.c: ID-WSF: remove
	  LassoWsseSecurity in favor of LasoWsSec1SecurityHeader
	  
	  * xml/Makefile.am:
	  remove the file from the source list
	  * xml/wsse_security.c:
	  * xml/wsse_security.h:
	  remove the files
	  * xml/xml.c:
	  use LassoWsSec1SecurityHeader for LASSO_WSSE_HREF namespace also.

2009-09-11 15:51  bdauvergne

	* lasso/id-wsf/wsf_profile.c: ID-WSF 1.0: use the common
	  wsse:Security object
	  
	  * lasso/id-wsf/wsf_profile.c:
	  use the common LassoWsSec1SecurityHeader object instead of the
	  specific LassoWsseSecurity, and set the needed namespace using
	  lasso_node_set_custom_namespace.
	  add implementation comments.

2009-09-11 15:51  bdauvergne

	* lasso/xml/ws/wsse_security_header.c: WS: register
	  LassoWsSec1SecurityHeader for all namespace associated to
	  WS-Security
	  
	  * lasso/xml/ws/wsse_security_header.c:
	  register all namespace that contains a Security header object.

2009-09-11 15:51  bdauvergne

	* lasso/xml/xml.c, lasso/xml/xml.h: XML: add an API to set
	  namespace on a single instance of a LassoNode
	  
	  * lasso/xml/xml.h lasso/xml/xml.c:
	  add a new public API lasso_node_set_custom_namespace(node,
	  prefix,
	  href). It allows to set the precise namespace of a single object,
	  all
	  other instance of the same class continue to use the default
	  namespace for the class.
	  It should be used for difficult consumer of certain nodes (like
	  wsse:Security) which only know certain namespace or do not use
	  the
	  namespace going with the specified version of a specification
	  (like
	  MSP not following ID-WSF 1.0 specification and using
	  http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd
	  instead of
	  http://schemas.xmlsoap.org/ws/2003/06/secext.
	  It also allows to share implementation of schema objects common
	  to
	  many version of the same specification (wsse:Security between
	  ID-WSF
	  1.0 and ID-WSF 2.0), without creating too many child classes.

2009-09-11 15:51  bdauvergne

	* lasso/id-wsf-2.0/discovery.h: ID-WSF 2.0: remove obsolete FIXME
	  in discovery.h

2009-09-11 15:51  bdauvergne

	* lasso/id-ff/session.c: Core: remove a use of lasso_node_destroy
	  in LassoSession

2009-09-11 15:51  bdauvergne

	* bindings/java/lang.py, bindings/python/lang.py: Bindings: add
	  support for guchar
	  
	  * bindings/java/lang.py:
	  * bindings/python/lang.py:
	  add guchar to list of C types everywhere.

2009-09-11 15:51  bdauvergne

	* lasso/xml/misc_text_node.c, lasso/xml/misc_text_node.h: XML: add
	  support for free xml content to LassoMiscTextNode
	  
	  * lasso/xml/misc_text_node.c:
	  * lasso/xml/misc_text_node.h:
	  it is often necessary to be able to put completely determined
	  content
	  inside lasso generated request (for example when copying an
	  assertion
	  for a Bearer authentication method). In this case you can use
	  lasso_node_get_original_xml_node to get at the original content
	  and
	  lasso_misc_text_node_new_with_xml_node to get a LassNode with the
	  same content.
	  There are two additional function to acces this xml payload:
	  lasso_misc_text_node_get_xml_content and
	  lasso_misc_text_node_set_xml_content.

2009-08-28 14:31  bdauvergne

	* configure.ac: Core: fix commit 4313, restore support for
	  --enable-wsf
	  
	  * configure.ac:
	  I throwed the baby with the bathwater..

2009-08-28 14:26  bdauvergne

	* lasso/id-wsf-2.0/Makefile.am, lasso/xml/Makefile.am: Core: fix
	  make dist with --enable-wsf
	  
	  * lasso/id-wsf-2.0/Makefile.am:
	  * lasso/xml/Makefile.am:
	  some files were missing from the dist files, add them.

2009-08-28 14:26  bdauvergne

	* configure.ac: Core: remove SWIG ID-WSF warning from configure.ac
	  
	  * configure.ac:
	  as ID-WSF support in SWIG in not maintained anymore we can remove
	  the
	  warning about using pre-generated SWIG files with a different
	  setting
	  for the --enable-wsf flag.

2009-08-28 14:26  bdauvergne

	* bindings/overrides.xml: Binding: skip
	  lasso_data_service_get_query_item
	  
	  * bindings/overrides.xml:
	  bindings do not support out arguments, so skip generating
	  bindings
	  for lasso_data_service_get_query_item for the moment.

2009-08-28 14:26  bdauvergne

	* configure.ac: Core: set tar-pax as dist file format
	  
	  * configure.ac:
	  we could have more than 99 characters long path in the dist
	  files,
	  the pax format for tar archives support it.

2009-08-28 14:26  bdauvergne

	* lasso/id-wsf/data_service.h, lasso/id-wsf/discovery.h,
	  lasso/id-wsf/interaction_profile_service.h, lasso/id-wsf/utils.h,
	  lasso/id-wsf/wsf_profile.c, lasso/id-wsf/wsf_profile.h,
	  lasso/id-wsf/wsf_profile_private.h: ID-WSF 1.0: Fixed missing or
	  deprecated functions in public headers
	  
	  Some new functions were missing from the headers, others were
	  deprecated
	  some time ago and as the API is not considered stable for ID-WSF,
	  I
	  removed them definitely.

2009-08-27 12:07  bdauvergne

	* bindings/overrides.xml: Bindings: Skip
	  lasso_data_service_get_answers
	  
	  * bindings/overrides.xml: skip unsupported function.

2009-08-27 12:07  bdauvergne

	* tests/integration/README, tests/integration/saml2/__init__.py:
	  Tests: add configuration file loading to integration test
	  
	  * tests/integration/README:
	  * tests/integration/saml2/__init__.py:
	  If ~/.config/lasso_integration.conf exists, load it to find path
	  to
	  authentic and lcs.
	  Add support for three environement variables:
	  - LASSO_BUILDDIR, to specify an out of source build directory to
	  test,
	  - NO_SILENT, to allow authentic and lcs outputs,
	  - VALGRIND, to check memory leaks using valgrind.

2009-08-26 15:42  fpeters

	* autogen.sh: Call gtkdocize before automake

2009-08-26 15:15  bdauvergne

	* lasso/Makefile.am: Core: errors.c is a generated file, when
	  generating it place it in $(srcdir) not build directory
	  
	  * lasso/Makefile.am:
	  the place for errors.c is in the source directory, not the build
	  directory.

2009-08-26 15:15  bdauvergne

	* lasso/saml-2.0/login.c: SAML 2.0: Fix bug introduced in commit
	  4235
	  
	  * lasso/saml-2.0/login.c:
	  profile->msg_url is released before being used ;( Restore the
	  code
	  copying the URL before passing it to
	  lasso_saml20_profile_build_http_redirect, to free it after.

2009-08-26 15:15  bdauvergne

	* lasso/Makefile.am: Core: Fix errors.c generation

2009-08-26 15:15  bdauvergne

	* lasso/xml/saml-2.0/saml2_advice.h,
	  lasso/xml/saml-2.0/saml2_evidence.h: XML SAML2: remove typedef of
	  LassoSaml2Assertion in saml2_advice.h and saml2_evidence.h
	  
	  * xml/saml-2.0/saml2_advice.h xml/saml-2.0/saml2_evidence.h:
	  the declaration of LassoSaml2Assertion for supposedly preventing
	  recursive include is useless now.

2009-08-26 15:15  bdauvergne

	* lasso/errors.h: Core: fix spurious semi-colon inserted in commit
	  4093
	  
	  * lasso/errors.h:
	  remove useless semi-colon

2009-08-26 15:15  bdauvergne

	* lasso/lasso.h: Core: add assertion query to exported profiles
	  
	  * lasso/lasso.h:
	  include lasso/saml-2.0/assertion_query.h

2009-08-26 15:15  bdauvergne

	* bindings/bindings.py, lasso/xml/Makefile.am,
	  lasso/xml/saml-2.0/Makefile.am, lasso/xml/saml-2.0/xml_saml2.h,
	  lasso/xml/xml_idff.h, lasso/xml/xml_idwsf.h: XML: Add all
	  including header fil for saml2, id-ff and id-wsf
	  
	  * lasso/xml/xml_idff.h:
	  this header file reference all id-ff 1.2 elements
	  * lasso/xml/xml_idwsf.h:
	  this header file reference all id-wsf 1.0 elements
	  * lasso/xml/saml-2.0/xml_saml2.h:
	  this header file reference all saml-2.0 elements

2009-08-26 15:15  bdauvergne

	* lasso/registry.c, lasso/registry.h: Core: Remove include of
	  lasso.h in registry.h
	  
	  * lasso/registry.h:
	  include of lasso.h is useless, replace by including directly
	  export.h
	  * lasso/registry.c:
	  directly include errors.h

2009-08-26 15:15  bdauvergne

	* lasso/id-wsf-2.0/server.h: ID-WSF: remove OFTYPE usage from
	  header

2009-08-26 15:15  bdauvergne

	* Makefile.am, autogen.sh, configure.ac, docs/Makefile.am,
	  docs/reference/Makefile.am, docs/reference/lasso,
	  docs/reference/lasso-sections.txt,
	  docs/reference/lasso-sections.txt.in, docs/reference/lasso.sgml,
	  docs/reference/lasso.types.in, docs/reference/lasso/Makefile.am,
	  docs/reference/lasso/lasso-docs.sgml,
	  docs/reference/lasso/lasso-sections.txt,
	  docs/reference/lasso/lasso.types.in,
	  docs/reference/lasso/version.xml.in,
	  docs/reference/snippet-types.rst, docs/reference/version.xml.in,
	  lasso/Makefile.am, lasso/build_strerror.py, lasso/errors.c,
	  lasso/errors.h, lasso/extract_sections.py,
	  lasso/id-ff/defederation.c, lasso/id-ff/federation.c,
	  lasso/id-ff/identity.c, lasso/id-ff/login.h,
	  lasso/id-ff/logout.c, lasso/id-ff/providerprivate.h,
	  lasso/id-ff/session.c, lasso/id-ff/session.h,
	  lasso/id-wsf-2.0/server.c, lasso/id-wsf/authentication.c,
	  lasso/id-wsf/data_service.c, lasso/id-wsf/data_service.h,
	  lasso/id-wsf/id_ff_extensions.c,
	  lasso/id-wsf/interaction_profile_service.c,
	  lasso/id-wsf/personal_profile_service.c, lasso/id-wsf/utils.c,
	  lasso/id-wsf/wsf_profile.c, lasso/saml-2.0/assertion_query.c,
	  lasso/saml-2.0/assertion_query.h, lasso/saml-2.0/login.c,
	  lasso/utils.c, lasso/xml/ds_key_info.c, lasso/xml/ds_key_value.c,
	  lasso/xml/ds_rsa_key_value.c, lasso/xml/saml-2.0/saml2_action.c,
	  lasso/xml/saml_attribute.c,
	  lasso/xml/saml_attribute_designator.c,
	  lasso/xml/saml_attribute_statement.c, lasso/xml/soap_fault.c,
	  lasso/xml/strings.h, lasso/xml/tools.c, lasso/xml/xml.h,
	  m4/gtk-doc.m4: Docs: change the doc production and lot of other
	  fixes
	  
	  * lasso/Makefile.am:
	  distribute extract_sections.py
	  * docs/references/lasso/lasso.types.in: add missing class (mainly
	  SAML2
	  and ID-WSF 1.0/2.0) from docs/references/lasso.types.in
	  
	  * lasso/xml/strings.h:
	  add lots of documentation, or at least documentation template to
	  strings constants.
	  * id-ff/login.h:
	  * saml-2.0/assertion_query.h:
	  * xml/xml.h:
	  document undocumented enumerations.
	  * lasso/errors.h:
	  add proper documentation about error codes.
	  * lasso/errors.c:
	  new version of the lasso_strerror function
	  * lasso/build_strerror.py:
	  update the script that generater lasso_strerror from the
	  documentation comments.
	  
	  Remove usage of OFTYPE
	  
	  * lasso/id-ff/session.c:
	  * lasso/id-ff/session.h:
	  remove usage of oftype, prefer gtk-introspection annotations
	  instead.
	  * lasso/id-wsf/data_service.h:
	  * lasso/id-wsf/data_service.c:
	  do the same.
	  
	  Add a script to build lasso-sections.txt
	  
	  * lasso/extract_sections.py:
	  this script parses header files and generated lasso-sections.txt
	  content for GObject class descriptions.
	  
	  Add a template file for the lasso-section.txt file
	  
	  * docs/references/lasso-sections.txt.in:
	  this file serves as a base for the generation of
	  lasso-sections.txt
	  
	  Update docs/references/Makefile.am for generating
	  lasso-sections.txt
	  
	  * docs/references/Makefile.am:
	  always rebuild template, using out of source build directory is
	  too
	  weird without it.
	  call new script extract_sections.py to regenerate
	  lasso-sections.txt
	  if header files changed.
	  
	  Update lasso.sgml file with all missing sections
	  
	  * docs/reference/lasso.sgml:
	  add all missing sections, mainly objects from XML schemas.
	  
	  * docs/reference/lasso-sections.txt: update it
	  
	  * *.c: add section documentation to some files.
	  * lasso/xml/strings.h: fix bad usage or docbook markup

2009-08-26 15:15  bdauvergne

	* lasso/Makefile.am: Core: fix makefile for generating errors.h in
	  out of source dir build
	  
	  * lasso/Makefile.am:
	  errors.h is expected to be in srcdir not builddir.

2009-08-26 15:15  bdauvergne

	* bindings/bindings.py: Bindings: for functions that must be
	  totally skiped do it during parsing
	  
	  * bindings/bindings.py:
	  parsing of argument type is still not advanced enough, so in
	  order to
	  remove spurious warnings, skip function directly during parsing
	  just
	  before the treatment of function signature.

2009-08-26 15:15  bdauvergne

	* tests/integration/saml2/__init__.py: Tests: in integration test
	  do not set the PYTHONPATH
	  
	  * tests/integration/saml2/__init__.py:
	  to permit using build directory different from the src directory,
	  do
	  not force the PYTHONPATH to be relative to src dir to find lasso
	  python module.

2009-08-26 15:14  bdauvergne

	* tests/integration/valgrind-wrapper.sh: Tests: do not hardcode
	  PYTHONPATH in the valgrind wrapper
	  
	  * tests/integration/valgrind-wrapper.sh: remove PYTHONPATH
	  setting.

2009-08-26 15:14  bdauvergne

	* tests/Makefile.am: Tests: distribute integration tests
	  
	  * tests/Makefile.am:
	  add integration directory to the distdir.

2009-08-26 15:14  bdauvergne

	* Makefile.am, autogen.sh, configure.ac,
	  docs/reference/Makefile.am, lasso/Makefile.am, m4,
	  m4/ac_check_class.m4, m4/ac_check_classpath.m4,
	  m4/ac_check_java_home.m4, m4/ac_check_junit.m4,
	  m4/ac_check_rqrd_class.m4, m4/ac_java_options.m4,
	  m4/ac_prog_jar.m4, m4/ac_prog_java.m4, m4/ac_prog_java_cc.m4,
	  m4/ac_prog_java_works.m4, m4/ac_prog_javac.m4,
	  m4/ac_prog_javac_works.m4, m4/ac_prog_javadoc.m4,
	  m4/ac_prog_javah.m4, m4/ac_try_compile_java.m4,
	  m4/ac_try_run_javac.m4, m4/as-compiler-flag.m4, m4/check.m4,
	  m4/dps_java_check_class.m4, m4/dps_libgcj_jar.m4,
	  m4/dps_xtra_classpath.m4, m4/gtk-doc.m4,
	  macros/ac_check_class.m4, macros/ac_check_classpath.m4,
	  macros/ac_check_java_home.m4, macros/ac_check_junit.m4,
	  macros/ac_check_rqrd_class.m4, macros/ac_java_options.m4,
	  macros/ac_prog_jar.m4, macros/ac_prog_java.m4,
	  macros/ac_prog_java_cc.m4, macros/ac_prog_java_works.m4,
	  macros/ac_prog_javac.m4, macros/ac_prog_javac_works.m4,
	  macros/ac_prog_javadoc.m4, macros/ac_prog_javah.m4,
	  macros/ac_try_compile_java.m4, macros/ac_try_run_javac.m4,
	  macros/as-compiler-flag.m4, macros/check.m4,
	  macros/dps_java_check_class.m4, macros/dps_libgcj_jar.m4,
	  macros/dps_xtra_classpath.m4: Core: Use automake-1.11 when
	  possible
	  
	  * Makefile.am:
	  use new automake-1.11 silent rules if possible
	  move macros to m4 directory
	  * m4/gtk-doc.m4:
	  add gtk-doc macros.
	  * lasso/Makefile.am:
	  add missing -f flag to rm, to unbreak make distcheck
	  * docs/references/Makefile.am:
	  fix problem between libtool and gtk-doc
	  * autogen.sh:
	  update to autogen.sh from gtk-doc, add support for automake-1.11

2009-08-26 15:14  bdauvergne

	* tests/data/Makefile.am: Tests: Add data files to EXTRA_DIST
	  
	  * tests/data/Makefile.am:
	  data file for tests2 were missing (to pass distcheck).

2009-08-26 15:14  bdauvergne

	* lasso/xml/disco_authenticate_requester.c,
	  lasso/xml/disco_authenticate_session_context.c,
	  lasso/xml/disco_authorize_requester.c,
	  lasso/xml/disco_credentials.c, lasso/xml/disco_description.c,
	  lasso/xml/disco_encrypt_resource_id.c,
	  lasso/xml/disco_encrypted_resource_id.c,
	  lasso/xml/disco_encrypted_resource_id.h,
	  lasso/xml/disco_generate_bearer_token.c,
	  lasso/xml/disco_insert_entry.c, lasso/xml/disco_modify.c,
	  lasso/xml/disco_modify_response.c, lasso/xml/disco_options.c,
	  lasso/xml/disco_query.c, lasso/xml/disco_query_response.c,
	  lasso/xml/disco_remove_entry.c,
	  lasso/xml/disco_requested_service_type.c,
	  lasso/xml/disco_resource_id.c,
	  lasso/xml/disco_resource_offering.c,
	  lasso/xml/disco_send_single_logout.c,
	  lasso/xml/disco_service_instance.c, lasso/xml/ds_key_info.c,
	  lasso/xml/ds_key_value.c, lasso/xml/ds_rsa_key_value.c,
	  lasso/xml/dst_data.c, lasso/xml/dst_modification.c,
	  lasso/xml/dst_modify.c, lasso/xml/dst_modify_response.c,
	  lasso/xml/dst_new_data.c, lasso/xml/dst_query.c,
	  lasso/xml/dst_query_item.c, lasso/xml/dst_query_response.c,
	  lasso/xml/id-wsf-2.0/disco_abstract.c,
	  lasso/xml/id-wsf-2.0/disco_endpoint_context.c,
	  lasso/xml/id-wsf-2.0/disco_keys.c,
	  lasso/xml/id-wsf-2.0/disco_options.c,
	  lasso/xml/id-wsf-2.0/disco_provider_id.c,
	  lasso/xml/id-wsf-2.0/disco_query.c,
	  lasso/xml/id-wsf-2.0/disco_query_response.c,
	  lasso/xml/id-wsf-2.0/disco_requested_service.c,
	  lasso/xml/id-wsf-2.0/disco_security_context.c,
	  lasso/xml/id-wsf-2.0/disco_service_context.c,
	  lasso/xml/id-wsf-2.0/disco_service_type.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_association_add.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_association_add_response.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_association_delete.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_association_delete_response.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_association_query.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_association_query_response.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_delete.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_delete_response.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_query.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_query_response.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_register.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_register_response.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_replace.c,
	  lasso/xml/id-wsf-2.0/disco_svc_md_replace_response.c,
	  lasso/xml/id-wsf-2.0/disco_svc_metadata.c,
	  lasso/xml/id-wsf-2.0/dst_data_response_base.c,
	  lasso/xml/id-wsf-2.0/dst_delete_item_base.c,
	  lasso/xml/id-wsf-2.0/dst_request.c,
	  lasso/xml/id-wsf-2.0/dst_result_query_base.c,
	  lasso/xml/id-wsf-2.0/dst_test_item_base.c,
	  lasso/xml/id-wsf-2.0/dstref_app_data.c,
	  lasso/xml/id-wsf-2.0/dstref_create.c,
	  lasso/xml/id-wsf-2.0/dstref_create_item.c,
	  lasso/xml/id-wsf-2.0/dstref_data.c,
	  lasso/xml/id-wsf-2.0/dstref_data_response.c,
	  lasso/xml/id-wsf-2.0/dstref_delete.c,
	  lasso/xml/id-wsf-2.0/dstref_delete_item.c,
	  lasso/xml/id-wsf-2.0/dstref_item_data.c,
	  lasso/xml/id-wsf-2.0/dstref_modify.c,
	  lasso/xml/id-wsf-2.0/dstref_modify_item.c,
	  lasso/xml/id-wsf-2.0/dstref_modify_response.c,
	  lasso/xml/id-wsf-2.0/dstref_query.c,
	  lasso/xml/id-wsf-2.0/dstref_query_item.c,
	  lasso/xml/id-wsf-2.0/dstref_query_response.c,
	  lasso/xml/id-wsf-2.0/dstref_result_query.c,
	  lasso/xml/id-wsf-2.0/dstref_test_item.c,
	  lasso/xml/id-wsf-2.0/ims_identity_mapping_request.c,
	  lasso/xml/id-wsf-2.0/ims_identity_mapping_response.c,
	  lasso/xml/id-wsf-2.0/ims_mapping_input.c,
	  lasso/xml/id-wsf-2.0/ims_mapping_output.c,
	  lasso/xml/id-wsf-2.0/is_help.c,
	  lasso/xml/id-wsf-2.0/is_inquiry.c,
	  lasso/xml/id-wsf-2.0/is_inquiry_element.c,
	  lasso/xml/id-wsf-2.0/is_interaction_request.c,
	  lasso/xml/id-wsf-2.0/is_interaction_response.c,
	  lasso/xml/id-wsf-2.0/is_interaction_statement.c,
	  lasso/xml/id-wsf-2.0/is_item.c,
	  lasso/xml/id-wsf-2.0/is_parameter.c,
	  lasso/xml/id-wsf-2.0/is_select.c, lasso/xml/id-wsf-2.0/is_text.c,
	  lasso/xml/id-wsf-2.0/ps_add_collection_request.c,
	  lasso/xml/id-wsf-2.0/ps_add_collection_response.c,
	  lasso/xml/id-wsf-2.0/ps_add_entity_request.c,
	  lasso/xml/id-wsf-2.0/ps_add_entity_response.c,
	  lasso/xml/id-wsf-2.0/ps_add_known_entity_request.c,
	  lasso/xml/id-wsf-2.0/ps_add_known_entity_response.c,
	  lasso/xml/id-wsf-2.0/ps_add_to_collection_request.c,
	  lasso/xml/id-wsf-2.0/ps_get_object_info_request.c,
	  lasso/xml/id-wsf-2.0/ps_get_object_info_response.c,
	  lasso/xml/id-wsf-2.0/ps_item_data.c,
	  lasso/xml/id-wsf-2.0/ps_list_members_request.c,
	  lasso/xml/id-wsf-2.0/ps_list_members_response.c,
	  lasso/xml/id-wsf-2.0/ps_notification.c,
	  lasso/xml/id-wsf-2.0/ps_notify.c,
	  lasso/xml/id-wsf-2.0/ps_object.c,
	  lasso/xml/id-wsf-2.0/ps_query_objects_request.c,
	  lasso/xml/id-wsf-2.0/ps_query_objects_response.c,
	  lasso/xml/id-wsf-2.0/ps_remove_collection_request.c,
	  lasso/xml/id-wsf-2.0/ps_remove_entity_request.c,
	  lasso/xml/id-wsf-2.0/ps_remove_from_collection_request.c,
	  lasso/xml/id-wsf-2.0/ps_resolve_identifier_request.c,
	  lasso/xml/id-wsf-2.0/ps_resolve_identifier_response.c,
	  lasso/xml/id-wsf-2.0/ps_resolve_input.c,
	  lasso/xml/id-wsf-2.0/ps_response_abstract.c,
	  lasso/xml/id-wsf-2.0/ps_set_object_info_request.c,
	  lasso/xml/id-wsf-2.0/ps_test_membership_request.c,
	  lasso/xml/id-wsf-2.0/ps_test_membership_response.c,
	  lasso/xml/id-wsf-2.0/sb2_consent.c,
	  lasso/xml/id-wsf-2.0/sb2_credentials_context.c,
	  lasso/xml/id-wsf-2.0/sb2_endpoint_update.c,
	  lasso/xml/id-wsf-2.0/sb2_redirect_request.c,
	  lasso/xml/id-wsf-2.0/sb2_sender.c,
	  lasso/xml/id-wsf-2.0/sb2_timeout.c,
	  lasso/xml/id-wsf-2.0/sb2_usage_directive.c,
	  lasso/xml/id-wsf-2.0/sb2_user_interaction_header.c,
	  lasso/xml/id-wsf-2.0/sbf_framework.c,
	  lasso/xml/id-wsf-2.0/sec_token.c,
	  lasso/xml/id-wsf-2.0/sec_token_policy.c,
	  lasso/xml/id-wsf-2.0/sec_transited_provider_path.c,
	  lasso/xml/id-wsf-2.0/subs_notification.c,
	  lasso/xml/id-wsf-2.0/subs_ref_item.c,
	  lasso/xml/id-wsf-2.0/subs_subscription.c,
	  lasso/xml/id-wsf-2.0/subsref_app_data.c,
	  lasso/xml/id-wsf-2.0/subsref_create.c,
	  lasso/xml/id-wsf-2.0/subsref_create_item.c,
	  lasso/xml/id-wsf-2.0/subsref_data.c,
	  lasso/xml/id-wsf-2.0/subsref_data_response.c,
	  lasso/xml/id-wsf-2.0/subsref_delete.c,
	  lasso/xml/id-wsf-2.0/subsref_delete_item.c,
	  lasso/xml/id-wsf-2.0/subsref_item_data.c,
	  lasso/xml/id-wsf-2.0/subsref_modify.c,
	  lasso/xml/id-wsf-2.0/subsref_modify_item.c,
	  lasso/xml/id-wsf-2.0/subsref_notification.c,
	  lasso/xml/id-wsf-2.0/subsref_notify.c,
	  lasso/xml/id-wsf-2.0/subsref_query.c,
	  lasso/xml/id-wsf-2.0/subsref_query_item.c,
	  lasso/xml/id-wsf-2.0/subsref_query_response.c,
	  lasso/xml/id-wsf-2.0/subsref_result_query.c,
	  lasso/xml/id-wsf-2.0/subsref_subscription.c,
	  lasso/xml/id-wsf-2.0/subsref_test_item.c,
	  lasso/xml/id-wsf-2.0/util_response.c,
	  lasso/xml/id-wsf-2.0/util_status.c, lasso/xml/is_help.c,
	  lasso/xml/is_inquiry.c, lasso/xml/is_inquiry_element.c,
	  lasso/xml/is_interaction_request.c,
	  lasso/xml/is_interaction_response.c,
	  lasso/xml/is_interaction_statement.c, lasso/xml/is_item.c,
	  lasso/xml/is_parameter.c, lasso/xml/is_redirect_request.c,
	  lasso/xml/is_select.c, lasso/xml/is_text.c,
	  lasso/xml/is_user_interaction.c, lasso/xml/lib_assertion.c,
	  lasso/xml/lib_authentication_statement.c,
	  lasso/xml/lib_authn_context.c, lasso/xml/lib_authn_request.c,
	  lasso/xml/lib_authn_request_envelope.c,
	  lasso/xml/lib_authn_response.c,
	  lasso/xml/lib_authn_response_envelope.c,
	  lasso/xml/lib_federation_termination_notification.c,
	  lasso/xml/lib_idp_entries.c, lasso/xml/lib_idp_entry.c,
	  lasso/xml/lib_idp_list.c, lasso/xml/lib_logout_request.c,
	  lasso/xml/lib_name_identifier_mapping_request.c,
	  lasso/xml/lib_name_identifier_mapping_response.c,
	  lasso/xml/lib_register_name_identifier_request.c,
	  lasso/xml/lib_request_authn_context.c, lasso/xml/lib_scoping.c,
	  lasso/xml/lib_status_response.c, lasso/xml/lib_subject.c,
	  lasso/xml/misc_text_node.c, lasso/xml/sa_credentials.c,
	  lasso/xml/sa_parameter.c, lasso/xml/sa_password_transforms.c,
	  lasso/xml/sa_sasl_request.c, lasso/xml/sa_sasl_response.c,
	  lasso/xml/sa_transform.c, lasso/xml/saml-2.0/saml2_action.c,
	  lasso/xml/saml-2.0/saml2_advice.c,
	  lasso/xml/saml-2.0/saml2_assertion.c,
	  lasso/xml/saml-2.0/saml2_attribute.c,
	  lasso/xml/saml-2.0/saml2_attribute_statement.c,
	  lasso/xml/saml-2.0/saml2_audience_restriction.c,
	  lasso/xml/saml-2.0/saml2_authn_context.c,
	  lasso/xml/saml-2.0/saml2_authn_statement.c,
	  lasso/xml/saml-2.0/saml2_authz_decision_statement.c,
	  lasso/xml/saml-2.0/saml2_base_idabstract.c,
	  lasso/xml/saml-2.0/saml2_conditions.c,
	  lasso/xml/saml-2.0/saml2_encrypted_element.c,
	  lasso/xml/saml-2.0/saml2_evidence.c,
	  lasso/xml/saml-2.0/saml2_key_info_confirmation_data.c,
	  lasso/xml/saml-2.0/saml2_name_id.c,
	  lasso/xml/saml-2.0/saml2_proxy_restriction.c,
	  lasso/xml/saml-2.0/saml2_subject.c,
	  lasso/xml/saml-2.0/saml2_subject_confirmation.c,
	  lasso/xml/saml-2.0/saml2_subject_confirmation_data.c,
	  lasso/xml/saml-2.0/saml2_subject_locality.c,
	  lasso/xml/saml-2.0/samlp2_artifact_resolve.c,
	  lasso/xml/saml-2.0/samlp2_artifact_response.c,
	  lasso/xml/saml-2.0/samlp2_assertion_id_request.c,
	  lasso/xml/saml-2.0/samlp2_attribute_query.c,
	  lasso/xml/saml-2.0/samlp2_authn_query.c,
	  lasso/xml/saml-2.0/samlp2_authn_request.c,
	  lasso/xml/saml-2.0/samlp2_authz_decision_query.c,
	  lasso/xml/saml-2.0/samlp2_idp_entry.c,
	  lasso/xml/saml-2.0/samlp2_idp_list.c,
	  lasso/xml/saml-2.0/samlp2_manage_name_id_request.c,
	  lasso/xml/saml-2.0/samlp2_name_id_mapping_request.c,
	  lasso/xml/saml-2.0/samlp2_name_id_mapping_response.c,
	  lasso/xml/saml-2.0/samlp2_name_id_policy.c,
	  lasso/xml/saml-2.0/samlp2_request_abstract.c,
	  lasso/xml/saml-2.0/samlp2_requested_authn_context.c,
	  lasso/xml/saml-2.0/samlp2_response.c,
	  lasso/xml/saml-2.0/samlp2_scoping.c,
	  lasso/xml/saml-2.0/samlp2_status.c,
	  lasso/xml/saml-2.0/samlp2_status_code.c,
	  lasso/xml/saml-2.0/samlp2_status_response.c,
	  lasso/xml/saml-2.0/samlp2_subject_query_abstract.c,
	  lasso/xml/saml_advice.c, lasso/xml/saml_attribute.c,
	  lasso/xml/saml_attribute_designator.c,
	  lasso/xml/saml_attribute_statement.c,
	  lasso/xml/saml_audience_restriction_condition.c,
	  lasso/xml/saml_authentication_statement.c,
	  lasso/xml/saml_authority_binding.c, lasso/xml/saml_conditions.c,
	  lasso/xml/saml_subject.c, lasso/xml/saml_subject_confirmation.c,
	  lasso/xml/saml_subject_locality.c,
	  lasso/xml/saml_subject_statement_abstract.c,
	  lasso/xml/samlp_request.c, lasso/xml/samlp_request_abstract.c,
	  lasso/xml/samlp_response.c, lasso/xml/samlp_response_abstract.c,
	  lasso/xml/samlp_status.c, lasso/xml/soap_binding_consent.c,
	  lasso/xml/soap_binding_correlation.c,
	  lasso/xml/soap_binding_ext_credential.c,
	  lasso/xml/soap_binding_ext_credentials_context.c,
	  lasso/xml/soap_binding_ext_service_instance_update.c,
	  lasso/xml/soap_binding_ext_timeout.c,
	  lasso/xml/soap_binding_processing_context.c,
	  lasso/xml/soap_binding_provider.c,
	  lasso/xml/soap_binding_usage_directive.c, lasso/xml/soap_body.c,
	  lasso/xml/soap_detail.c, lasso/xml/soap_envelope.c,
	  lasso/xml/soap_fault.c, lasso/xml/soap_header.c,
	  lasso/xml/utility_status.c, lasso/xml/ws/wsa_attributed_any.c,
	  lasso/xml/ws/wsa_attributed_qname.c,
	  lasso/xml/ws/wsa_attributed_unsigned_long.c,
	  lasso/xml/ws/wsa_attributed_uri.c,
	  lasso/xml/ws/wsa_endpoint_reference.c,
	  lasso/xml/ws/wsa_metadata.c, lasso/xml/ws/wsa_problem_action.c,
	  lasso/xml/ws/wsa_reference_parameters.c,
	  lasso/xml/ws/wsa_relates_to.c, lasso/xml/ws/wsse_embedded.c,
	  lasso/xml/ws/wsse_reference.c,
	  lasso/xml/ws/wsse_security_header.c,
	  lasso/xml/ws/wsse_security_token_reference.c,
	  lasso/xml/ws/wsse_username_token.c, lasso/xml/ws/wsu_timestamp.c,
	  lasso/xml/wsse_security.c: XML: remove all useless instance_init
	  functions
	  
	  * Use Coccinelle semantic patch tool (http://coccinelle.lip6.fr/)
	  to
	  remove useless instance_init functions, the first patch applied
	  was:
	  @@
	  type T,V;
	  identifier I, J;
	  parameter list P;
	  expression E1;
	  @@
	  
	  V instance_init(T node)
	  {
	  <...
	  (
	  - E1 = 0;
	  |
	  - E1 = NULL;
	  |
	  - E1 = FALSE;
	  )
	  ...>
	  }
	  It removes useless initialization to 0 (GObject already zeroes
	  allocated objects).
	  The second one is:
	  @ rule1 @
	  type T;
	  identifier node,fn;
	  @@
	  
	  - static void fn(T *node) { }
	  
	  @ rule2 extends rule1 @
	  typedef GType, GInstanceInitFunc;
	  identifier type_constructor;
	  @@
	  GType type_constructor()
	  {
	  <...
	  - (GInstanceInitFunc)fn
	  + NULL
	  ...>
	  }
	  It removes empty instance_init functions.

2009-08-26 15:14  bdauvergne

	* lasso/xml/id-wsf-2.0/sb2_target_identity.c,
	  lasso/xml/id-wsf-2.0/sb2_target_identity.h: sb2:TargetIdentity
	  can have a content
	  
	  * lasso/xml/id-wsf-2.0/sb2_target_identity.c:
	  * lasso/xml/id-wsf-2.0/sb2_target_identity.h:
	  add support for any content.

2009-08-26 15:14  bdauvergne

	* lasso/errors.c, lasso/errors.c.in, lasso/id-ff/defederation.c,
	  lasso/id-ff/defederation.h, lasso/id-ff/federation.c,
	  lasso/id-ff/federation.h, lasso/id-ff/identity.c,
	  lasso/id-ff/identity.h, lasso/id-ff/identityprivate.h,
	  lasso/id-ff/lecp.c, lasso/id-ff/lecp.h, lasso/id-ff/login.c,
	  lasso/id-ff/login.h, lasso/id-ff/loginprivate.h,
	  lasso/id-ff/logout.c, lasso/id-ff/logout.h,
	  lasso/id-ff/name_identifier_mapping.c,
	  lasso/id-ff/name_identifier_mapping.h,
	  lasso/id-ff/name_registration.c, lasso/id-ff/name_registration.h,
	  lasso/id-ff/profile.c, lasso/id-ff/profile.h,
	  lasso/id-ff/profileprivate.h, lasso/id-ff/provider.c,
	  lasso/id-ff/provider.h, lasso/id-ff/server.c,
	  lasso/id-ff/server.h, lasso/id-ff/session.c,
	  lasso/id-ff/session.h, lasso/id-ff/sessionprivate.h,
	  lasso/id-wsf-2.0/Makefile.am, lasso/id-wsf-2.0/data_service.c,
	  lasso/id-wsf-2.0/data_service.h, lasso/id-wsf-2.0/discovery.c,
	  lasso/id-wsf-2.0/discovery.h, lasso/id-wsf-2.0/id_wsf_2.h,
	  lasso/id-wsf-2.0/identity.c, lasso/id-wsf-2.0/identity.h,
	  lasso/id-wsf-2.0/profile.c, lasso/id-wsf-2.0/profile.h,
	  lasso/id-wsf-2.0/saml2_login.c,
	  lasso/id-wsf-2.0/saml2_login_private.h,
	  lasso/id-wsf-2.0/server.c, lasso/id-wsf-2.0/server.h,
	  lasso/id-wsf-2.0/serverprivate.h, lasso/id-wsf-2.0/session.c,
	  lasso/id-wsf-2.0/session.h, lasso/id-wsf-2.0/sessionprivate.h,
	  lasso/id-wsf/Makefile.am, lasso/id-wsf/authentication.c,
	  lasso/id-wsf/authentication.h, lasso/id-wsf/data_service.c,
	  lasso/id-wsf/data_service.h, lasso/id-wsf/id_ff_extensions.c,
	  lasso/id-wsf/id_ff_extensions.h,
	  lasso/id-wsf/id_ff_extensions_private.h, lasso/id-wsf/id_wsf.h,
	  lasso/id-wsf/identity.h,
	  lasso/id-wsf/interaction_profile_service.h,
	  lasso/id-wsf/personal_profile_service.h, lasso/id-wsf/utils.c,
	  lasso/id-wsf/wsf_profile.h, lasso/lasso.c, lasso/lasso.h,
	  lasso/registry.h, lasso/saml-2.0/assertion_query.c,
	  lasso/saml-2.0/assertion_query.h, lasso/saml-2.0/ecp.c,
	  lasso/saml-2.0/ecp.h, lasso/saml-2.0/federation.c,
	  lasso/saml-2.0/login.c, lasso/saml-2.0/loginprivate.h,
	  lasso/saml-2.0/logout.c, lasso/saml-2.0/logoutprivate.h,
	  lasso/saml-2.0/name_id_management.c,
	  lasso/saml-2.0/name_id_management.h, lasso/saml-2.0/profile.c,
	  lasso/saml-2.0/profileprivate.h, lasso/saml-2.0/provider.c,
	  lasso/saml-2.0/providerprivate.h, lasso/saml-2.0/server.c,
	  lasso/saml-2.0/serverprivate.h,
	  lasso/xml/disco_authenticate_requester.c,
	  lasso/xml/disco_authenticate_requester.h,
	  lasso/xml/disco_authenticate_session_context.c,
	  lasso/xml/disco_authenticate_session_context.h,
	  lasso/xml/disco_authorize_requester.c,
	  lasso/xml/disco_authorize_requester.h,
	  lasso/xml/disco_credentials.c, lasso/xml/disco_credentials.h,
	  lasso/xml/disco_description.c, lasso/xml/disco_description.h,
	  lasso/xml/disco_encrypt_resource_id.c,
	  lasso/xml/disco_encrypt_resource_id.h,
	  lasso/xml/disco_encrypted_resource_id.c,
	  lasso/xml/disco_encrypted_resource_id.h,
	  lasso/xml/disco_generate_bearer_token.c,
	  lasso/xml/disco_generate_bearer_token.h,
	  lasso/xml/disco_insert_entry.c, lasso/xml/disco_insert_entry.h,
	  lasso/xml/disco_modify.c, lasso/xml/disco_modify.h,
	  lasso/xml/disco_modify_response.c,
	  lasso/xml/disco_modify_response.h, lasso/xml/disco_options.c,
	  lasso/xml/disco_options.h, lasso/xml/disco_query.c,
	  lasso/xml/disco_query.h, lasso/xml/disco_query_response.c,
	  lasso/xml/disco_query_response.h, lasso/xml/disco_remove_entry.c,
	  lasso/xml/disco_remove_entry.h,
	  lasso/xml/disco_requested_service_type.c,
	  lasso/xml/disco_requested_service_type.h,
	  lasso/xml/disco_resource_id.c, lasso/xml/disco_resource_id.h,
	  lasso/xml/disco_resource_offering.c,
	  lasso/xml/disco_resource_offering.h,
	  lasso/xml/disco_send_single_logout.c,
	  lasso/xml/disco_send_single_logout.h,
	  lasso/xml/disco_service_instance.c,
	  lasso/xml/disco_service_instance.h, lasso/xml/ds_key_info.c,
	  lasso/xml/ds_key_info.h, lasso/xml/ds_key_value.c,
	  lasso/xml/ds_key_value.h, lasso/xml/ds_rsa_key_value.c,
	  lasso/xml/ds_rsa_key_value.h, lasso/xml/dst_data.c,
	  lasso/xml/dst_data.h, lasso/xml/dst_modification.c,
	  lasso/xml/dst_modification.h, lasso/xml/dst_modify.c,
	  lasso/xml/dst_modify.h, lasso/xml/dst_modify_response.c,
	  lasso/xml/dst_modify_response.h, lasso/xml/dst_new_data.c,
	  lasso/xml/dst_new_data.h, lasso/xml/dst_query.c,
	  lasso/xml/dst_query.h, lasso/xml/dst_query_item.c,
	  lasso/xml/dst_query_item.h, lasso/xml/dst_query_response.c,
	  lasso/xml/dst_query_response.h,
	  lasso/xml/id-wsf-2.0/disco_abstract.h,
	  lasso/xml/id-wsf-2.0/disco_endpoint_context.h,
	  lasso/xml/id-wsf-2.0/disco_keys.h,
	  lasso/xml/id-wsf-2.0/disco_options.h,
	  lasso/xml/id-wsf-2.0/disco_provider_id.h,
	  lasso/xml/id-wsf-2.0/disco_query.h,
	  lasso/xml/id-wsf-2.0/disco_query_response.h,
	  lasso/xml/id-wsf-2.0/disco_requested_service.h,
	  lasso/xml/id-wsf-2.0/disco_security_context.h,
	  lasso/xml/id-wsf-2.0/disco_service_context.h,
	  lasso/xml/id-wsf-2.0/disco_service_type.h,
	  lasso/xml/id-wsf-2.0/disco_svc_md_association_add.h,
	  lasso/xml/id-wsf-2.0/disco_svc_md_association_add_response.h,
	  lasso/xml/id-wsf-2.0/disco_svc_md_association_delete.h,
	  lasso/xml/id-wsf-2.0/disco_svc_md_association_delete_response.h,
	  lasso/xml/id-wsf-2.0/disco_svc_md_association_query.h,
	  lasso/xml/id-wsf-2.0/disco_svc_md_association_query_response.h,
	  lasso/xml/id-wsf-2.0/disco_svc_md_delete.h,
	  lasso/xml/id-wsf-2.0/disco_svc_md_delete_response.h,
	  lasso/xml/id-wsf-2.0/disco_svc_md_query.h,
	  lasso/xml/id-wsf-2.0/disco_svc_md_query_response.h,
	  lasso/xml/id-wsf-2.0/disco_svc_md_register.h,
	  lasso/xml/id-wsf-2.0/disco_svc_md_register_response.h,
	  lasso/xml/id-wsf-2.0/disco_svc_md_replace.h,
	  lasso/xml/id-wsf-2.0/disco_svc_md_replace_response.h,
	  lasso/xml/id-wsf-2.0/disco_svc_metadata.h,
	  lasso/xml/id-wsf-2.0/dst_data_response_base.h,
	  lasso/xml/id-wsf-2.0/dst_delete_item_base.h,
	  lasso/xml/id-wsf-2.0/dst_delete_response.h,
	  lasso/xml/id-wsf-2.0/dst_request.h,
	  lasso/xml/id-wsf-2.0/dst_result_query_base.h,
	  lasso/xml/id-wsf-2.0/dst_test_item_base.h,
	  lasso/xml/id-wsf-2.0/dstref_app_data.h,
	  lasso/xml/id-wsf-2.0/dstref_create.h,
	  lasso/xml/id-wsf-2.0/dstref_create_item.h,
	  lasso/xml/id-wsf-2.0/dstref_create_response.h,
	  lasso/xml/id-wsf-2.0/dstref_data.h,
	  lasso/xml/id-wsf-2.0/dstref_data_response.h,
	  lasso/xml/id-wsf-2.0/dstref_delete.h,
	  lasso/xml/id-wsf-2.0/dstref_delete_item.h,
	  lasso/xml/id-wsf-2.0/dstref_delete_response.h,
	  lasso/xml/id-wsf-2.0/dstref_item_data.h,
	  lasso/xml/id-wsf-2.0/dstref_modify.h,
	  lasso/xml/id-wsf-2.0/dstref_modify_item.h,
	  lasso/xml/id-wsf-2.0/dstref_modify_response.h,
	  lasso/xml/id-wsf-2.0/dstref_query.h,
	  lasso/xml/id-wsf-2.0/dstref_query_item.h,
	  lasso/xml/id-wsf-2.0/dstref_query_response.h,
	  lasso/xml/id-wsf-2.0/dstref_result_query.h,
	  lasso/xml/id-wsf-2.0/dstref_test_item.h,
	  lasso/xml/id-wsf-2.0/ims_identity_mapping_request.h,
	  lasso/xml/id-wsf-2.0/ims_identity_mapping_response.h,
	  lasso/xml/id-wsf-2.0/ims_mapping_input.h,
	  lasso/xml/id-wsf-2.0/ims_mapping_output.h,
	  lasso/xml/id-wsf-2.0/is_help.h,
	  lasso/xml/id-wsf-2.0/is_inquiry.h,
	  lasso/xml/id-wsf-2.0/is_inquiry_element.h,
	  lasso/xml/id-wsf-2.0/is_interaction_request.h,
	  lasso/xml/id-wsf-2.0/is_interaction_response.h,
	  lasso/xml/id-wsf-2.0/is_interaction_statement.h,
	  lasso/xml/id-wsf-2.0/is_item.h,
	  lasso/xml/id-wsf-2.0/is_parameter.h,
	  lasso/xml/id-wsf-2.0/is_select.h, lasso/xml/id-wsf-2.0/is_text.h,
	  lasso/xml/id-wsf-2.0/ps_add_collection_request.h,
	  lasso/xml/id-wsf-2.0/ps_add_collection_response.h,
	  lasso/xml/id-wsf-2.0/ps_add_entity_request.h,
	  lasso/xml/id-wsf-2.0/ps_add_entity_response.h,
	  lasso/xml/id-wsf-2.0/ps_add_known_entity_request.h,
	  lasso/xml/id-wsf-2.0/ps_add_known_entity_response.h,
	  lasso/xml/id-wsf-2.0/ps_add_to_collection_request.h,
	  lasso/xml/id-wsf-2.0/ps_get_object_info_request.h,
	  lasso/xml/id-wsf-2.0/ps_get_object_info_response.h,
	  lasso/xml/id-wsf-2.0/ps_item_data.h,
	  lasso/xml/id-wsf-2.0/ps_list_members_request.h,
	  lasso/xml/id-wsf-2.0/ps_list_members_response.h,
	  lasso/xml/id-wsf-2.0/ps_notification.h,
	  lasso/xml/id-wsf-2.0/ps_notify.h,
	  lasso/xml/id-wsf-2.0/ps_object.h,
	  lasso/xml/id-wsf-2.0/ps_query_objects_request.h,
	  lasso/xml/id-wsf-2.0/ps_query_objects_response.h,
	  lasso/xml/id-wsf-2.0/ps_remove_collection_request.h,
	  lasso/xml/id-wsf-2.0/ps_remove_entity_request.h,
	  lasso/xml/id-wsf-2.0/ps_remove_from_collection_request.h,
	  lasso/xml/id-wsf-2.0/ps_request_abstract.h,
	  lasso/xml/id-wsf-2.0/ps_resolve_identifier_request.h,
	  lasso/xml/id-wsf-2.0/ps_resolve_identifier_response.h,
	  lasso/xml/id-wsf-2.0/ps_resolve_input.h,
	  lasso/xml/id-wsf-2.0/ps_response_abstract.h,
	  lasso/xml/id-wsf-2.0/ps_set_object_info_request.h,
	  lasso/xml/id-wsf-2.0/ps_test_membership_request.h,
	  lasso/xml/id-wsf-2.0/ps_test_membership_response.h,
	  lasso/xml/id-wsf-2.0/sb2_consent.h,
	  lasso/xml/id-wsf-2.0/sb2_credentials_context.h,
	  lasso/xml/id-wsf-2.0/sb2_endpoint_update.h,
	  lasso/xml/id-wsf-2.0/sb2_redirect_request.h,
	  lasso/xml/id-wsf-2.0/sb2_sender.h,
	  lasso/xml/id-wsf-2.0/sb2_target_identity.h,
	  lasso/xml/id-wsf-2.0/sb2_timeout.h,
	  lasso/xml/id-wsf-2.0/sb2_usage_directive.h,
	  lasso/xml/id-wsf-2.0/sb2_user_interaction_header.h,
	  lasso/xml/id-wsf-2.0/sbf_framework.h,
	  lasso/xml/id-wsf-2.0/sec_token.h,
	  lasso/xml/id-wsf-2.0/sec_token_policy.h,
	  lasso/xml/id-wsf-2.0/sec_transited_provider_path.h,
	  lasso/xml/id-wsf-2.0/subs_notification.h,
	  lasso/xml/id-wsf-2.0/subs_notify_response.h,
	  lasso/xml/id-wsf-2.0/subs_ref_item.h,
	  lasso/xml/id-wsf-2.0/subs_subscription.h,
	  lasso/xml/id-wsf-2.0/subsref_app_data.h,
	  lasso/xml/id-wsf-2.0/subsref_create.h,
	  lasso/xml/id-wsf-2.0/subsref_create_item.h,
	  lasso/xml/id-wsf-2.0/subsref_create_response.h,
	  lasso/xml/id-wsf-2.0/subsref_data.h,
	  lasso/xml/id-wsf-2.0/subsref_data_response.h,
	  lasso/xml/id-wsf-2.0/subsref_delete.h,
	  lasso/xml/id-wsf-2.0/subsref_delete_item.h,
	  lasso/xml/id-wsf-2.0/subsref_delete_response.h,
	  lasso/xml/id-wsf-2.0/subsref_item_data.h,
	  lasso/xml/id-wsf-2.0/subsref_modify.h,
	  lasso/xml/id-wsf-2.0/subsref_modify_item.h,
	  lasso/xml/id-wsf-2.0/subsref_modify_response.h,
	  lasso/xml/id-wsf-2.0/subsref_notification.h,
	  lasso/xml/id-wsf-2.0/subsref_notify.h,
	  lasso/xml/id-wsf-2.0/subsref_notify_response.h,
	  lasso/xml/id-wsf-2.0/subsref_query.h,
	  lasso/xml/id-wsf-2.0/subsref_query_item.h,
